==========
Change Log
==========

All notable changes to this project will be documented in this file.

The format is based on `Keep a Changelog <http://keepachangelog.com/>`__.

3.89.2 - 2026-07-14
-------------------
Added
~~~~~
* Container Instance

  * Support for FSS volumes (volumeType OCI_FSS_FILE_SYSTEM) and Linux security context when creating container instances

    * ``oci container-instances container-instance create``
    * ``oci container-instances container-instance create-container-instance-create-linux-container-instance-security-context-details``

* Digital Assistant Service Instance

  * Support for new optional parameter ``--security-attributes``

    * ``oci oda management oda-private-endpoint create --security-attributes``
    * ``oci oda management oda-private-endpoint update --security-attributes``

* Compute Service

  * Support for new optional parameter ``--placement-constraint-details`` (and related subcommands) for Compute Cluster, Dedicated VM Host, and Instance resources

    * ``oci compute compute-cluster create --placement-constraint-details``
    * ``oci compute compute-cluster update --placement-constraint-details``
    * ``oci compute dedicated-vm-host create --placement-constraint-details``
    * ``oci compute instance launch --placement-constraint-details``

* Compute Management Service

  * Support for GPU Memory Cluster (GMC) in instance configurations and instance pools

    * ``oci compute-management instance-configuration create-instance-configuration-create-gmc-configuration-details --gmc-configs --source``
    * ``oci compute-management instance-pool create --source``
    * ``oci compute-management instance-pool update --source``

* Generative AI Service Management

  * Support for Hosted Application IAM operations

    * ``oci generative-ai hosted-application-iam create``
    * ``oci generative-ai hosted-application-iam delete``
    * ``oci generative-ai hosted-application-iam get``
    * ``oci generative-ai hosted-application-iam update``
    * ``oci generative-ai hosted-application-iam change-compartment``
    * ``oci generative-ai hosted-application-collection list-hosted-applications-iam``

  * Support for new required parameter ``--inbound-auth-config`` on hosted application create and new optional parameters on hosted deployment artifact commands

    * ``oci generative-ai hosted-application create --inbound-auth-config``
    * ``oci generative-ai hosted-deployment create --artifact-is-vulnerability-scan-required``
    * ``oci generative-ai hosted-deployment update --active-artifact-is-vulnerability-scan-required``

* AiDataPlatform Control Plane

  * Support for AI Agents features, including new command to enable AI feature and new optional parameters on create

    * ``oci ai-data-platform ai-data-platform enable-ai-feature``
    * ``oci ai-data-platform ai-data-platform create --is-enable-ai-feature --vector-db-id --vector-db-admin-cred --vector-db-admin-secret-id``

* DataCC

  * Support for the service

    * ``oci datacc``

Changed
~~~~~~~
* OS Management Hub

  * ``--software-source-ids`` is now an optional parameter

    * ``oci os-management-hub profile create-software-source-profile --software-source-ids``

Security
~~~~~~~~
- Updated cryptography dependency to `>=3.2.1,<50.0.0` for all python versions per: https://advisories.gitlab.com/pypi/cryptography/GHSA-537c-gmf6-5ccf/


3.89.1 - 2026-07-07
-------------------
Security
~~~~~~~~
- Updated urllib3 dependency to `2.7.0` for python versions `>= 3.10` per: https://www.cve.org/CVERecord?id=CVE-2026-44432 and https://www.cve.org/CVERecord?id=CVE-2026-44431
- Updated pyasn1 dependency to `0.5.0` for python versions `< 3.8` and `0.6.3` for `>= 3.8` per: https://www.cve.org/CVERecord?id=CVE-2026-30922
- Updated pytest dependency to `7.0.1` for python versions `<= 3.10` and `9.0.3` for `>= 3.11` per: https://www.cve.org/CVERecord?id=CVE-2025-71176


3.89.0 - 2026-06-30
-------------------
Added
~~~~~
* Data Science service

  * Support for configurable randomization windows for schedules

    * ``oci data-science schedule create --trigger-initial-jitter-in-minutes``
    * ``oci data-science schedule update --trigger-initial-jitter-in-minutes``

* Object Storage Service

  * Support for KMS Bucket Key in Object Storage

    * ``oci os bucket create --is-bucket-key-enabled``
    * ``oci os bucket update --is-bucket-key-enabled``
    * ``oci os bucket reencrypt --is-reencrypt-bucket-key-only``

* PGSQL Control Plane service

  * Support for Point-in-Time Recovery (PITR) in PostgreSQL database systems

    * ``oci psql db-system create-db-system-point-in-time-db-system-source-details``
    * ``oci psql pitr-details get``
    * ``oci psql backup-collection list-backups --backup-source-type``
    * ``oci psql db-system restore --time-to-restore``

* Resource Manager service

  * Support for Bitbucket Cloud email/API token configuration source providers

    * ``oci resource-manager configuration-source-provider create-configuration-source-provider-create-bitbucket-cloud-email-api-token-configuration-source-provider-details --api-endpoint --email --secret-id``
    * ``oci resource-manager configuration-source-provider update-configuration-source-provider-update-bitbucket-cloud-email-api-token-configuration-source-provider-details --api-endpoint --email --secret-id``

Changed
~~~~~~~
* Resource Manager service

  * [BREAKING] Removal of deprecated Bitbucket Cloud username/app-password configuration source provider commands

    * ``oci resource-manager configuration-source-provider create-configuration-source-provider-create-bitbucket-cloud-username-app-password-configuration-source-provider-details``
    * ``oci resource-manager configuration-source-provider update-configuration-source-provider-update-bitbucket-cloud-username-app-password-configuration-source-provider-details``

3.88.0 - 2026-06-23
-------------------
Added
~~~~~
* Support for global parameter federation-endpoint to override the auth service federation endpoint used with instance principal authentication

  * ``oci <commands> --auth instance_principal --federation-endpoint``

* Resource Scheduler service

  * Support for ADBD Backup support

    * ``oci resource-scheduler schedule create --action BACKUP_RESOURCE``
    * ``oci resource-scheduler resource-type-collection list-resource-types --action-type BACKUP_RESOURCE``
    * ``oci resource-scheduler schedule update --action BACKUP_RESOURCE``

* API Gateway service

  * Support for static redirect URLs in authentication policy plugins for deployments in create and update commands

    * ``oci api-gateway deployment create --specification``
    * ``oci api-gateway deployment update --specification``

  * Support for 3 optional parameters in sdk update command

    * ``oci api-gateway sdk update --max-wait-seconds --wait-for-state --wait-interval-seconds``

* Container Engine service

  * Support for virtual node pool cycling

    * ``oci ce virtual-node-pool create --virtual-node-pool-cycling-details ``
    * ``oci ce virtual-node-pool update --virtual-node-pool-cycling-details``

* DNS service

  * Support for Zero Trust Packet Routing (ZPR) security attributes, defined tags, and free-form tags for DNS resolver endpoint

    * ``oci dns resolver-endpoint create --defined-tags --freeform-tags --security-attributes``
    * ``oci dns resolver-endpoint update --defined-tags --freeform-tags --security-attributes``

Changed
~~~~~~~
* API Gateway service

  * [BREAKING] SDK update command now returns an `Sdk` payload instead of `None`

    * ``oci api-gateway sdk update``

3.87.0 - 2026-06-16
-------------------
Added
~~~~~
* Kubernetes Engine service

  * Support for new optional `hostGroupId` field in placement configurations

    * ``oci ce node-pool create``
    * ``oci ce node-pool update``

* Database service

  * Support for restarting Oracle REST Data Services (ORDS) on Autonomous Exadata VM Clusters

    * ``oci db autonomous-vm-cluster restart-autonomous-vm-cluster-ords``
    * ``oci db cloud-autonomous-vm-cluster restart-cloud-autonomous-vm-cluster-ords``

  * Support for new optional parameters ``--is-force-restart`` and ``--is-force-stop``

    * ``oci db autonomous-container-database restart --is-force-restart``
    * ``oci db autonomous-database restart --is-force-restart``
    * ``oci db autonomous-database stop --is-force-stop``

  * Support for triggering forced reboot and stop of DB nodes

    * ``oci db node force-reset``
    * ``oci db node force-stop``

* OpenSearch Service

  * Support for coordinator nodes

    * ``oci opensearch cluster create --coordinator-node-count --coordinator-node-host-memory-gb --coordinator-node-host-ocpu-count --coordinator-node-host-shape --coordinator-node-host-type``
    * ``oci opensearch cluster resizehorizontal --coordinator-node-count``
    * ``oci opensearch cluster resizevertical --coordinator-node-host-memory-gb --coordinator-node-host-ocpu-count --coordinator-node-host-shape``

* Organizations service

  * Support for new optional parameter ``--features``

    * ``oci organizations child-tenancy create --features``
    * ``oci organizations sender-invitation create --features``

  * Support for new optional parameter ``--feature``

    * ``oci organizations link list --feature``

  * Support for additional ``status`` value ``NOT_APPLICABLE``

    * ``oci organizations sender-invitation list --status NOT_APPLICABLE``

  * Support for the following new commands

    * ``oci organizations link link-with-tenancy-names get``
    * ``oci organizations link-features link-features-collection list-link-features``

* Oracle Cloud Migrations service

  * Support for new optional parameter ``--security-attributes``

    * ``oci cloud-migrations migration create --security-attributes``
    * ``oci cloud-migrations migration update --security-attributes``

* Object Storage service

  * Support for new optional parameter ``--security-attributes``

    * ``oci os private-endpoint create --security-attributes``
    * ``oci os private-endpoint update --security-attributes``

* PSQL service

  * Support for ODSP Insights configuration in Database System operations

    * ``oci psql db-system create --odsp-insight-details``
    * ``oci psql db-system update --odsp-insight-details``
    * ``oci psql db-system create-db-system-backup-source-details --odsp-insight-details``
    * ``oci psql db-system create-db-system-none-source-details --odsp-insight-details``
    * ``oci psql db-system create-db-system-oci-optimized-storage-details --odsp-insight-details``
    * ``oci psql db-system create-db-system-disabled-insight-details``
    * ``oci psql db-system create-db-system-enabled-insight-details``
    * ``oci psql db-system update-db-system-disabled-insight-details``
    * ``oci psql db-system update-db-system-enabled-insight-details`
    * ``oci psql insight-capability-summary list-insight-capabilities``

  * Support for replica configuration in Database System operations

    * ``oci psql db-system create --replication-config``
    * ``oci psql db-system update --replication-config``
    * ``oci psql db-system create-db-system-backup-source-details --replication-config``
    * ``oci psql db-system create-db-system-none-source-details --replication-config``
    * ``oci psql db-system create-db-system-oci-optimized-storage-details --replication-config``

  * Support for replica database systems

    * ``oci psql db-system change-role-to-replica --db-system-id --primary-db-system-id``
    * ``oci psql db-system change-role-to-standalone --db-system-id --change-mode``
    * ``oci psql db-system-replica-collection list-db-system-replicas --db-system-id``
    * ``oci psql db-system create-db-system-primary-db-system-source-details --source-primary-db-system-id``

  * Support for starting, stopping and switching DB Systems

    * ``oci psql db-system start``
    * ``oci psql db-system stop``
    * ``oci psql db-system switch-over``

  * Support for Kerberos authentication details in DB system update operations

    * ``oci psql db-system update --kerberos-auth-details``
    * ``oci psql db-system update-db-system-disabled-kerberos-auth-details``
    * ``oci psql db-system update-db-system-enabled-kerberos-auth-details``

  * Support for new system-role enum values on list db-systems

    * ``oci psql db-system-collection list-db-systems --system-role``

* Operator Access Control service

  * Support for new optional parameter `--num-days`

    * ``oci opctl access-request list --num-days``

  * Support for OCI Notification topic integration

    * ``oci opctl operator-control create --notification-topic-id``
    * ``oci opctl operator-control update --notification-topic-id``

  * Support for Cloud Exadata Infrastructure (`CLOUDEXADATAINFRASTRUCTURE`) resource type

    * ``oci opctl operator-control create --resource-type CLOUDEXADATAINFRASTRUCTURE``
    * ``oci opctl operator-control update --resource-type CLOUDEXADATAINFRASTRUCTURE``
    * ``oci opctl operator-control-assignment create --resource-type CLOUDEXADATAINFRASTRUCTURE``

  * Support for new lifecycle state and waiter state `CUSTOMERASSIGNED`

    * ``oci opctl operator-control-assignment list --lifecycle-state CUSTOMERASSIGNED``
    * ``oci opctl operator-control-assignment create --wait-for-state CUSTOMERASSIGNED``
    * ``oci opctl operator-control-assignment delete --wait-for-state CUSTOMERASSIGNED``
    * ``oci opctl operator-control-assignment update --wait-for-state CUSTOMERASSIGNED``

* Secure Desktops service

  * Support for new optional parameter ``--security-attributes``

    * ``oci desktops desktop-pool create --security-attributes``
    * ``oci desktops desktop-pool update --security-attributes``

  * Support for new optional parameters ``--network-configuration`` and ``--private-access-details``

    * ``oci desktops desktop-pool update --network-configuration --private-access-details``

* Application Performance Monitoring Control Plane service

  * Support for new optional parameter ``--log-group-id``

    * ``oci apm-control-plane apm-domain create --log-group-id``
    * ``oci apm-control-plane apm-domain update --log-group-id``

* Application Performance Monitoring Configuration service

  * Support for Data File operations

    * ``oci apm-config data-file delete``
    * ``oci apm-config data-file get``
    * ``oci apm-config data-file head``
    * ``oci apm-config data-file put``
    * ``oci apm-config data-file-summary-collection list-data-files``

Changed
~~~~~~~

* Organizations Service

  * [BREAKING] Renamed the oci organizations work-request-error list command

    * ``oci organizations work-request-error list-errors``

  * [BREAKING] Renamed the oci organizations work-request-log-entry list command

    * ``oci organizations work-request-log list``

3.86.0 - 2026-06-09
-------------------
Added
~~~~~
* Support for additional B200 dedicated AI cluster shapes in Generative AI Service

  * ``oci generative-ai dedicated-ai-cluster create  --unit-shape``

* Support for new Identity Propagation Trust parameters for JWT to RPST and X509 to UPST flows in Identity Domains Service

  * ``oci identity-domains identity-propagation-trust create --ca-cert-chain --claim-propagations --claim-validations --impersonating-resource``
  * ``oci identity-domains identity-propagation-trust put --ca-cert-chain --claim-propagations --claim-validations --impersonating-resource``

* Core Service

  * Support for new optional parameter ``--compute-gpu-memory-fabric-id`` in the following command

    * ``oci compute compute-gpu-memory-cluster list --compute-gpu-memory-fabric-id``

  * Support for new optional parameter ``--hostname`` in create,bulk create,update IPv6 commands

    * ``oci network ipv6 create --hostname``
    * ``oci network ipv6 update --hostname``
    * ``oci network vnic assign-ipv6 --hostname``

* Database service

  * Support for Oracle Database Managed Software Updates on Oracle Exadata Database Service on Exascale Infrastructure (ExaDB-XS)

    * Support for creating database using managed software updates

      * ``oci db database create --msu-details``
      * ``oci db database create-from-backup --msu-details``

    * Support for updating existing database to register managed software updates

      * ``oci db database update --msu-details``

    * Support for managed software updates reschedule

      * ``oci db database reschedule-msu --database-id ``

* Managed Kafka service

  * Support for public connectivity addons in Oracle Streaming with Apache Kafka(OSAK) Service

    * ``oci kafka addon-options list-addon-options``
    * ``oci kafka cluster get-addon``
    * ``oci kafka cluster install-public-connectivity-addon``
    * ``oci kafka cluster list-addons``
    * ``oci kafka cluster uninstall-addon``
    * ``oci kafka cluster update-public-connectivity-addon``

* MySQL HeatWave Service

  * Support for IPv6 enabled DB system in the following commands

    * ``oci mysql db-system clone --ipv6-address-subnet-cidr-pair --is-ipv6-enabled``
    * ``oci mysql db-system create --ipv6-address-subnet-cidr-pair --is-ipv6-enabled``
    * ``oci mysql db-system import --ipv6-address-subnet-cidr-pair --is-ipv6-enabled``
    * ``oci mysql db-system update --ipv6-address-subnet-cidr-pair --is-ipv6-enabled``

  * Support for channels with IPv6 in the following commands

    * ``oci mysql channel create-from-mysql --use-ipv6-on-dual-stack``
    * ``oci mysql channel update-from-mysql --use-ipv6-on-dual-stack``

Changed
~~~~~~~

* ``--db-home-id`` is now an optional parameter in the following commands in Database service

  * ``oci db database create-database-create-database-from-database --db-home-id``
  * ``oci db database create-database-create-stand-by-database-details --db-home-id``
  * ``oci db database create-database-from-backup --db-home-id``
  * ``oci db database create-standby-database --db-home-id``

* Core Service

  * ``--cidrblock`` is now an optional parameter for creating subnet

    * ``oci network subnet create --cidrblock``

  * [BREAKING] Support for workrequestid additions in AttachVolume, DetachVolume and TerminateInstance

    * Allowed values for the parameter ``--wait-for-state`` are ACCEPTED, FAILED, IN_PROGRESS, SUCCEEDED in the following commands as it waits until the work request reaches a certain state

      * ``oci compute volume-attachment detach --wait-for-state``
      * ``oci compute instance terminate --wait-for-state``


3.85.0 - 2026-06-02
-------------------
Added
~~~~~
* Generative AI Interface service

  * Support Multimodal Image input in apply-guardrails

    * ``oci generative-ai-inference apply-guardrails-result apply-guardrails --multimodal-input``
    * ``oci generative-ai-inference apply-guardrails-result apply-guardrails-guardrails-text-input --multimodal-input``

  * Support for applying guardrails to input image

    * ``oci generative-ai-inference apply-guardrails-result apply-guardrails-guardrails-image-input``
  
* Cloud Incident Management Service

  * Support filtering incidents/support requests with a new optional query parameter for the List Incidents command
  
    * ``oci support incident list --time-updated-greater-than-or-equal-to``

* VMware Solution service

  * Support for new optional parameters

    * ``oci ocvs byol create --site-id``
    * ``oci ocvs byol update --site-id``
    * ``oci ocvs esxi-host inplace-upgrade --vcf-byol-allocation-id``
    * ``oci ocvs esxi-host replace-host --vcf-byol-allocation-id`` 

* Database Management service

  * Support for new optional parameters

    * ``oci database-management private-endpoint create --security-attributes``
    * ``oci database-management private-endpoint update --security-attributes`` 

* Operation Insights service

  * Support for new optional parameters

    * ``oci opsi operations-insights-private-endpoint create --security-attributes``
    * ``oci opsi operations-insights-private-endpoint update --security-attributes``

Changed
~~~~~~~

* Cloud Incident Management Service

  * [BREAKING] Removal of CSI parameter --csi from all commands

    * ``oci support incident create``
    * ``oci support incident get``
    * ``oci support incident list``
    * ``oci support incident put-attachment``
    * ``oci support incident update``
    * ``oci support incident-resource-type list``
    * ``oci support validation-response validate-user``

* Generative AI Inference service
  
  * ``--input`` is now an optional parameter in apply-guardrails command
  
    * ``oci generative-ai-inference apply-guardrails-result apply-guardrails --input``

3.84.0 - 2026-05-26
-------------------
Added
~~~~~

* Database service

  * Support for optional parameter ``--plan-intent``

    * ``oci db action-param-values-summary list-params-for-action-type --plan-intent``
    * ``oci db scheduling-plan create --plan-intent``
    * ``oci db scheduling-plan list --plan-intent``

  * Supports for following optional parameters ``--db-split-threshold``, ``--distribution-affinity``, ``--net-services-architecture`` and ``--vm-failover-reservation``

    * ``oci db autonomous-container-database update --db-split-threshold --distribution-affinity --net-services-architecture --vm-failover-reservation``

  * Support for optional parameters ``--distribution-algorithm`` and ``--sga-percentage``

    * ``oci db autonomous-vm-cluster create --distribution-algorithm --sga-percentage``
    * ``oci db autonomous-vm-cluster update --distribution-algorithm --sga-percentage``
    * ``oci db cloud-autonomous-vm-cluster create --distribution-algorithm --sga-percentage``
    * ``oci db cloud-autonomous-vm-cluster update --distribution-algorithm --sga-percentage``

  * Support for optional parameters ``--is-mtls-enabled``, ``--scan-listener-port-non-tls``, ``--scan-listener-port-tls`` and ``--time-zone``

    * ``oci db autonomous-vm-cluster update --is-mtls-enabled --scan-listener-port-non-tls --scan-listener-port-tls --time-zone``

  * Support for optional parameters ``--cluster-time-zone``, ``--is-mtls-enabled-vm-cluster``, ``--scan-listener-port-non-tls`` and ``--scan-listener-port-tls``

    * ``oci db cloud-autonomous-vm-cluster update --cluster-time-zone --is-mtls-enabled-vm-cluster --scan-listener-port-non-tls --scan-listener-port-tls``

  * Support for optional parameter ``--maintenance-version-preferences``

    * ``oci db cloud-exa-infra create --maintenance-version-preferences``
    * ``oci db cloud-exa-infra update --maintenance-version-preferences``
    * ``oci db exadata-infrastructure create --maintenance-version-preferences``
    * ``oci db exadata-infrastructure update --maintenance-version-preferences``

  * Support for optional parameter ``--cadence``

    * ``oci db scheduling-policy list --cadence``

* Cluster Placement Groups service

  * Support for selecting compute shape configuration during Cluster Placement Group creation

    * ``oci cpg cluster-placement-group create``

* Data Science service

  * Support for Compute Target, to create and manage reusable managed compute capacity for Data Science workloads

    * ``oci data-science compute-target create``
    * ``oci data-science compute-target get``
    * ``oci data-science compute-target list``
    * ``oci data-science compute-target update``
    * ``oci data-science compute-target delete``
    * ``oci data-science compute-target change-compartment``
    * ``oci data-science compute-target-shape list``

  * Support for Managed Compute Cluster as a Compute Target type

    * ``oci data-science compute-target create-compute-target-managed-compute-cluster-compute-configuration-details``
    * ``oci data-science compute-target update-compute-target-update-managed-compute-cluster-configuration-details``

  * Support for creating and updating Jobs using Managed Compute Cluster infrastructure

    * ``oci data-science job create-job-managed-compute-cluster-job-infrastructure-configuration-details``
    * ``oci data-science job update-job-managed-compute-cluster-job-infrastructure-configuration-details``
    * ``oci data-science job-run create-job-run-managed-compute-cluster-job-infrastructure-configuration-details``

  * Support for creating and updating Model Deployments using flex configuration details

    * ``oci data-science model-deployment create-model-deployment-single-model-deployment-flex-configuration-details``
    * ``oci data-science model-deployment update-model-deployment-update-single-model-deployment-flex-configuration-details``

* Container Engine for Kubernetes service

  * Support for Zero Trust Packet Routing

    * ``oci ce node-pool create --primary-vnic``
    * ``oci ce cluster create --endpoint-security-attributes``

* Support for new optional parameter ``--remaining-local-volume-in-gbs-greater-than-or-equal-to`` in Compute Service

  * ``oci compute dedicated-vm-host list --remaining-local-volume-in-gbs-greater-than-or-equal-to``

* Network Firewall service

  * Support for Network Firewall Health Status APIs

    * ``oci network-firewall network-firewall-health-status``

  * Support for new optional parameter ``--securityattributes``

    * ``oci network-firewall create --securityattributes``

  * Support for new optional parameter ``--secrets``

    * ``oci network-firewall decryption-rule create --secrets``

* GoldenGate service

  * Support for Veridata deployment type

    * ``oci goldengate deployment create --deployment-type``

  * Support for clone operation for ZeroETL pipelines

    * ``oci goldengate pipeline clone``

  * Support for ``cpuCoreCount`` and ``autoScaling`` for ZeroETL pipelines

    * ``oci goldengate pipeline create-zero-etl-pipeline --cpu-core-count --is-auto-scaling-enabled``
    * ``oci goldengate pipeline update-zero-etl-pipeline --cpu-core-count --is-auto-scaling-enabled``

  * Support for Disaster Recovery (DR) deployment operations

    * ``oci goldengate deployment create --disaster-recovery-status``
    * ``oci goldengate deployment switchover-deployment-peer --mode``
    * ``oci goldengate deployment generate-disaster-recovery-precheck-report``
    * ``oci goldengate deployment get-disaster-recovery-precheck-report``

Changed
~~~~~~~

* Data Science service

  * [BREAKING] Removed support for IDCS authentication modes from ML Applications resources

    * ``oci data-science ml-app-instance create-ml-application-instance-create-idcs-auth-configuration-details``
    * ``oci data-science ml-app-instance create-ml-application-instance-create-idcs-custom-service-auth-configuration-details``


3.83.0 - 2026-05-19
-------------------
Added
~~~~~
* Generative AI Inference service

  * Support for new optional parameter ``--guardrail-version-config`` to support applying guardrails with guardrail version

    * ``oci generative-ai-inference apply-guardrails-result apply-guardrails --guardrail-version-config``
    * ``oci generative-ai-inference apply-guardrails-result apply-guardrails-guardrails-text-input --guardrail-version-config``

  * Support to list all the OCI GenAI Guardrails version with their accuracy and performance

    * ``oci generative-ai-inference guardrail-version-collection list-guardrail-versions``

* Support for new optional parameter ``--compute-count`` for compute count options in Resource Analytics service

  * ``oci resource-analytics resource-analytics-instance create --compute-count``

* Support for the Cost Anomaly Detection service

  * ``oci costad``

* Support for new optional parameter ``--heterogeneous-shapes`` to provide a heterogeneous shape to replace a cluster node in Big Data Service

  * ``oci bds instance replace-node --heterogeneous-shapes``

* Streaming service

  * Support for new optional parameters ``--max-wait-seconds``, ``--wait-for-state`` and ``--wait-interval-seconds`` for commands to change compartments

    * ``oci streaming admin connect-harness change-compartment --max-wait-seconds, --wait-for-state, --wait-interval-seconds``
    * ``oci streaming admin stream change-compartment --max-wait-seconds, --wait-for-state, --wait-interval-seconds``
    * ``oci streaming admin stream-pool change-compartment --max-wait-seconds, --wait-for-state, --wait-interval-seconds``

  * Support for WorkRequest APIs to track progress of create/update/delete operations of Stream, Stream Pool and Kafka Connect Configuration resources.

    * ``oci streaming admin work-request get``
    * ``oci streaming admin work-request-error-collection list-work-request-errors``
    * ``oci streaming admin work-request-log-entry list-work-request-logs``
    * ``oci streaming admin work-request-summary-collection list-work-requests``

Changed
~~~~~~~
* Big Data service

  * [BREAKING] Removed optional parameters ``--cluster-admin-password`` and ``--secret-id`` to create a BDS certificate configuration

    * ``oci bds instance create-bds-certificate-configuration``

  * ``--node-backup-id`` is now an optional parameter to repace a node of a BDS cluster from backup

    * ``oci bds instance replace-node``


3.82.0 - 2026-05-12
-------------------
Added
~~~~~
* Database Tools Runtime service

  * ``oci dbtools-runtime``

  * Support for executing SQL on connections

    * ``oci dbtools-runtime connection execute-sql async``
    * ``oci dbtools-runtime connection execute-sql sync``

  * Support for Database API Gateway Configuration resources

    * ``oci dbtools-runtime database-api-gateway-config get content``
    * ``oci dbtools-runtime database-api-gateway-config-pool create default``
    * ``oci dbtools-runtime database-api-gateway-config-pool list``
    * ``oci dbtools-runtime database-api-gateway-config-pool-api-spec list``
    * ``oci dbtools-runtime database-api-gateway-config-pool-auto-api-spec list``

  * Support for Oracle Database External Authentication

    * ``oci dbtools-runtime connection validate oracle-database``
    * ``oci dbtools-runtime property-set update oracle-database-external-authentication-details``

* Database Tools service

  * Support for Model Context Protocol (MCP) Servers
    * ``oci dbtools mcp-server create-mcp-server-default``
    * ``oci dbtools mcp-server get``
    * ``oci dbtools mcp-server list``
    * ``oci dbtools mcp-server update-mcp-server-default``
    * ``oci dbtools mcp-server delete``
    * ``oci dbtools mcp-server cascading-delete``
    * ``oci dbtools mcp-server change-compartment``
    * ``oci dbtools mcp-server add-lock``
    * ``oci dbtools mcp-server remove-lock``

  * Support for MCP Toolsets for customizable reporting tools

    * ``oci dbtools mcp-toolset create-mcp-toolset-customizable-reporting-tools``
    * ``oci dbtools mcp-toolset get``
    * ``oci dbtools mcp-toolset list``
    * ``oci dbtools mcp-toolset update-mcp-toolset-customizable-reporting-tools``
    * ``oci dbtools mcp-toolset delete``
    * ``oci dbtools mcp-toolset change-compartment``
    * ``oci dbtools mcp-toolset add-lock``
    * ``oci dbtools mcp-toolset remove-lock``

  * Support for SQL Reports

    * ``oci dbtools sql-report create-sql-report-oracle-database``
    * ``oci dbtools sql-report get``
    * ``oci dbtools sql-report list``
    * ``oci dbtools sql-report update-sql-report-oracle-database``
    * ``oci dbtools sql-report delete``
    * ``oci dbtools sql-report change-compartment``
    * ``oci dbtools sql-report add-lock``
    * ``oci dbtools sql-report remove-lock``

  * Support for Database API Gateway Configurations
    * ``oci dbtools database-api-gateway-config create-database-api-gateway-config-default``
    * ``oci dbtools database-api-gateway-config get``
    * ``oci dbtools database-api-gateway-config list``
    * ``oci dbtools database-api-gateway-config update-database-api-gateway-config-default``
    * ``oci dbtools database-api-gateway-config delete``
    * ``oci dbtools database-api-gateway-config change-compartment``
    * ``oci dbtools database-api-gateway-config add-lock``
    * ``oci dbtools database-api-gateway-config remove-lock``

* Support for PATCH APIs to add or delete multiple IPv6 prefixes in the Virtual Cloud Network service

  * ``oci network vcn patch``
  * ``oci network subnet patch``

* Support for new optional parameters ``--connectivity-type`` and ``--gateways`` in the IoT service Digital Twin Instance operations

  * ``oci iot digital-twin-instance create --connectivity-type --gateways``
  * ``oci iot digital-twin-instance list --connectivity-type``
  * ``oci iot digital-twin-instance update --gateways``

* Support for additional Generative AI model capability values by Generative AI service

  * ``oci generative-ai imported-model create-from-huggingface --capabilities``
  * ``oci generative-ai imported-model create-from-objectstorage --capabilities``
  * ``oci generative-ai imported-model update --capabilities``
  * ``oci generative-ai hosted-deployment-collection list-hosted-deployments --capability``
  * ``oci generative-ai imported-model-collection list-imported-models --capability``

Changed
~~~~~~~
  - [BREAKING] Added validation to restrict allowed profile name characters in OCI CLI session and config commands.

Security
~~~~~~~~
* Updated pytz dependency upper bound to `<=2026.2` for python version.

3.81.1 - 2026-05-05
-------------------
Added
~~~~~
* Support for large generic v4 and v5 unit shapes in the Generative AI service in Python SDK


3.81.0 - 2026-04-28
-------------------
Added
~~~~~
* Support for new optional parameter ``--embed-contents`` in the Generative AI Inference service

  * ``oci generative-ai-inference embed-text-result embed-text --embed-contents``

* Redis service

  * Support for OCI Cache Backup operations in the Redis service

    * ``oci redis oci-cache-backup oci-cache-backup``
    * ``oci redis oci-cache-backup oci-cache-backup-summary``

  * Support for new optional parameters ``--backup-id`` and ``--import-from-object-storage-details``

    * ``oci redis redis-cluster redis-cluster create --backup-id --import-from-object-storage-details``

* Support for new optional parameter ``--migration-scope`` in the Database Migration service

  * ``oci database-migration assessment create-assessment-create-my-sql-assessment-details --migration-scope``
  * ``oci database-migration assessment create-assessment-create-oracle-assessment-details --migration-scope``
  * ``oci database-migration assessment update-assessment-update-my-sql-assessment-details --migration-scope``
  * ``oci database-migration assessment update-assessment-update-oracle-assessment-details --migration-scope``

* Batch service

  * Support for new optional parameters for improved failure and logging visibility (container creation and failure details)

    * ``oci batch batch-context create-oci-logging-configuration --is-job-task-events-propagation-enabled``
    * ``oci batch batch-context update --logging-configuration``

  * Support for updating logging configuration

    * ``oci batch batch-context update-oci-logging-configuration``

  * Support for new optional parameters for group tasks (hierarchical task groupings with scoped dependencies)

    * ``oci batch batch-task list --group-task-name, --hierarchy-view, --task-id, --type``
    * ``oci batch batch-task list-batch-tasks --task-id``

  * Support for new optional parameters for different shape types

    * ``oci batch batch-context-shape-collection list --shape-type``
    * ``oci batch batch-task-profile create --extended-information, --min-disk-size-in-gbs``

  * Support for creating a batch task profile based on CPU architecture, CPU and GPU shape

    * ``oci batch batch-task-profile create-cpu-architecture``
    * ``oci batch batch-task-profile create-cpu-shape``
    * ``oci batch batch-task-profile create-gpu-shape``

* Key Management service

  * Support for new optional parameter ``--audit-log-config``

    * ``oci kms kms-hsm-cluster hsm-cluster create --audit-log-config``

  * Support for Activity Logs in Dedicated KMS

    * ``oci kms kms-hsm-cluster hsm-cluster disable-audit-mgmt-logging``
    * ``oci kms kms-hsm-cluster hsm-cluster enable-audit-mgmt-logging``
    * ``oci kms kms-hsm-cluster hsm-cluster initiate-audit-logging``
    * ``oci kms kms-hsm-cluster hsm-cluster update-audit-logging-destination``

* Support for vanity domain in the Fusion Applications service

  * ``oci fusion-apps vanity-domain``
  * ``oci fusion-apps vanity-domain-activity``

* Java Management service

  * Support for IPv6 dual stack endpoint in Java Downloads, Utils and Fleet

    * ``oci jms --enable-dual-stack``
    * ``oci jms-java-downloads --enable-dual-stack``
    * ``oci jms-utils --enable-dual-stack``

  * Support for new optional parameter ``--jre-security-status`` for listing Java installation usage summaries with JRE security status filter

    * ``oci jms installation-usage summarize --jre-security-status``

* Support for new optional parameter ``--is-inheritance-after-delete-enabled`` in the Cloud Guard service

  * ``oci cloud-guard security-zone update --is-inheritance-after-delete-enabled``

Changed
~~~~~~~
* ``--inputs`` is now an optional parameter in the Generative AI Inference service

  * ``oci generative-ai-inference embed-text-result embed-text --inputs``

* [BREAKING] Removed optional parameters ``--defined-tags`` and ``--freeform-tags`` from the Redis service

  * ``oci redis redis-identity create-identity-token-details create-identity-token``

* ``--min-memory-in-gbs`` and ``--min-ocpus`` are now optional parameters in the Batch service

  * ``oci batch batch-task-profile create --min-memory-in-gbs --min-ocpus``


3.80.0 - 2026-04-21
-------------------
Added
~~~~~
* Database service

    * Support for ASM Diskgroup Resize for CloudVmCluster in the Exadata Database Service on Dedicated Infrastructure

      * ``oci db cloud-vm-cluster create --reco-storage-percentage --sparse-storage-percentage``
      * ``oci db cloud-vm-cluster update --data-storage-percentage --is-local-backup-enabled --is-sparse-diskgroup-enabled --reco-storage-percentage --sparse-storage-percentage``

    * Support for ASM Diskgroup Resize for VmCluster in the Exadata Database Service on Cloud@Customer

      * ``oci db vm-cluster create --data-storage-percentage --reco-storage-percentage --sparse-storage-percentage``
      * ``oci db vm-cluster update --data-storage-percentage --is-local-backup-enabled --is-sparse-diskgroup-enabled --reco-storage-percentage --sparse-storage-percentage``

  * Fusion Applications service

    * Support for Email Subdomain, Marketing Brand, and Microsite commands

      * ``oci fusion-apps email-subdomain``
      * ``oci fusion-apps marketing-brand``
      * ``oci fusion-apps microsite``

  * GoldenGate service

    * Support for new technology types

      * ``oci goldengate connection create-kafka-connection --technology-type MICROSOFT_FABRIC_EVENTSTREAM``
      * ``oci goldengate connection create-postgresql-connection --technology-type EDB_POSTGRES_ADVANCED_SERVER``
      * ``oci goldengate connection create-postgresql-connection --technology-type YUGABYTE_DB``

    * Support for new optional endpoint parameter for Google BigQuery connections

      * ``oci goldengate connection create-google-big-query-connection --endpoint-parameterconflict``
      * ``oci goldengate connection update-google-big-query-connection --endpoint-parameterconflict``

    * Support for new optional endpoint parameter for Google Cloud Storage connections

      * ``oci goldengate connection create-google-cloud-storage-connection --endpoint-parameterconflict``
      * ``oci goldengate connection update-google-cloud-storage-connection --endpoint-parameterconflict``

    * Support for migrating Connection Secret details
      * ``oci goldengate connection migrate``
      * ``oci goldengate connection migrate-connection-secret-migrate-connection-details``

  * Functions service

    * Support for Application logging configuration

      * ``oci fn application create --logging``
      * ``oci fn application update --logging``

  * Usage service

    * Support for ``USAGE_ONLY`` queryType

      * ``oci usage-api usage-summary request-summarized-usages --query-type USAGE_ONLY``

  * Compute GPU Memory Cluster service

    * Support for Reserved Private IP Ids

      * ``oci compute compute-gpu-memory-cluster create --private-ip-ids``
      * ``oci compute compute-gpu-memory-cluster update --private-ip-ids``

Changed
~~~~~~~
  - [BREAKING] GoldenGate service: --private-ip is no longer supported for connection creation commands


3.79.0 - 2026-04-14
-------------------
Added
~~~~~

* Multicloud Hub service

  * Introduced metadata, alert, policy, resource, subscription

    * ``oci multicloud multiclouds-metadata list-multiclouds-metadata``
    * ``oci multicloud multicloud-alerts multicloud-alert-collection list-multicloud-alerts``
    * ``oci multicloud multicloud-policies multicloud-policy-collection list-multicloud-policies``
    * ``oci multicloud multicloud-resources multicloud-resource-collection list-multicloud-resources``
    * ``oci multicloud multicloud-subscriptions multicloud-subscription-collection list-multicloud-subscriptions`` 
    * ``oci multicloud omhub-network-anchor list-network-anchors``
    * ``oci multicloud omhub-resource-anchor list-resource-anchors``

* Fusion service

  * Added optional parameter --additional-egress-rules

    * ``oci fusion-apps fusion-environment create``
    * ``oci fusion-apps fusion-environment update``

* DbMulticloud service

  * Support for Cross-region Data Guard for Azure/GCP/AWS KMS-based databases

    * ``oci dbmulticloud oracle-db-aws-key replicate``
    * ``oci dbmulticloud oracle-db-gcp-key-ring replicate``
    * ``oci dbmulticloud oracle-db-azure-vault replicate`` 

* Autonomous Database service

  * Support for creating refreshable metadata clones in Autonomous Database Serverless

    * ``oci db autonomous-database create --db-tools-details``

* File Storage Service

  * Support for optional Filesystem Snapshot locks

    * ``oci fs snapshot create --lock-duration-details``
    * ``oci fs snapshot update --lock-duration-details``
    * ``oci fs filesystem-snapshot-policy create --schedules``
    * ``oci fs filesystem-snapshot-policy update --schedules``


Changed
~~~~~~~
* Self service

  * [BREAKING] The command oci self partner-integeration listing-subscriptions-collection listing-subscriptions has been modified to oci self partner-integeration listing-subs-collection listing-subscriptions

3.78.0 - 2026-04-07
-------------------
Added
~~~~~
* Support for new optional parameter in Cloud Bridge service

  * ``oci cloud-bridge discovery asset-source create --environment-type --olvm-endpoint``
  * ``oci cloud-bridge discovery asset-source update --environment-type --olvm-endpoint``
  * ``oci cloud-bridge inventory asset create --environment-type --asset-class-name --asset-class-version --asset-details``
  * ``oci cloud-bridge inventory asset update --environment-type --asset-class-name --asset-class-version --asset-details``
  * ``oci cloud-bridge inventory asset list --asset-class-name --asset-class-version``
  * ``oci cloud-bridge inventory asset-aggregation analyze-assets --asset-class-name --asset-class-version``

* Support for optional field bucket-scope for S3 Virtual host URLs for existing Object Storage buckets and regionally unique buckets in the Object Storage service

  * ``oci os bucket create --bucket-scope region``
  * ``oci os bucket update --bucket-scope region``

* Support for IPv6 in Management Agent Cloud Service

  * ``oci management-agent --enable-dual-stack``

* Support for a new networkType ACCELERATEDPV during instance launch in the Core Service

  * ``oci compute image create --launch-mode ACCELERATEDPV``

* Support for Generic VNIC Attachments in the Kubernetes Engine service

  * ``oci ce node-pool create --network-launch-type``
  * ``oci ce node-pool create --cni-type --secondary-vnics``

* OS Management Hub Service

  * Support for Dynamic Sets

    * ``oci os-management-hub dynamic-set``

  * Support for Snap operations for Managed Instances

    * ``oci os-management-hub managed-instance install-snaps``
    * ``oci os-management-hub managed-instance list-managed-instance-snaps``
    * ``oci os-management-hub managed-instance switch-snap-channel``

  * Support for new optional parameters for Managed Instances

    * ``oci os-management-hub managed-instance get-analytic-content --compartment-id-in-subtree --dynamic-set-id --other-updates-available-equals-to --other-updates-available-greater-than``
    * ``oci os-management-hub managed-instance list-updatable-packages --advisory-severity``
    * ``oci os-management-hub managed-instance summarize-analytics --compartment-id-in-subtree --dynamic-set-id``

  * Support for new commands for Managed Instance Groups

    * ``oci os-management-hub managed-instance-group list-managed-instance-group-managed-instances``
    * ``oci os-management-hub managed-instance-group refresh-software``

  * Support for new optional parameters for Management Stations

    * ``oci os-management-hub management-station create --arch-type --os-family``
    * ``oci os-management-hub management-station list --health-state``
    * ``oci os-management-hub management-station update --arch-type --os-family``

  * Support for Ubuntu standalone profile creation

    * ``oci os-management-hub profile create-profile-create-ubuntu-stand-alone-profile-details``

  * Support for new optional parameters for scheduled jobs

    * ``oci os-management-hub scheduled-job create --dynamic-set-ids``
    * ``oci os-management-hub scheduled-job list --dynamic-set-id``

  * Support for new commands and optional parameters for software sources

    * ``oci os-management-hub software-source list-available-software-sources-to-add``
    * ``oci os-management-hub software-source replicate-vendor-swsrc --origin-display-name``

  * Support for new optional parameters for work requests.

    * ``oci os-management-hub work-request list --compartment-id-in-subtree``

  * Enforced that imported sessions created via ``oci session import`` must reside under ``~/.oci/sessions/``, else session import exits with status code ``1``.


Changed
~~~~~~~
* OS Management Hub Service

  * [BREAKING] ``--software-source-ids`` is now a required parameter in the following command

    * ``oci os-management-hub profile create-software-source-profile --software-source-ids``

  * origin-software-source-id`` is now an optional parameter in the following command

    * ``oci os-management-hub software-source replicate-vendor-swsrc --origin-software-source-id``

3.77.0 - 2026-03-31
-------------------
Added
~~~~~
* Support for the Container Registry service

  * ``oci container-registry``

* Support for Generative AI Data Service

  * ``oci generative-ai-data``

* Support for the SaaS Listings service (Subscription Model with Tiered Pricing) 

  * ``oci self``

* Support for the Public Egress, Container Signature Verification for model-deployments in the Data Science service

  * ``oci data-science model-deployment create``
  * ``oci data-science model-deployment create-model-deployment-model-group-deployment-configuration-details``

* Support for controlled updates in MySQL HeatWave Service

  * ``oci mysql db-system controlled-update --db-system-id``

* Support for new AI Autonomous DB types AJD, APEX, AVD in Ops Insights service

  * ``oci opsi database-insights list-database-configurations --database-type``
  * ``oci opsi database-insights list --database-type``
  * ``oci opsi database-insights summarize-database-insight-resource-capacity-trend --database-type``
  * ``oci opsi database-insights summarize-database-insight-resource-forecast-trend --database-type``
  * ``oci opsi database-insights summarize-database-insight-resource-statistics --database-type``
  * ``oci opsi database-insights summarize-database-insight-resource-usage-trend --database-type``
  * ``oci opsi database-insights summarize-database-insight-resource-usage --database-type``
  * ``oci opsi database-insights summarize-database-insight-resource-utilization-insight --database-type``
  * ``oci opsi database-insights summarize-sql-insights --database-type``
  * ``oci opsi database-insights summarize-sql-statistics --database-type``

* Support for Reserved Private IP feature for Network Load Balancer service

  * ``oci nlb network-load-balancer update --reserved-ipv6-id``

* Cloud Migrations service

  * Support for new optional parameters ``--migration-config, --migration-type`` in the following commands

    * ``oci cloud-migrations migration create``
    * ``oci cloud-migrations migration update``

  * Support for new optional parameter ``--replication-location-detail`` in the following command

    * ``oci cloud-migrations migration-asset create``

  * Support for new commands

    * ``oci cloud-migrations target-asset create-target-asset-create-olvm-target-asset-details``
    * ``oci cloud-migrations target-asset update-target-asset-update-olvm-target-asset-details``

* File Storage service

  * Support for using IPv6 addresses as a Mount Target IP address

    * ``oci fs mount-target create --ip-address``

  * Support for Custom CA certificates for LDAP Feature on Mount Targets

    * ``oci fs outbound-connector create_ldap_bind_connector --trusted-certificate-secret-id, --trusted-certificate-secret-version``

* Database service

  * Support for new optional parameter ``--zero-data-loss-enabled`` in the following command

    * ``oci db database update --zero-data-loss-enabled [boolean]``
    * ``oci db database create --zero-data-loss-enabled [boolean]``

Changed
~~~~~~~
* Generative AI Data Service

 * [BREAKING] Removed optional parameter ``--opc-compartment-id`` from the following command

    * ``oci generative-ai-data generate-sql-from-nl-job generate-sql-from-nl``

* Minor changes to existing OIC CP Public API to support existing DR design in Integration service

  * ``oci integration integration-instance convert-instance --conversion-phase , -? | -h | --help``

3.76.2 - 2026-03-24
-------------------
Added
~~~~~
* Generative AI Service

  * Support for Hosted Deployment in Generative AI service.

    * ``oci generative-ai hosted-application change-compartment``
    * ``oci generative-ai hosted-application create``
    * ``oci generative-ai hosted-application delete``
    * ``oci generative-ai hosted-application get``
    * ``oci generative-ai hosted-application update``
    * ``oci generative-ai hosted-application-collection list-hosted-applications``
    * ``oci generative-ai hosted-application-storage change-compartment``
    * ``oci generative-ai hosted-application-storage create``
    * ``oci generative-ai hosted-application-storage delete``
    * ``oci generative-ai hosted-application-storage get``
    * ``oci generative-ai hosted-application-storage-collection list-hosted-application-storages``
    * ``oci generative-ai hosted-deployment add``
    * ``oci generative-ai hosted-deployment add-artifact-create-single-docker-artifact-details``
    * ``oci generative-ai hosted-deployment create``
    * ``oci generative-ai hosted-deployment create-hosted-deployment-single-docker-artifact``
    * ``oci generative-ai hosted-deployment delete``
    * ``oci generative-ai hosted-deployment delete-hosted-deployment-artifact``
    * ``oci generative-ai hosted-deployment get``
    * ``oci generative-ai hosted-deployment update``
    * ``oci generative-ai hosted-deployment-collection list-hosted-deployments``

  * Added support for new optional parameter ``--resource-type``.

    * ``oci generative-ai generative-ai-private-endpoint create --resource-type``
    * ``oci generative-ai generative-ai-private-endpoint-collection list-generative-ai-private-endpoints --resource-type``

  * Support for Vector Store Connector in Generative AI Service.

    * ``oci generative-ai vector-store-connector create``
    * ``oci generative-ai vector-store-connector create-vector-store-connector-oci-object-storage-configuration``
    * ``oci generative-ai vector-store-connector create-vector-store-connector-schedule-cron-config``
    * ``oci generative-ai vector-store-connector create-vector-store-connector-schedule-interval-config``
    * ``oci generative-ai vector-store-connector delete``
    * ``oci generative-ai vector-store-connector get``
    * ``oci generative-ai vector-store-connector update``
    * ``oci generative-ai vector-store-connector update-vector-store-connector-oci-object-storage-configuration``
    * ``oci generative-ai vector-store-connector update-vector-store-connector-schedule-cron-config``
    * ``oci generative-ai vector-store-connector update-vector-store-connector-schedule-interval-config``
    * ``oci generative-ai vector-store-connector-collection list-vector-store-connectors``
    * ``oci generative-ai vector-store-connector-file-sync cancel``
    * ``oci generative-ai vector-store-connector-file-sync create``
    * ``oci generative-ai vector-store-connector-file-sync get``
    * ``oci generative-ai vector-store-connector-file-sync-collection list-vector-store-connector-file-syncs``
    * ``oci generative-ai vector-store-connector-ingestion-logs-collection list-vector-store-connector-ingestion-logs``
    * ``oci generative-ai vector-store-connector-stats get``
    * ``oci generative-ai file-sync-ingestion-logs-collection list-vector-store-connector-file-sync-ingestion-logs``

  * Support for GenerativeAiProject feature in Generative AI Service.

    * ``oci generative-ai generative-ai-project change-compartment``
    * ``oci generative-ai generative-ai-project create``
    * ``oci generative-ai generative-ai-project delete``
    * ``oci generative-ai generative-ai-project get``
    * ``oci generative-ai generative-ai-project update``
    * ``oci generative-ai generative-ai-project-collection list-generative-ai-projects``

  * Support for Semantic Store in Generative AI Service

    * ``oci generative-ai semantic-store change-compartment``
    * ``oci generative-ai semantic-store create``
    * ``oci generative-ai semantic-store delete``
    * ``oci generative-ai semantic-store get``
    * ``oci generative-ai semantic-store update``
    * ``oci generative-ai semantic-store-collection list-semantic-stores``

* Big Data Service

  * Add Block Storage to Master/Utility and Edge Nodes

    * ``oci bds block-storage add --node-ids``

  * Reset BDS component Admin Password from OCI console

    * ``oci bds instance reset-password --bds-instance-id <bds-ocid> --service <service-name>``

  * Delete multiple nodes

    * ``oci bds instance remove-nodes --bds-instance-id <bds-ocid> --instace-ids '["<node-ocid>", "<node-ocid>", ... , "<node-ocid>"]'``

Changed
~~~~~~~
* Big Data Service

  * Support for cluster admin password stored in OCI Vault - changed ``cluster-admin-password`` required parameter to optional parameter and added ``secret-id`` parameter

    * ``oci bds <command> --cluster-admin-password --secret-id``


3.76.1 - 2026-03-17
-------------------
Added
~~~~~
* OCI OpenSearch service

  * Support for new optional parameters ``--ml-node-count`` in the following commands

    * ``oci opensearch cluster create``
    * ``oci opensearch cluster resizehorizontal``

  * Support for new optional parameters ``--ml-node-host-memory-gb``, ``--ml-node-host-ocpu-count``, ``--ml-node-host-shape``, ``--ml-node-storage-gb`` in the following commands

    * ``oci opensearch cluster create``
    * ``oci opensearch cluster resizevertical``

  * Support for new optional parameters ``--ml-node-host-type`` in the following command
     * ``oci opensearch cluster create``


3.76.0 - 2026-03-10
-------------------
Added
~~~~~
*  Oracle Cloud VMware Provisioning service

  * Support new commands for VMware Bring-Your-Own-License with VCF5.2

    * ``oci ocvs byol``
    * ``oci ocvs byol-allocation``

  * Support for new optional parameters ``--byol-allocation-details`` and ``--sddc-byol-allocation-details`` in the following commands

    * ``oci ocvs sddc create``
    * ``oci ocvs sddc update``

  * Support for new optional parameter ``--cluster-byol-allocation-details`` in the following commands

    * ``oci ovcs cluster create``
    * ``oci ocvs cluster update``

  * Support for new optional parameter ``--initial-vcf-byol-allocation-id`` in the following command

    * ``oci ovcs cluster create``

  * Support for new optional parameters ``--is-vsan-byol-enabled`` and ``--vcf-byol-allocation-id`` in the following commands

    * ``oci ocvs esxi-host create``
    * ``oci ocvs esxi-host update``

  * Support listing Management Appliances by SDDC Id using new optional parameter ``--sddc-id``

    * ``oci ocvs management-appliance list --sddc-id``

* Support for the Guarded Data Pipelines service

  * ``oci gdp``

* Support for Identity Verification in the Identity Domains service

  * ``oci identity-domains identity-proofing-provider``
  * ``oci identity-domains identity-proofing-provider-template``
  * ``oci identity-domains verification-claim``

* Distributed Database service

  * Support for new commands

    * ``oci distributed-database distributed-autonomous-db-service distributed-autonomous-database configure-distributed-autonomous-database-gsm-wallet``
    * ``oci distributed-database distributed-autonomous-db-service distributed-autonomous-database recreate-failed-distributed-autonomous-database-resource``
    * ``oci distributed-database distributed-autonomous-db-service distributed-autonomous-database validate-distributed-autonomous-database-ca-bundle``
    * ``oci distributed-database distributed-autonomous-db-service distributed-database get-distributed-autonomous-database-raft-metric``
    * ``oci distributed-database distributed-db-service distributed-database get-distributed-database-raft-metric``
    * ``oci distributed-database distributed-db-service distributed-database move-distributed-database-replication-unit``
    * ``oci distributed-database distributed-db-service distributed-database recreate-failed-distributed-database-resource``

  *  Support for new optional parameter

    * ``oci distributed-database distributed-autonomous-db-service distributed-autonomous-database configure-distributed-autonomous-database-sharding --ca-bundle-id --certificate-id``
    * ``oci distributed-database distributed-autonomous-db-service distributed-autonomous-database-collection list-distributed-autonomous-databases --private-endpoint-id``
    * ``oci distributed-database distributed-db-service distributed-database create --scan-listener-port``
    * ``oci distributed-database distributed-db-service distributed-database delete --must-delete-infra``
    * ``oci distributed-database distributed-db-service distributed-database-collection list-distributed-databases --private-endpoint-id``

* Support for new optional parameter in the Email Delivery Service

  * ``oci email email-ip-pool create --last-ip-drain-period``
  * ``oci email email-ip-pool update --last-ip-drain-period``
  * ``oci email work-request list --operation-type --sort-by --sort-order --status``
  * ``oci email work-request-error list --sort-by --sort-order``
  * ``oci email work-request-log list --sort-by --sort-order``

* Support for the Limits Increase service

  * ``oci limits-increase``

Changed
~~~~~~~
* Oracle Cloud VMware Provisioning service

  * [BREAKING] Rename commands under the cluster group

    * ``oci ocvs cluster create``
    * ``oci ocvs cluster delete``
    * ``oci ocvs cluster get``
    * ``oci ocvs cluster list``
    * ``oci ocvs cluster update``

  * [BREAKING] Rename commands under the management-appliance group

    * ``oci ocvs management-appliance create``
    * ``oci ocvs management-appliance delete``
    * ``oci ocvs management-appliance get``
    * ``oci ocvs management-appliance list``
    * ``oci ocvs management-appliance update``

  * [BREAKING] Rename command to list work request errors

    * ``oci ocvs work-request-error list``

* ``--ca-bundle-id`` is now an optional parameter for the following command in Distributed Database service

  * ``oci distributed-database distributed-autonomous-db-service distributed-autonomous-database generate-distributed-autonomous-database-gsm-certificate-signing-request``

* [BREAKING] Renamed commands to list email IP pools and outbound public IPs assigned for a given tenant in the Email Delivery Service

  * ``oci email email-ip-pool list``
  * ``oci email email-outbound-ip list``


3.75.0 - 2026-03-03
-------------------
Added
~~~~~
* Lustre File Storage Service
  * Support for the User Managed Maintenance Window Feature
    * ``oci lfs available-maintenance-schedule-start-time-collection list-available-maintenance-schedule-start-times``
    * ``oci lfs available-override-maintenance-start-time-collection list-available-override-maintenance-start-times``
    * ``oci lfs lustre-file-system override-maintenance``
  * Added optional parameter --maintenance-window to the existing Lustre File System Create API
    * ``oci lfs lustre-file-system create --maintenance-window``
  * Added optional parameter --maintenance-window to the existing Lustre File System Update API
    * ``oci lfs lustre-file-system update --maintenance-window``

* Database Service
  * Support for creating multiple standby databases across AD and across Regions in a Data Guard environment.
      * ``oci db system launch-db-system-launch-standby-db-system-details --availability-domain, --compartment-id | -c, --db-home, --hostname, --primary-db-system-id, --shape, --ssh-public-keys, --subnet-id, --backup-network-nsg-ids, --backup-subnet-id, --cluster-name, --cluster-placement-group-id, --compute-count, --compute-model, --cpu-core-count, --data-collection-options, --data-storage-percentage, --db-system-options, --defined-tags, --display-name, --domain, --fault-domains, --freeform-tags, -? | -h | --help, --initial-data-storage-size-in-gb, --kms-key-id, --kms-key-version-id, --license-model, --node-count, --nsg-ids, --opc-dry-run, --private-ip, --private-ip-v6, --security-attributes, --sparse-diskgroup, --storage-volume-performance-mode, --subscription-id, --time-zone``
  * Support for creating multiple standby databases across AD and across Regions in a Data Guard environment.
      * ``oci db system launch-db-system-launch-standby-db-system-details --availability-domain, --compartment-id | -c, --db-home, --hostname, --primary-db-system-id, --shape, --ssh-public-keys, --subnet-id, --backup-network-nsg-ids, --backup-subnet-id, --cluster-name, --cluster-placement-group-id, --compute-count, --compute-model, --cpu-core-count, --data-collection-options, --data-storage-percentage, --db-system-options, --defined-tags, --display-name, --domain, --fault-domains, --freeform-tags, -? | -h | --help, --initial-data-storage-size-in-gb, --kms-key-id, --kms-key-version-id, --license-model, --node-count, --nsg-ids, --opc-dry-run, --private-ip, --private-ip-v6, --security-attributes, --sparse-diskgroup, --storage-volume-performance-mode, --subscription-id, --time-zone``
  * Support for OS Patching in Base DB System
      * ``oci db system execute-db-system-os-patch``
      * ``oci db db-system-os-patch-history list``
      * ``oci db db-system-os-patch-history get``

* Redis Service
  * Support for Valkey 8.1

* Ops Insights service
  * Support for Exadata Cost Management (Chargeback) in Ops Insights service
    * ``oci opsi chargeback-plan change-compartment --chargebackplan-id, --compartment-id | -c, -? | -h | --help``
    * ``oci opsi chargeback-plan create-chargeback-plan --compartment-id | -c, --plan-name, --plan-type, --defined-tags, --freeform-tags, -? | -h | --help, --plan-custom-items, --plan-description``
    * ``oci opsi chargeback-plan create-chargeback-plan-report --id, --report-name, --report-properties, --resource-type, -? | -h | --help``
    * ``oci opsi chargeback-plan delete --chargebackplan-id, --force, -? | -h | --help``
    * ``oci opsi chargeback-plan delete-chargeback-plan-report --chargeback-plan-report-id, --id, --resource-type, --force, -? | -h | --help``
    * ``oci opsi chargeback-plan get --chargebackplan-id, -? | -h | --help``
    * ``oci opsi chargeback-plan get-chargeback-plan-report --chargeback-plan-report-id, --id, --resource-type, -? | -h | --help``
    * ``oci opsi chargeback-plan get-chargeback-plan-report-content --chargeback-plan-report-id, --id, --resource-type, --file, -? | -h | --help, --relative-time-interval, --time-interval-end, --time-interval-start``
    * ``oci opsi chargeback-plan list --all, --chargebackplan-id, --compartment-id | -c, --compartment-id-in-subtree, -? | -h | --help``
    * ``oci opsi chargeback-plan list-chargeback-plan-reports --id, --resource-type, --all, -? | -h | --help``
    * ``oci opsi chargeback-plan update --chargebackplan-id, --defined-tags, --force, --freeform-tags, -? | -h | --help, --plan-custom-items, --plan-description, --plan-name``
    * ``oci opsi chargeback-plan update-chargeback-plan-report --chargeback-plan-report-id, --id, --resource-type, --force, -? | -h | --help, --report-name, --report-properties``
    * ``oci opsi exadata-insights disable-plan --exadata-insight-id, -? | -h | --help``
    * ``oci opsi exadata-insights enable-plan --exadata-insight-id, --plan-id, -? | -h | --help``

* Data Safe Service
  * Support for accepting target database user credentials for Data Safe Data Masking and generate health report
    * ``oci data-safe masking-policy mask-data --target-credentials``
    * ``oci data-safe masking-policy-health-report generate-health-report --target-credentials``

Security
~~~~~~~~
* Updated cryptography dependency to >=3.2.1,<47.0.0 and pyOpenSSL version to >=17.5.0,<25.3.0 per: https://www.cve.org/CVERecord?id=CVE-2026-26007

Deprecated
~~~~~~~~~~
* Fusion Application service
  * [BREAKING] password is deprecated from fusion-apps service admin user creation
    * ``oci fusion-apps fusion-environment create-fusion-environment-admin-user --username --email-address --first-name --last-name --fusion-environment-id``

Changed
~~~~~~~
* Updated the dynamic loader script to allow import from ".pyc" python compiled files
* Updated "setup.cfg" to support newer setuptools versions


3.74.2 - 2026-02-24
-------------------
Added
~~~~~
* Database Service

  * Support for new optional parameter ``--dr-scan-listener-port-tcp-ssl`` for the following command:

    * ``oci db exadata-infrastructure generate-recommended-vm-cluster-network``

* Fleet Software Update service

  * Support for change compartment of readiness check

    * ``oci fleet-software-update fsu-readiness-check change-compartment``

  * Support for creating readiness check

    * ``oci fleet-software-update fsu-readiness-check create``

  * Support for creating details of readiness check

    * ``oci fleet-software-update fsu-readiness-check create-fsu-readiness-check-create-target-fsu-readiness-check-details``

  * Support for deleting readiness check

    * ``oci fleet-software-update fsu-readiness-check delete``

  * Support for getting readiness check

    * ``oci fleet-software-update fsu-readiness-check get``

  * Support for updating readiness check

    * ``oci fleet-software-update fsu-readiness-check update``

  * Support for listing readiness check

    * ``oci fleet-software-update fsu-readiness-check-summary list-fsu-readiness-checks``

* DNS Service

  * Support for new optional parameter ``--resolution-mode`` for the following commands:

    * ``oci dns zone update``
    * ``oci dns zone create``

* MySQL Service

  * Support for specifying DB system telemetry configuration in MySQL HeatWave Service

    * ``oci mysql db-system create --telemetry-configuration``
    * ``oci mysql db-system update --telemetry-configuration``
    * ``oci mysql db-system import --telemetry-configuration``
    * ``oci mysql db-system clone --telemetry-configuration``

  * Support for retrieving DB system and Channel status (information about availability and operational indicators) in the MySQL HeatWave service.

    * ``oci mysql db-system status generate``
    * ``oci mysql db-system status get``
    * ``oci mysql channel status generate``
    * ``oci mysql channel status get``

* Data Flow Service

  * Support for new optional parameter ``--security-attributes`` for the following commands:
    * ``oci data-flow private-endpoint create``
    * ``oci data-flow private-endpoint update``

  * Support for new optional parameters ``--log-compartment-id``, ``--log-display-name``, ``--log-group-id``, ``--log-retention-duration`` for the following commands:
    * ``oci data-flow sql-endpoint create``
    * ``oci data-flow sql-endpoint update``


3.74.1 - 2026-02-17
-------------------
Added
~~~~~
* Container Engine service

  * Support for customer-controlled public IP decommission feature for oracle kubernetes engine

    * ``oci ce cluster extend-endpoint-decommission-rollback-deadline``
    * ``oci ce cluster get-public-api-endpoint-decommission-status``
    * ``oci ce cluster rollback-public-api-endpoint-decommission``
    * ``oci ce cluster start-public-api-endpoint-decommission``

* Core service

  * New optional parameter ``--gpu-memory-cluster-scale-config`` to provide GPU memory scale configuration while creating and updating Compute GPU Memory Cluster

    * ``oci compute compute-gpu-memory-cluster create --gpu-memory-cluster-scale-config``
    * ``oci compute compute-gpu-memory-cluster update --gpu-memory-cluster-scale-config``

* MySQL HeatWave service

  * Support for listing maintenance events

    * ``oci mysql db-system maintenance-event list --db-system-id``


3.74.0 - 2026-02-10
-------------------
Added
~~~~~
* Database Migration service

  * Support for Assessments in the Database Migration service

    * ``oci database-migration database-assessment advisor-report-check-collection update-check-action-update-object``
    * ``oci database-migration database-assessment advisor-report-check-collection update-check-action-update-object-all-update-check-action-update-object-details``
    * ``oci database-migration database-assessment advisor-report-check-collection update-check-action-update-object-list-update-check-action-update-object-details``
    * ``oci database-migration connection-summary``
    * ``oci database-migration database-assessment assessment add``
    * ``oci database-migration database-assessment assessment add-assessment-objects-my-sql-assessment-object-collection``
    * ``oci database-migration database-assessment assessment add-assessment-objects-oracle-assessment-object-collection``
    * ``oci database-migration database-assessment assessment change-compartment``
    * ``oci database-migration database-assessment assessment clone``
    * ``oci database-migration database-assessment assessment clone-assessment-my-sql-clone-assessment-details``
    * ``oci database-migration database-assessment assessment clone-assessment-oracle-clone-assessment-details``
    * ``oci database-migration database-assessment assessment create``
    * ``oci database-migration database-assessment assessment create-assessment-create-my-sql-assessment-details``
    * ``oci database-migration database-assessment assessment create-assessment-create-oracle-assessment-details``
    * ``oci database-migration database-assessment assessment delete``
    * ``oci database-migration database-assessment assessment get``
    * ``oci database-migration database-assessment assessment perform-assessor-action``
    * ``oci database-migration database-assessment assessment perform-assessor-action-download-sql``
    * ``oci database-migration database-assessment assessment perform-assessor-check-action``
    * ``oci database-migration database-assessment assessment remove``
    * ``oci database-migration database-assessment assessment remove-assessment-objects-my-sql-assessment-object-collection``
    * ``oci database-migration database-assessment assessment remove-assessment-objects-oracle-assessment-object-collection``
    * ``oci database-migration database-assessment assessment update``
    * ``oci database-migration database-assessment assessment update-assessment-update-my-sql-assessment-details``
    * ``oci database-migration database-assessment assessment update-assessment-update-oracle-assessment-details``
    * ``oci database-migration database-assessment assessment-object-collection list-assessment-objects``
    * ``oci database-migration database-assessment assessment-object-type-summary list-assessment-object-types``
    * ``oci database-migration database-assessment assessment-summary list-assessments``
    * ``oci database-migration database-assessment assessor get``
    * ``oci database-migration database-assessment assessor-check get``
    * ``oci database-migration database-assessment assessor-check list-affected-objects``
    * ``oci database-migration database-assessment assessor-check-summary list-assessor-checks``
    * ``oci database-migration database-assessment assessor-summary list-assessors``
    * ``oci database-migration database-assessment binary get-script``
    * ``oci database-migration database-connection-type-summary list-database-connection-type``
    * ``oci database-migration job-output-summary list``
    * ``oci database-migration job-summary``
    * ``oci database-migration migration-object-collection list``
    * ``oci database-migration migration-summary``
    * ``oci database-migration work-request-log-entry list``
    * ``oci database-migration work-request-summary``

  * Support for new optional parameters

    * ``oci database-migration connection list --technology-sub-type``
    * ``oci database-migration job list --job-id-not-equal-to``
    * ``oci database-migration migration clone-mysql-migration --assessment-id``
    * ``oci database-migration migration clone-oracle-migration --assessment-id``
    * ``oci database-migration migration create-mysql-migration --source-database-connection-id --target-database-connection-id --assessment-id``
    * ``oci database-migration migration create-oracle-migration --source-database-connection-id --target-database-connection-id --assessment-id``

* ADM service

  * Support for Audit Vulnerabilities in the ApplicationDependencyManagement service.

    * ``oci adm vulnerability-audit list-vulnerabilities``

* MySQL HeatWave service

  * Support for flexible MySQL Configurations in MySQL HeatWave service

    * ``oci mysql configuration create --options ``

* Core service

  * Support for Bulk Operations for Private IP and IPv6

    * ``oci network internal-vnic-attachment create-vnic-attachment``
    * ``oci network ipv6 bulk-create``
    * ``oci network ipv6 bulk-delete``
    * ``oci network ipv6 bulk-detach``
    * ``oci network ipv6 bulk-update``
    * ``oci network private-ip bulk-create``
    * ``oci network private-ip bulk-delete``
    * ``oci network private-ip bulk-detach``
    * ``oci network private-ip bulk-update``

  * Support for baselineOcpuUtilization field in the input json file for shape-availabilities in the request and baselineOcpuUtilization field in the response

    * ``oci compute compute-capacity-report create --availability-domain --compartment-id --shape-availabilities``

  * Support for new optional parameter ``--opc-parent-resource-principal-token-url`` for the following command

    * ``oci bv volume-kms-key update``

  * Support for new optional parameters ``--interface-name`` and ``--oci-physical-device-name`` for the following command

    * ``oci network cross-connect create``

* Fleet Software Update service

  * Support for Exadata Database service on Exascale Infrastructure

    * ``oci fleet-software-update fsu-collection create-db --service-type exadbxs``
    * ``oci fleet-software-update fsu-collection create-gi --service-type exadbxs``
    * ``oci fleet-software-update fsu-discovery create-gi --details-service-type exadbxs``
    * ``oci fleet-software-update fsu-discovery create-db --details-service-type exadbxs``


Deprecated
~~~~~~~~~~
* [BREAKING] Support for specifying variables and initVariables when creating MySQL Configurations in MySQL HeatWave service has now been deprecated
  * ``oci mysql configuration create --variables ``
  * ``oci mysql configuration create --initvariables ``


Security
~~~~~~~~
* Updated urllib3 dependency to `2.6.3` for python version `>=3.10` per: https://www.cve.org/CVERecord?id=CVE-2026-21441, https://www.cve.org/CVERecord?id=CVE-2025-66418, https://www.cve.org/CVERecord?id=CVE-2025-66471


3.73.2 - 2026-02-03
-------------------
Added
~~~~~
* Generative AI Service
  * Support for the new model capability.
    * ``oci generative-ai imported-model create-from-huggingface --capabilites``
    * ``oci generative-ai imported-model create-from-objectstorage --capabilities``
    * ``oci generative-ai imported-model-collection list-imported-models --capability``
    * ``oci generative-ai model-collection list-models --capability``

  * Support for new optional parameter ``--security-attributes`` for the following commands
      * ``oci generative-ai generative-ai-private-endpoint create``
      * ``oci generative-ai generative-ai-private-endpoint update``

* Database service
  * Support for VM backup storage on Exascale
    * ``oci db advanced-cluster-file-system update``
    * ``oci db advanced-cluster-file-system unmount``
    * ``oci db advanced-cluster-file-system mount``
    * ``oci db advanced-cluster-file-system list``
    * ``oci db advanced-cluster-file-system get``
    * ``oci db advanced-cluster-file-system delete``
    * ``oci db advanced-cluster-file-system create``

* Secure Desktops Service
  * Support for pool image update in the Secure Desktops service
    * ``oci desktops desktop-pool update -—image``

  * New disconnect lifecycle action, DELETE
    * ``oci desktop-pool create --session-lifecycle-actions``

  * Support for connection status in Secure Desktops service
    * ``oci desktops desktop-pool list-desktops``
    * ``oci desktops desktop list``
    * ``oci desktops desktop get``

  * Support for non persistent desktops in Secure Desktops service

  * Support for boot volume sizing in the Secure Desktops service
    * ``oci desktops desktop-pool create --boot-volume-size-in-gbs``

  * Support for Video Input in Desktop as a Service
    * ``oci desktops desktop-pool create --device-policy``
    * ``oci desktops desktop-pool update --device-policy``


* Core Service
  *  Support for customers to view host correlation ID in compute host API list response
    * ``oci compute compute-host list``

* Management Dashboard service
  * Add support of compartmentIdInSubtree to List APIs.
    * ``oci management-dashboard dashboard list --compartment-id-in-subtree``
    * ``oci management-dashboard saved-search list --compartment-id-in-subtree``

* Log Analytics service
  * Support for new optional parameter ``--source-name`` for the following commands
    * ``oci log-analytics assoc list-entity-source-assocs``
    * ``oci log-analytics assoc list-associated-entities``

  * Support for new optional parameter ``--entity-name`` for the following command
    * ``oci log-analytics assoc list-source-assocs``

  * Support for new optional parameter ``--cloud-resource-id`` for the following command
    * ``oci log-analytics entity update``

  * Support for new optional parameter ``--is-compartment-delete`` for the following command
    * ``oci log-analytics namespace list``

  * Support for new optional parameter ``--variables`` for the following command
    * ``oci log-analytics query search``

  * Support for new optional parameter ``--description`` for the following commands
    * ``oci log-analytics scheduled-task update``
    * ``oci log-analytics scheduled-task create-standard-task``
    * ``oci log-analytics scheduled-task create-acceleration-task``

  * Support for new optional parameter ``--lifecycle-state`` for the following commands
    * ``oci log-analytics source validate-source-extfield-details``
    * ``oci log-analytics source list-sources``

  * Support for new optional parameter ``--collection-id`` for the following commands
    * ``oci log-analytics storage estimate-release-data-size``
    * ``oci log-analytics storage estimate-recall-data-size``

* Network Firewall Service
  * Support for new optional parameter ``--description`` for the following commands
    * ``oci network-firewall address-list create``
    * ``oci network-firewall address-list update``
    * ``oci network-firewall address-list update-address-list-update-fqdn-address-list-details``
    * ``oci network-firewall address-list update-address-list-update-ip-address-list-details``
    * ``oci network-firewall application create``
    * ``oci network-firewall application update``
    * ``oci network-firewall application-group create``
    * ``oci network-firewall application-group update``
    * ``oci network-firewall decryption-profile create``
    * ``oci network-firewall decryption-profile update``
    * ``oci network-firewall decryption-rule create``
    * ``oci network-firewall decryption-rule update``
    * ``oci network-firewall mapped-secret create``
    * ``oci network-firewall mapped-secret update``
    * ``oci network-firewall network-firewall-policy clone``
    * ``oci network-firewall network-firewall-policy create``
    * ``oci network-firewall network-firewall-policy update``
    * ``oci network-firewall security-rule create``
    * ``oci network-firewall security-rule update``
    * ``oci network-firewall service create``
    * ``oci network-firewall service update``
    * ``oci network-firewall service-list create``
    * ``oci network-firewall service-list update``
    * ``oci network-firewall tunnel-inspection-rule create``
    * ``oci network-firewall tunnel-inspection-rule update``
    * ``oci network-firewall url-list create``
    * ``oci network-firewall url-list update``

  * Support for new optional parameter ``--shape`` for the following commands
      * ``oci network-firewall network-firewall update``
      * ``oci network-firewall network-firewall create``

* Database service
  * Support for new optional parameter ``--total-vm-storage-in-gbs`` for the following commands
    * ``oci db cloud-exa-infra configure-exascale``
    * ``oci db exadata-infrastructure configure-exascale``

  * Support for new optional parameter ``--vm-file-system-storage-type`` for the following commands
    * ``oci db vm-cluster create``
    * ``oci db cloud-vm-cluster create``

  * Support for new optional parameter ``--vm-backup-storage-type`` for the following commands
    * ``oci db cloud-vm-cluster create``
    * ``oci db cloud-vm-cluster update``
    * ``oci db vm-cluster create``
    * ``oci db vm-cluster update``


3.73.1 - 2026-01-27
-------------------
Added
~~~~~
* Queue service

  * Support for message fanout with filtering using Consumer Groups

    * ``oci queue queue-admin consumer-group create``
    * ``oci queue queue-admin consumer-group delete``
    * ``oci queue queue-admin consumer-group get``
    * ``oci queue queue-admin consumer-group update``
    * ``oci queue queue-admin consumer-group-collection list-consumer-groups``

* Generative AI Agent Service

  * Support for managing provisioned capacities

    * ``oci generative-ai-agent provisioned-capacity change-compartment``
    * ``oci generative-ai-agent provisioned-capacity create``
    * ``oci generative-ai-agent provisioned-capacity delete``
    * ``oci generative-ai-agent provisioned-capacity get``
    * ``oci generative-ai-agent provisioned-capacity list``
    * ``oci generative-ai-agent provisioned-capacity update``

* Certificates Management service

  * Support for managing certificate authority (CA) hierarchies with two new CA types

    * ``oci certs-mgmt certificate-authority create-root-ca-managed-externally``
    * ``oci certs-mgmt certificate-authority create-subordinate-ca-managed-internally-issued-by-external-ca``
    * ``oci certs-mgmt certificate-authority update-root-ca-managed-externally``
    * ``oci certs-mgmt certificate-authority update-subordinate-ca-managed-internally-issued-by-external-ca``

* Oracle Cloud VMware Provisioning service

  * Support for Management Appliance in Oracle Cloud VMware Provisioning service

    * ``oci ocvs management-appliance management-appliance create``
    * ``oci ocvs management-appliance management-appliance delete``
    * ``oci ocvs management-appliance management-appliance get``
    * ``oci ocvs management-appliance management-appliance list``
    * ``oci ocvs management-appliance management-appliance update``

* Managed Kafka service

  * Support for listing shapes allowed in the region

    * ``oci kafka cluster list-node-shapes``

* MySQL HeatWave service

  * Support for exporting MySQL HeatWave backup images to a customer's Object Storage bucket

    * ``oci mysql backup export``

  * Support for canceling ongoing export operations

    * ``oci mysql work-request cancel``


Modified
~~~~~~~~
* Queue service

  * Support for new optional parameter ``--consumer-group-id`` for the following commands

    * ``oci queue channels list-channels``
    * ``oci queue messages delete-message``
    * ``oci queue messages delete-messages``
    * ``oci queue messages get-messages``
    * ``oci queue messages get-stats``
    * ``oci queue messages update-message``
    * ``oci queue messages update-messages``
    * ``oci queue queue-admin queue purge``

  * Support for new optional parameter ``--capabilities`` for the following commands

    * ``oci queue queue-admin queue create``
    * ``oci queue queue-admin queue update``

* Certificates Management service

  * Moved parameter ``--kms-key-id`` from required to optional for the following commands

    * ``oci certs-mgmt certificate-authority create-root-ca-by-generating-config-details``
    * ``oci certs-mgmt certificate-authority create-subordinate-ca-issued-by-internal-ca``

  * Support for new optional parameter ``--external-key-description`` for the following commands

    * ``oci certs-mgmt certificate-authority create-root-ca-by-generating-config-details``
    * ``oci certs-mgmt certificate-authority create-subordinate-ca-issued-by-internal-ca``
    * ``oci certs-mgmt certificate-authority update-root-ca-by-generating-config-details``
    * ``oci certs-mgmt certificate-authority update-subordinate-ca-issued-by-internal-ca``

* OCI OpenSearch service

  * Support for providing load balancer configuration for a OpensearchCluster

    * ``oci opensearch cluster create --load-balancer-config``
    * ``oci opensearch cluster update --load-balancer-config``

* Compute service

  * Support for new optional parameter ``--opc-compute-cluster-id`` for Compute Cluster ID in Instance Pools

    * ``oci compute-management instance-configuration launch-compute-instance --opc-compute-cluster-id``

  * [BREAKING] Removed optional parameters ``--max-wait-seconds, --wait-for-state, --wait-interval-seconds`` from the following commands

    * ``oci compute compute-host apply-host-configuration``
    * ``oci compute compute-host attach``
    * ``oci compute compute-host check-host-configuration``

  * Support for new optional parameter ``--capacity-config`` for the following commands

    * ``oci compute dedicated-vm-host create``
    * ``oci compute dedicated-vm-host create-dedicated-vm-host-compute-bare-metal-host-placement-constraint-details``
    * ``oci compute dedicated-vm-host create-dedicated-vm-host-host-group-placement-constraint-details``

  * Support for new optional parameter ``--is-memory-encryption-enabled`` for the following commands

    * ``oci compute dedicated-vm-host create``
    * ``oci compute dedicated-vm-host create-dedicated-vm-host-compute-bare-metal-host-placement-constraint-details``
    * ``oci compute dedicated-vm-host create-dedicated-vm-host-host-group-placement-constraint-details``
    * ``oci compute dedicated-vm-host list``
    * ``oci compute dedicated-vm-host-instance list``

* Data Intelligence Foundation service

  * Support for AI Data Platform, Oracle Managed Kubernetes & Oracle Kubernetes Engine

    * ``oci dif stack add --aidataplatform, --oke, --omk``
    * ``oci dif stack create --aidataplatform, --oke, --omk``
    * ``oci dif stack deploy-artifacts --oke, --omk``

* Database service

  * Support for new optional parameter ``--is-online-restart`` to trigger an online restart of the specified autonomous database

    * ``oci db autonomous-database restart --is-online-restart``

* Generative AI Agent Service

  * Support for new optional parameter ``--provisioned-capacity-config`` for the following commands

    * ``oci generative-ai-agent agent-endpoint create``
    * ``oci generative-ai-agent agent-endpoint update``

  * Support for new optional parameters ``--tool-config-embedding-llm-customization, --tool-config-reranking-llm-customization, --tool-config-reasoning-llm-customization`` for the following commands

    * ``oci generative-ai-agent tool create-tool-rag-tool-config``
    * ``oci generative-ai-agent tool update-tool-rag-tool-config``

  * Support for new optional parameter ``--tool-config-runtime-version`` for the following commands

    * ``oci generative-ai-agent tool create-tool-rag-tool-config``
    * ``oci generative-ai-agent tool create-tool-sql-tool-config``
    * ``oci generative-ai-agent tool update-tool-rag-tool-config``
    * ``oci generative-ai-agent tool update-tool-sql-tool-config``


3.72.1 - 2026-01-20
--------------------
Added
~~~~~
* Database service
  * Support for importing Transportable Tablespace
    * ``oci db autonomous-database create --transportable-tablespace``
    * ``oci db autonomous-database import-transportable-tablespace``
  * Support to add new scheduled ActionType for FPPCS requirement
    * ``oci db scheduled-action create --action-order --action-type --compartment-id --scheduling-plan-id --scheduling-window-id --action-members --action-params``
  * Support for new Execution Window/Action lifecycle substate CANCELED_BY_OPS
    * ``oci db execution-action get``
    * ``oci db execution-action list``
  * Support for Old Execution window to reference the new Execution window
    * ``oci db execution-window get``
    * ``oci db execution-window list --execution-resource-id``
  * Support for additional lifecycle state PARTIAL_SUCCESS and new PatchingState (COMPLETE, FAILED) in MaintenanceRunSummary
    * ``oci db maintenance-run get``
    * ``oci db maintenance-run-history get``
  * Support for running data patch operations in the Database service
    * ``oci db database run-data-patch --action --from-json --if-match --max-wait-seconds --pluggable-databases --skip-closed-pdbs --wait-for-state --wait-interval-seconds``
  * Support for DbConnectionBundle and Service-Owned Certificates in DB Cloud Databases
    * ``oci db db-connection-bundle``

* Generative AI service
  * Support for API Key management in the Generative AI service
    * ``oci generative-ai api-key change-compartment``
    * ``oci generative-ai api-key create``
    * ``oci generative-ai api-key delete``
    * ``oci generative-ai api-key get``
    * ``oci generative-ai api-key renew``
    * ``oci generative-ai api-key set-api-key-state``
    * ``oci generative-ai api-key update``
    * ``oci generative-ai api-key-collection list-api-keys``


Modified
~~~~~~~
* Database service
  * Support for new optional parameters ``--skip-closed-pdbs --skip-datapatch``
    * ``oci db database update``
    * ``oci db db-home update``
    * ``oci db database patch``
  * Support for new parameter ``--grace-period`` to update the wallet for the specified Autonomous AI Database
    * ``oci db autonomous-database-wallet rotate``
    * ``oci db autonomous-database-wallet rotate-regional-wallet``

* Generative AI service
  * Support for new optional parameters ``--pii-detection-config --prompt-injection-config --is-allow-on-demand`` in the Generative AI service
    * ``oci generative-ai endpoint create --pii-detection-config --prompt-injection-config``
    * ``oci generative-ai endpoint update --pii-detection-config --prompt-injection-config``
    * ``oci generative-ai private-endpoint create --is-allow-on-demand``
    * ``oci generative-ai private-endpoint update --is-allow-on-demand``

* IoT service
  * Support for new optional parameter ``--type``
    * ``oci iot domain-group create --type``
    * ``oci iot domain-group list --type``

3.72.0 - 2026-01-13
--------------------
Added
~~~~~
* Database Service
  * Support for PITR as irestore using timestamp
    * ``oci db database create-from-backup``

  * Support to select a maintenance window when enabling dedicated storage on a Resource Pool leader.
    * ``oci db autonomous-database create --autonomous-database-maintenance-window``
    * ``oci db autonomous-database update --autonomous-database-maintenance-window``

  * Support to pause and resume maintenance/patching operations.
    * ``oci db autonomous-database update --time-maintenance-pause-until``

  * Support to provide the OCID of the standby local ADG Resource Pool leader when enabling local ADG on a Resource Pool with dedicated storage.
    * ``oci db autonomous-database update --local-adg-resource-pool-leader-id``

* Devops service
    * Support for Security Attributes in DevOps Deploy Service
      * ``oci devops-deploy``

* Fleet Application Management service
    * [BREAKING] New Parameters for Existing Operation
    * Support for platform configuration soft links with new optional parameters in the Fleet Application Management service
      * ``oci fleet-apps-management fleet-apps-management-admin platform-configuration create-platform-configuration-product-config-category-details --config-category-details-versions --config-category-details-is-compliance-policy-required-for-softlink --config-category-details-is-softlink --config-category-details-link-product-id``
      * ``oci fleet-apps-management fleet-apps-management-admin platform-configuration update-platform-configuration-product-config-category-details --config-category-details-versions --config-category-details-is-compliance-policy-required-for-softlink --config-category-details-is-softlink --config-category-details-link-product-id``

* MySQL Service
    * Support for Database Console in HeatWave MySQL Service
      * ``oci mysql db-system clone --database-console``
      * ``oci mysql db-system create --database-console``
      * ``oci mysql db-system import --database-console``
      * ``oci mysql db-system update --database-console``

* Budgets Service
   * Added new commands for cost-ad feature in Budgets service
     * ``oci budgets cost-ad cost-alert-subscription create``
     * ``oci budgets cost-ad cost-alert-subscription delete``
     * ``oci budgets cost-ad cost-alert-subscription get``
     * ``oci budgets cost-ad cost-alert-subscription update``
     * ``oci budgets cost-ad cost-alert-subscription-collection list-subs``
     * ``oci budgets cost-ad cost-anomaly-event anomaly-events-stats``
     * ``oci budgets cost-ad cost-anomaly-event get``
     * ``oci budgets cost-ad cost-anomaly-event update``
     * ``oci budgets cost-ad cost-anomaly-event-collection list-events``
     * ``oci budgets cost-ad cost-anomaly-monitor create``
     * ``oci budgets cost-ad cost-anomaly-monitor delete``
     * ``oci budgets cost-ad cost-anomaly-monitor disable``
     * ``oci budgets cost-ad cost-anomaly-monitor enable``
     * ``oci budgets cost-ad cost-anomaly-monitor get``
     * ``oci budgets cost-ad cost-anomaly-monitor update``
     * ``oci budgets cost-ad cost-anomaly-monitor-collection list-monitors``

Modified
~~~~~~~
* Budgets Service
  * [BREAKING] Rename command oci budgets alert-rule create to the below command
    * ``oci budgets budget alert-rule create``

  * [BREAKING] Rename command oci budgets alert-rule delete to the below command
    * ``oci budgets budget alert-rule delete``

  * [BREAKING] Rename command oci budgets alert-rule get to the below command
    * ``oci budgets budget alert-rule get``

  * [BREAKING] Rename command oci budgets alert-rule list to the below command
    * ``oci budgets budget alert-rule list``

  * [BREAKING] Rename command oci budgets alert-rule update to the below command
    * ``oci budgets budget alert-rule update``

  * [BREAKING] Rename command oci budgets budget create to the below command and added optional parameter
    * ``oci budgets budget budget create``

  * [BREAKING] Rename command oci budgets budget delete to the below command
    * ``oci budgets budget budget delete``

  * [BREAKING] Rename command oci budgets budget get to the below command
    * ``oci budgets budget budget get``

  * [BREAKING] Rename command oci budgets budget list to the below command
    * ``oci budgets budget budget list``

  * [BREAKING] Rename command oci budgets budget update to the below command and added optional parameter
    * ``oci budgets budget budget update``

3.71.4 - 2025-12-17
--------------------
Fixed
~~~~~
* `Github Issue #1013 <https://github.com/oracle/oci-cli/issues/1013>`_ for instance principal auth

3.71.2 - 2025-12-16
--------------------
Added
~~~~~
* Support for MappedAttributes API in IdentityDomains service

  * ``oci identity-domains mapped-attribute get``
  * ``oci identity-domains mapped-attribute list``
  * ``oci identity-domains mapped-attribute patch``
  * ``oci identity-domains mapped-attribute put``
  * ``oci identity-domains mapped-attribute search``

* Support for OCI Batch Service

  * ``oci batch``

* Support for Oracle Integration Cloud (OIC) Resource as member in OCI Full Stack Disaster Recovery Service

  * ``oci disaster-recovery dr-plan update plan-groups objectStorageScriptLocation``
  * ``oci disaster-recovery dr-protection-group create --members [complex type]``

* Support for model explorer feature for model-deployments in the Data Science service

  * ``oci data-science ml-app-instance-view list --ml-application-instance-id``

* Support for additional features by new CP Public APIs of REDWOOD MIGRATION in Oracle Integration Cloud (OIC)

  * ``oci integration integration-instance convert-instance --conversion-type, --integration-instance-id , -? | -h | --help``
  * ``oci integration integration-instance disable-process-automation --integration-instance-id, -? | -h | --help``

* Support for adding ability to Create ACLs for Oracle Integration Cloud (OIC) Design Time

  * ``oci integration integration-instance network_endpoint_details_runtime , -? | -h | --help``
  * ``oci integration integration-instance network_endpoint_details_design_time , -? | -h | --help``

* Support for Firmware Pinning using Host Groups and IPv6 support in the Compute Service

  * ``oci compute compute-host apply-host-configuration --compute-host-id``
  * ``oci compute compute-host check-host-configuration --compute-host-id``
  * ``oci compute firmware-bundle get --firmware-bundle-id``
  * ``oci compute firmware-bundle list --platform``
  * ``oci compute shape list --shape``

* Support for offline installation package on OL10 and Ubuntu 22.04.

Fixed
~~~~~
* `Github Issue #1010 <https://github.com/oracle/oci-cli/issues/1010>`_ for Logging
* `Github Issue #1011 <https://github.com/oracle/oci-cli/issues/1011>`_ for Logging
* `Fixed instance principal authentication command: oci iam compartment list, to also include the root compartments`

3.71.1 - 2025-12-09
--------------------
Added
~~~~~
* Support for GPT OSS model DAC Creation in Generative AI inference service

  * ``oci generative-ai dedicated-ai-cluster create --unit-shape``

* Support for list-elastic-pool-cost-savings in the Autonomous Database API of the Database Service

  * ``oci db autonomous-database list-elastic-pool-cost-savings --autonomous-database-id``

* Support for providing identity provider name during session token based authentication

  * ``oci session authenticate --identity-provider-name``

* Support for distributed tracing via opc-request-id

  * ``oci --enable-propagation``

Fixed
~~~~~
* Fixed a spelling error in the --severity option of for below command

  * ``oci support incident create --severity``

Security
~~~~~~~~
* Updated requests dependency to `>= 2.32.4` for python version `>3.7` per: https://www.cve.org/CVERecord?id=CVE-2024-47081
* Updated urllib3 dependency to `2.5.0` for python version `>=3.10` per: https://www.cve.org/CVERecord?id=CVE-2025-50181
* Updated urllib3 dependency to `1.26.19` for python version `<3.10` per: https://www.cve.org/CVERecord?id=CVE-2024-37891

3.71.0 - 2025-11-18
--------------------
Added
~~~~~
* Api-Gateway Service

  * Support for IPv6 and Reserved IPs for API Gateway service

    * ``oci api-gateway gateway create --ip-mode``
    * ``oci api-gateway gateway create --ipv4-address-configuration``
    * ``oci api-gateway gateway create --ipv6-address-configuration``

* Core Service

  * Support for Firmware Pinning in the Compute GPU Memory Fabric service

    * ``oci compute compute-gpu-memory-fabric update --memory-fabric-preferences``
    * ``oci compute compute-gpu-memory-fabric get``
    * ``oci compute compute-gpu-memory-fabric list``

* Bastion Service

  * Support for security attribute in bastion service

    * ``oci bastion``

* Database Service

  * Add new command to check DG Health Status in the Database service

    * ``oci db database refresh-dataguard-health --database-id, -? | -h | --help``

  * DG creation with AWS, changing encryption key location to AWS, and two new apis to register/unregister pkcs

    * ``oci db data-guard-association create-data-guard-association-aws-encryption-key-details``
    * ``oci db database change-encryption-key-location-aws-encryption-key-details``
    * ``oci db cloud-vm-cluster register-cloud-vm-cluster-pkcs``
    * ``oci db cloud-vm-cluster unregister-cloud-vm-cluster-pkcs``

* DbMulticloud service

  * Support for the AWS dbmulticloud service (``oci dbmulticloud``)

    * ``oci dbmulticloud oracle-db-aws-identity-connector``
    * ``oci dbmulticloud oracle-db-aws-key``

* MultiCloud Service

  * Added multicloudsubscriptions and omHub/multicloudResources APIs.

    * ``oci multicloud multicloud-resources multicloud-resource-collection list-multicloud-resources``
    * ``oci multicloud multicloudsubscriptions multicloud-subscription-collection list-multicloud-subscriptions``

* Generative AI Inference Service

  * Support for new GenericChatRequest parameters in Generative AI inference service

    * ``oci generative-ai-inference chat-result chat-generic-chat-request --chat-request-service-tier``

* Email Service

  * Support for Self Serve IP Pool API in Email Delivery service

    * ``oci email email-ip-pool remove``
    * ``oci email email-ip-pool get``
    * ``oci email email-ip-pool delete``
    * ``oci email email-ip-pool-collection list-email-ip-pools``
    * ``oci email email-ip-pool change-compartment``
    * ``oci email email-outbound-ip-collection list-email-outbound-ips``

* Iot Service

  * Added optional parameters in digital twin instance command

  * ``oci iot digital-twin-instance update --digital-twin-model-spec-uri --digital-twin-model-id``

* Object Storage Service

  * Support for Object Batch Delete in Object Storage

    * ``oci os object batch-delete --bucket-name, --objects --is-skip-deleted-result --namespace-name``

* Golden Gate Service

  * Support for enabling pause operation for ZeroETL pipelines in the GoldenGate service.

    * ``oci goldengate pipeline pause --pipeline-id``

  * Support for shared connections for ZeroETL pipelines in the GoldenGate service

    * ``oci goldengate pipeline create-zero-etl-pipeline --subnet-id``
    * ``oci goldengate pipeline update-zero-etl-pipeline --subnet-id``

* Service Catalog Service

  * Support for new service catalog access control on marketplace in ServiceCatalog service

    * ``oci service-catalog application-summary list-all-applications``
    * ``oci service-catalog configuration get``

  * Added optional parameter for these commands

    * ``oci service-catalog service-catalog create --status``
    * ``oci service-catalog service-catalog list --status``

  * [BREAKING] Added new required parameter for mentioned command

    * ``oci service-catalog service-catalog update --status``

* Data Catalog Service

  * Support for ZPR in DCAT Service

    * ``oci data-catalog catalog-private-endpoint update --security-attributes``
    * ``oci data-catalog catalog-private-endpoint create --security-attributes``

* Opensearch Service

  * Support for bring your own certificate in OCI Search Service with OpenSearch service

    * ``oci opensearch cluster create --certificate-config``
    * ``oci opensearch cluster update --certificate-config``

Changed
~~~~~~~
* Service Catalog Service

  * [BREAKING] Moved optional parameter to required parameter for this command

    * ``oci service-catalog private-application create-with-stack-package --package-details-zip-file-base64-encoded``

3.70.1 - 2025-11-11
--------------------
Fixed
~~~~~
* Data Intelligence Foundation Service

  * Fixed commands for the Data Intelligence Foundation Service

    * ``oci dif stack add``
    * ``oci dif stack change-compartment``
    * ``oci dif stack create``
    * ``oci dif stack delete``
    * ``oci dif stack deploy-artifacts``
    * ``oci dif stack get``
    * ``oci dif stack update``
    * ``oci dif stack-collection list-stacks``
    * ``oci dif work-request cancel``
    * ``oci dif work-request get``
    * ``oci dif work-request list``
    * ``oci dif work-request-error list``
    * ``oci dif work-request-log-entry list-work-request-logs``

Added
~~~~~
* Generative AI Service

  * Support imported-model for Generative AI Service

    * ``oci generative-ai imported-model``

  * Support imported-model-collection for Generative AI Service

    * ``oci generative-ai imported-model-collection list-imported-models``

* Artifact Service

  * Support for lookup image by URI in OCIR

    * ``oci artifacts container image lookup``

  * Support for new optional parameter --image-digest in image list

    * ``oci artifacts container image list --image-digest``

* Support for the externalLocation in Limits service

  * ``oci limits resource-availability get --external-location``
  * ``oci limits value list --external-location``

* Support for additional optional parameters in OKE Service

  * ``oci ce cluster-options get --should-list-all-patch-versions``
  * ``oci ce node-pool-options get --should-list-all-patch-versions --node-pool-k8s-version --node-pool-os-arch --node-pool-os-type``

* Added support to Dedicated Virtual Machine Hosts to have multiple capacity bucket configurations in Compute service

  * ``oci compute dedicated-vm-host create --capacity-config, --is-memory-encryption-enabled``
  * ``oci compute dedicated-vm-host list --is-memory-encryption-enabled``
  * ``oci compute dedicated-vm-host-instance list --is-memory-encryption-enabled``

* Fleet Application Management service

  * Support for configuration of catalog item in the Fleet Application Management service

    * ``oci fleet-apps-management fleet-apps-management-catalog catalog-item configure``
    * ``oci fleet-apps-management fleet-apps-management-catalog catalog-item-variables-definition get``

  * Support for reports in the Fleet Application Management service

    * ``oci fleet-apps-management fleet-apps-management-operations report-metadata-collection list-report-metadata``
    * ``oci fleet-apps-management fleet-apps-management-operations report-collection report``

  * Support for fleet compliance retrieval in Fleet Application Management service

    * ``oci fleet-apps-management compliance get``

  * Support for export and import of runbook and version in the Fleet Application Management service

    * ``oci fleet-apps-management fleet-apps-management-runbooks runbook export``
    * ``oci fleet-apps-management fleet-apps-management-runbooks runbook export-runbook-version``
    * ``oci fleet-apps-management fleet-apps-management-runbooks runbook export-runbook-transfer-runbook-object-storage-bucket-content-details``
    * ``oci fleet-apps-management fleet-apps-management-runbooks runbook export-runbook-version-transfer-runbook-object-storage-bucket-content-details``
    * ``oci fleet-apps-management fleet-apps-management-runbooks runbook export-runbook-transfer-runbook-par-url-content-details``
    * ``oci fleet-apps-management fleet-apps-management-runbooks runbook export-runbook-version-transfer-runbook-par-url-content-details``
    * ``oci fleet-apps-management fleet-apps-management-runbooks runbook-export-dependency-collection find-runbook-export-dependency``
    * ``oci fleet-apps-management fleet-apps-management-runbooks runbook-export-status-collection list-runbook-export-statuses``
    * ``oci fleet-apps-management fleet-apps-management-runbooks import-runbook-precheck-details import-runbook-precheck``
    * ``oci fleet-apps-management fleet-apps-management-runbooks import-runbook-details import-runbook``
    * ``oci fleet-apps-management fleet-apps-management-runbooks import-runbook-version-details import-runbook-version``
    * ``oci fleet-apps-management fleet-apps-management-runbooks runbook-import get``
    * ``oci fleet-apps-management fleet-apps-management-runbooks runbook-import-dependency-collection find-runbook-import-dependency``
    * ``oci fleet-apps-management fleet-apps-management-runbooks runbook-import-dependency-collection find-runbook-import-dependency-transfer-runbook-par-url-content-details``
    * ``oci fleet-apps-management fleet-apps-management-runbooks runbook-import-status-collection list-runbook-import-statuses``

  * Support for resource inventory detailed patch, target information in the Fleet Application Management service

    * ``oci fleet-apps-management fleet-apps-management-operations installed-patch-collection list-installed-patches``
    * ``oci fleet-apps-management fleet-apps-management-operations recommended-patch-collection list-recommended-patches``
    * ``oci fleet-apps-management fleet-apps-management-operations target-property-collection list-target-properties``
    * ``oci fleet-apps-management fleet-apps-management-operations target-component-collection list-target-components``

3.70.0 - 2025-11-04
--------------------
Added
~~~~~
* Data Intelligence Foundation Service

  * Support for the Data Intelligence Foundation Service

    * ``oci dif stack add``
    * ``oci dif stack change-compartment``
    * ``oci dif stack create``
    * ``oci dif stack delete``
    * ``oci dif stack deploy-artifacts``
    * ``oci dif stack get``
    * ``oci dif stack update``
    * ``oci dif stack-collection list-stacks``
    * ``oci dif work-request cancel``
    * ``oci dif work-request get``
    * ``oci dif work-request list``
    * ``oci dif work-request-error list``
    * ``oci dif work-request-log-entry list-work-request-logs``

* Database Service

  * Support for pluggable database snapshots for exadata databases in the Database Service

    * ``oci db exadb-vm-cluster add --exadb-vm-cluster-id``
    * ``oci db dbnode-snapshot delete``
    * ``oci db dbnode-snapshot get``
    * ``oci db dbnode-snapshot list``
    * ``oci db dbnode-snapshot mount``
    * ``oci db dbnode-snapshot unmount``

  * Support for backup configurations for globally distributed databases in the Database service

    * ``oci distributed-database distributed-autonomous-db-service distributed-autonomous-database change-distributed-autonomous-db-backup-config``
    * ``oci distributed-database distributed-autonomous-db-service distributed-autonomous-database create --db-backup-config``

* Compute Service

  * Support for instance pool pre-termination action in the Compute Service

    * ``oci compute-management instance-pool create --lifecycle-management``
    * ``oci compute-management instance-pool update --lifecycle-management``
    * ``oci compute-management instance-pool-instance termination-proceed --instance-id, --instance-pool-id``

* Network Monitoring Service

  * Support for Zero trust Packet Routing (ZPR) policy analysis in the Network Monitoring Service

    * ``oci vn-monitoring path-analysis get-path-analysis-adhoc``

* Private Service Access Service

  * Support for Private Service Access (PSA) service

    * ``oci psa private-service-access change-compartment``
    * ``oci psa private-service-access create``
    * ``oci psa private-service-access delete``
    * ``oci psa private-service-access get``
    * ``oci psa private-service-access list``
    * ``oci psa private-service-access update``
    * ``oci psa psa-services list``
    * ``oci psa work-request cancel``
    * ``oci psa work-request get``
    * ``oci psa work-request list``
    * ``oci psa work-request-error list``
    * ``oci psa work-request-log list``

Modified
~~~~~~~~
* Multicloud Database Service

  * [BREAKING] Renamed command oci dbmulticloud work-request work-request-error list-errors to the below command

    * ``oci dbmulticloud work-request work-request-error list``

  * [BREAKING] Renamed command oci dbmulticloud work-request work-request-log list to the below command

    * ``oci dbmulticloud work-request work-request-log-entry list-work-request-logs``

* Delegate Access Control service

  * [BREAKING] Renamed command oci delegate-access-control work-request work-request-error list to the below command

    * ``oci delegate-access-control work-request work-request-error list-errors``

  * [BREAKING] Renamed command oci delegate-access-control work-request work-request-log-entry list-work-request-logs to the below command

    * ``oci delegate-access-control work-request work-request-log list-logs``

* Governance Rules Control Plane service

  * [BREAKING] Renamed command oci governance-rules-control-plane work-request work-request-log list to the below command

    * ``oci governance-rules-control-plane work-request work-request-log list-logs``

* Oracle Cloud VMware Provisioning service

  * [BREAKING] Renamed command oci ocvs work-request-error list to the below command

    * ``oci ocvs work-request-error list-errors``

* Web Application Acceleration (WAA) service

  * [BREAKING] Renamed command oci waa work-request-error list-errors to the below command

    * ``oci waa work-request-error list``

3.69.0 - 2025-10-28
--------------------
Added
~~~~~
* File Storage Service

  * Support for using security attribute for Mount Target in File Storage Service

    * ``oci fs mount-target create --security-attributes``
    * ``oci fs mount-target update --security-attributes``


* Lustre File Storage Service

  * Support for the Lustre File service object-storage-link

    * ``oci lfs object-storage-link change-compartment``
    * ``oci lfs object-storage-link create``
    * ``oci lfs object-storage-link delete``
    * ``oci lfs object-storage-link get``
    * ``oci lfs object-storage-link get-sync-job``
    * ``oci lfs object-storage-link list-sync-jobs``
    * ``oci lfs object-storage-link start-export-to-object``
    * ``oci lfs object-storage-link start-import-from-object``
    * ``oci lfs object-storage-link stop-export-to-object``
    * ``oci lfs object-storage-link stop-import-from-object``
    * ``oci lfs object-storage-link update``
    * ``oci lfs object-storage-link-collection``

* Database Service

  * Support for VanityUrlDetails parameter in Update Autonomous Database command

    * ``oci db autonomous-database update --vanity-url-details``
    * ``oci db autonomous-database update-autonomous-database-gcp-key-details --vanity-url-details``
    * ``oci db autonomous-database update-autonomous-database-okv-key-details --vanity-url-details``
    * ``oci db autonomous-database update-autonomous-database-azure-key-details --vanity-url-details``
    * ``oci db autonomous-database update-autonomous-database-aws-key-details --vanity-url-details``
    * ``oci db autonomous-database update-autonomous-database-oci-key-details --vanity-url-details``
    * ``oci db autonomous-database update-autonomous-database-oracle-managed-key-details --vanity-url-details``

* Disaster Recovery Service

  * Support for Automatic DR (Switchover/Failover) in OCI Full Stack Disaster Recovery Service based on Database Events

    * ``oci disaster-recovery automatic-dr-configuration create``
    * ``oci disaster-recovery automatic-dr-configuration delete``
    * ``oci disaster-recovery automatic-dr-configuration get``
    * ``oci disaster-recovery automatic-dr-configuration list``
    * ``oci disaster-recovery automatic-dr-configuration update``

* AI Language Service

  * Support for new optional parameters in the language service.

    * ``oci ai language batch-detect-pii-entities --masking``

* Load Balancer Service

  * LBaaS Support for online conversion of IPv4 LB to dual stack IPv4 and IPv6

    * ``oci lb load-balancer update --reserved-ips --ipv6-subnet-cidr``

* Compute Service

  * Add computeHostInSubtree query param to ListComputeHosts command

    * ``oci compute compute-host list --compute-host-in-subtree``

* Identity Domains Service

  * Support for Apple as a Social IDP in the Identity Domains service

    * ``oci identity-domains social-identity-provider create --apple-dev-id, --apple-key-id``
    * ``oci identity-domains social-identity-provider put --apple-dev-id, --apple-key-id``

* Database Tools Service

  * Support for new Database Tools identity commands

    * ``oci dbtools identity add-lock``
    * ``oci dbtools identity change-compartment``
    * ``oci dbtools identity create-oracle-database-resource-principal``
    * ``oci dbtools identity delete``
    * ``oci dbtools identity get``
    * ``oci dbtools identity list``
    * ``oci dbtools identity refresh-oracle-database-resource-principal-credential``
    * ``oci dbtools identity remove-lock``
    * ``oci dbtools identity update-oracle-database-resource-principal``
    * ``oci dbtools identity validate-oracle-database-resource-principal-credential``

  * Support for parameter runtime-identity in Database Tools connection commands

    * ``oci dbtools connection list --runtime-identity``
    * ``oci dbtools connection create-postgresql --runtime-identity``
    * ``oci dbtools connection create-oracle-database --runtime-identity``
    * ``oci dbtools connection create-mysql-database --runtime-identity``
    * ``oci dbtools connection create-generic-jdbc --runtime-identity``

* Network Service

  * Additonal parameters for creating IPv4 Flex CIDR

    * ``oci network private create --cidr-prefix-length, --ipv4-subnet-cidr-at-creation``
    * ``oci network vnic assign-private-ip --cidr-prefix-length, --ipv4-subnet-cidr-at-creation``

  * Additional paramters for creating subnet with multiple CIDR blocks

    * ``oci network subnet create --ipv4-cidr-blocks``

  * Addtional commands for adding / modifying / removing CIDR blocks from subnets

    * ``oci network subnet add-ipv4-subnet-cidr``
    * ``oci network subnet modify-ipv4-subnet-cidr``
    * ``oci network subnet remove-ipv4-subnet-cidr``

Modified
~~~~~~~~
* AI Language Service

  * [BREAKING] Support for optional parameter compute-type is removed in the language service.

    * ``oci ai language endpoint create --compute-type``

* Upgraded the pyOpenSSL version to (>=17.5.0,<=25.1.0)

3.68.1 - 2025-10-21
--------------------
Added
~~~~~
* Support for Helm Critical Resource Protection in DevOps Deploy service

  * ``oci devops trigger-dry-run-result trigger-deployment-dry-run``
  * ``oci devops trigger-dry-run-result trigger-deployment-dry-run-create-deploy-pipeline-deployment-details``
  * ``oci devops trigger-dry-run-result trigger-deployment-dry-run-create-single-deploy-stage-deployment-details``
  * ``oci devops trigger-dry-run-result trigger-deployment-dry-run-create-deploy-pipeline-redeployment-details``
  * ``oci devops trigger-dry-run-result trigger-deployment-dry-run-create-single-deploy-stage-deployment-details``
  * ``oci devops trigger-dry-run-result trigger-deployment-dry-run-create-single-deploy-stage-redeployment-details``

* Support for Parameterized Pipelines as a part of the Data Science Service

  * ``oci data-science pipeline create --parameters``
  * ``oci data-science pipeline update --parameters``
  * ``oci data-science pipeline-run create --parameters-override``
  * ``oci data-science pipeline-run create --storage-mount-configuration-override-details-list``
  * ``oci data-science job-run create --job-storage-mount-configuration-override-details-list``

* Support for new optional ZPR Security Attributes parameter for creating/updating stream pool in Streaming Service

  * ``oci streaming stream-pool create --security-attributes``
  * ``oci streaming stream-pool update --security-attributes``

* Support for Configurable Version Upgrade Policies in MySQL HeatWave Service

  * ``oci mysql db-system update --maintenance``
  * ``oci mysql db-system import --maintenance``
  * ``oci mysql db-system create --maintenance``
  * ``oci mysql db-system clone --maintenance``

* Support for 26ai version in Fleet Software Update Service

  * ``oci fleet-software-update fsu-collection create-db --source-major-version``
  * ``oci fleet-software-update fsu-collection create-gi --source-major-version``
  * ``oci fleet-software-update fsu-discovery create-db --details-source-major-version``
  * ``oci fleet-software-update fsu-discovery create-gi --details-source-major-version``

* Support to use LDAP schema version RFC2307bis when creating or updating a mount target to set the LDAP ID map in File Storage Service

  * ``oci fs mount-target create --ldap-idmap``
  * ``oci fs mount-target update --ldap-idmap``

* Support for python 3.13

Security
~~~~~~~
* updated setuptools dependency to `>= 78.1.1` for python version `>3.8` per: https://www.cve.org/CVERecord?id=CVE-2025-47273.

3.68.0 - 2025-10-07
--------------------
Added
~~~~~

* Support for Internet of Things Service

    * ``oci iot digital-twin-adapter create``
    * ``oci iot digital-twin-adapter delete``
    * ``oci iot digital-twin-adapter get``
    * ``oci iot digital-twin-adapter list``
    * ``oci iot digital-twin-adapter update``
    * ``oci iot digital-twin-instance create``
    * ``oci iot digital-twin-instance delete``
    * ``oci iot digital-twin-instance get``
    * ``oci iot digital-twin-instance get``
    * ``oci iot digital-twin-instance get-content``
    * ``oci iot digital-twin-instance invoke-raw-binary-command``
    * ``oci iot digital-twin-instance invoke-raw-json-command``
    * ``oci iot digital-twin-instance invoke-raw-text-command``
    * ``oci iot digital-twin-instance list``
    * ``oci iot digital-twin-instance update``
    * ``oci iot digital-twin-model create``
    * ``oci iot digital-twin-model delete``
    * ``oci iot digital-twin-model get``
    * ``oci iot digital-twin-model get-spec``
    * ``oci iot digital-twin-model list``
    * ``oci iot digital-twin-model update``
    * ``oci iot digital-twin-relationship create``
    * ``oci iot digital-twin-relationship delete``
    * ``oci iot digital-twin-relationship get``
    * ``oci iot digital-twin-relationship list``
    * ``oci iot digital-twin-relationship update``
    * ``oci iot domain change-compartment``
    * ``oci iot domain change-data-retention-period``
    * ``oci iot domain configure-apex-data-access``
    * ``oci iot domain configure-direct-data-access``
    * ``oci iot domain configure-ords-data-access``
    * ``oci iot domain create``
    * ``oci iot domain delete``
    * ``oci iot domain get``
    * ``oci iot domain list``
    * ``oci iot domain update``
    * ``oci iot domain-group change-compartment``
    * ``oci iot domain-group configure-data-access``
    * ``oci iot domain-group create``
    * ``oci iot domain-group delete``
    * ``oci iot domain-group get``
    * ``oci iot domain-group list``
    * ``oci iot domain-group update``
    * ``oci iot work-request get``
    * ``oci iot work-request list``
    * ``oci iot work-request list-errors``
    * ``oci iot work-request list-logs``

* Database Tools Service

    * Support for ZPR Security Attributes

      * ``oci dbtools private-endpoint create --security-attributes``
      * ``oci dbtools private-endpoint update --security-attributes``

* Streaming Service

    * Support for new optional ZPR Security Attributes parameter for creating/updating stream pool

      * ``oci streaming stream-pool create``
      * ``oci streaming stream-pool update``

* Redis Service

    * Support for new SecurityAttributes parameters in create redis-cluster

      * ``oci redis redis-cluster redis-cluster create --security-attributes``

* GoldenGate service

    * Support for new optional parameters ZPR security attribute

      * ``oci goldengate connection  --security-attributes``

    * Support for add/remove subscription for resources

      * ``oci goldengate connection change-subscription``
      * ``oci goldengate deployment change-subscription``

    * Support for creating/updating new connection type

      * ``oci goldengate connection create-oracle-ai-data-platform-connection``
      * ``oci goldengate connection update-oracle-ai-data-platform-connection``

    * Support for creating new technology type

      * ``oci goldengate connection create-kafka-connection --technology-type oci_streaming_with_apache_kafka``

    * Support for creating and updating OCI Streaming connection should-use-resource-principal

      * ``oci goldengate connection create-kafka-connection --technology-type OCI_STREAMING --should-use-resource-principal true``
      * ``oci goldengate connection update-kafka-connection --technology-type OCI_STREAMING --should-use-resource-principal true``

* Resource Manager Service

    * Support for Security Attributes in Resource Manager Service

      * ``oci resource-manager --security-attributes``

* Database service

    * Data Guard support to convert Physical Standby to Snapshot Standby and vice versa

      * ``oci db database convert-standby-database-type``

* Opensearch Service

    * Support for Security Attributes and NSG ID for OpenSearchCluster

      * ``oci opensearch cluster create --certificate-config, --nsg-id, --security-attributes``
      * ``oci opensearch cluster update --certificate-config, --nsg-id, --security-attributes``
      * ``oci opensearch cluster upgrade --certificate-config, --nsg-id, --security-attributes``

* Container engine service

    * Support for a new optional parameter "should-show-all-versions" in OKE list add-on options API for showing all add-on versions

      * ``oci ce addon list-options --should-show-all-versions``

* Functions Service

    * Support for new optional ZPR Security Attributes parameter for creating/updating Application

      * ``oci fn application create --security-attributes``
      * ``oci fn application update--security-attributes``

* Integration Service

    * Support for ZPR security attribute support for private endpoint

      * ``oci integration integration-instance create --security-attributes``
      * ``oci integration integration-instance update --security-attributes``

* MySQL Service

    * Support for ZPR security attribute support for private endpoint

      * ``oci mysql db-system clone --security-attributes``
      * ``oci mysql db-system create --security-attributes``
      * ``oci mysql db-system import --security-attributes``
      * ``oci mysql db-system update --security-attributes``

Modified
~~~~~~~~
* OpenSearch Service

  * [BREAKING] Addition of required parameter --compartment-id in shape-details list command

    * ``oci opensearch cluster shapes-details list``


3.67.0 - 2025-09-30
--------------------
Added
~~~~~

* Database Service

    * Support update autonomous database kms key for gcp resource

      * ``oci db autonomous-database create-autonomous-database-gcp-key-details``
      * ``oci db autonomous-database update-autonomous-database-gcp-key-details``

* Oracle Cloud Vmware Solution

    * Support for datastore management for standard shapes in Oracle Cloud VMware Provisioning service

      * ``oci ocvs datastore``
      * ``oci ocvs datastore-cluster``

* Generative AI Service

    * Support Video/Audio input for Gemini models

      * ``oci generative-ai-inference chat-result chat``

    * Support for private endpoint in generative ai service

      * ``oci generative-ai endpoint create``
      * ``oci generative-ai endpoint update``
      * ``oci generative-ai generative-ai-private-endpoint change-compartment``

* Fleet Software Update Service

    * Support for applying Exadata VM OS updates or Exadata stack updates (combined VM OS and Oracle Grid Infrastructure updates) to collections of ExaDB-D or ExaDB-C@C VM Clusters in the Exadata Fleet Update service

      * ``oci fleet-software-update fsu-discovery create-exadb-stack``
      * ``oci fleet-software-update fsu-discovery create-guest-os``
      * ``oci fleet-software-update fsu-collection create-exadb-stack``
      * ``oci fleet-software-update fsu-collection create-guest-os``

* FusionApp Service

    * Support for public api exposing option to enbale IPv6 in fusion_apps service

      * ``oci fusion-apps fusion-environment create --ipv6-dual-stack-enabled``
      * ``oci fusion-apps fusion-environment update --ipv6-dual-stack-enabled``

* Functions Service

    * Support for new optional parameters when creating or updating functions

      * ``oci fn function create|update --detached-mode-timeout-in-seconds``
      * ``oci fn function create|update --success-destination``
      * ``oci fn function create|update --failure-destination``

* Compute Service

    * New request and response field is-ai-enterprise-enabled added for Instance launch and update operations.

      * ``oci compute instance update``

* Core Service

    * Add is-ai-enterprise-enabled field for instance launch via instance-pool or instance-configuration

      * ``oci compute instance launch``

* Functions Service

    * Support for new optional parameters when creating or updating functions

      * ``oci fn function create|update --detached-mode-timeout-in-seconds``
      * ``oci fn function create|update --success-destination``
      * ``oci fn function create|update --failure-destination``

Modified
~~~~~~~~
* Oracle Cloud Vmware Solution Service

  * [BREAKING] Command modified for work-request-error

    * ``oci ocvs work-request-error list``

3.66.2 - 2025-09-23
--------------------
Added
~~~~~

* Database Service

    * Support for Oracle Exadata Database Service on Dedicated Infrastructure (Exacs) with Exascale features
        * ``oci db cloud-exa-infra configure-exascale``

    * Managing Exascale Database Storage Vault resources on Dedicated Infrastructure
        * ``oci db exascale-db-storage-vault create --exa-infra-id``

    * Managing VM Cluster resources on Dedicated Infrastructure with exascale
        * ``oci db cloud-vm-cluster create --vault-id``

* Marketplace Service

    * Support for marketplace external attestated metadata creation in the marketplace consumer service.
        * ``oci marketplace create-marketplace-external-attested-metadata-details create-marketplace-external-attested-metadata``

    * Support for listing marketplace metadata public keys in the marketplace consumer service
        * ``oci marketplace marketplace-metadata-public-key-summary list-marketplace-metadata-public-keys``

* Support for the Resource Analytics service
  * ``oci resource-analytics``

* Support for OCI cache service
  * ``oci cache``

* JMS Util Service

    * Support for subscription acknowledgment in Java Management Service
        * ``oci jms-utils subscription-acknowledgment-configuration``

    * Support for analyzing application artifactss in Java Management Service Analyze Applications
        * ``oci jms-utils analyze-applications-configuration``
        * ``oci jms-utils java-migration-analysis``
        * ``oci jms-utils performance-tuning-analysis``

    * Support for querying work requests independently from Fleets in Java Management Service Analyze Applications
        * ``oci jms-utils work-item-summary``
        * ``oci jms-utils work-request``
        * ``oci jms-utils work-request-error``
        * ``oci jms-utils work-request-log-entry``

* Data Safe Service

    * Support for listing discovery job results with confidence level
        * ``oci data-safe discovery-job list-discovery-job-results --confidence-level``

    * Support for filtering masking reports with target-database -group-id
        * ``oci data-safe masking-policy list-masking-reports --target-database-group-id``

    * Support for masking target-database with optional seed parameter
        * ``oci data-safe masking-policy mask-data --user-defined-function-seed``

    * Support for security assessment listing findings with optional compartmentId param
        * ``oci data-safe security-assessment list-findings --compartment-id | -c``

    * Support for filtering sensitive columns containing data or with a specific confidence level
        * ``oci data-safe sensitive-column list --column-data-count-filter, --confidence-level``

* Java Management Service

    * Support for listing containers in Java Management Service
        * ``oci jms container-summary``

    * Support for managing task schedules in Java Management Service
        * ``oci jms task-schedule``

    * Support for querying library usage information in Java Management Service
        * ``oci jms library-inventory``
        * ``oci jms library-application-usage-summary``
        * ``oci jms library-managed-instance-usage-summary``
        * ``oci jms uncorrelated-package-application-usage-summary``
        * ``oci jms uncorrelated-package-managed-instance-usage-summary``
        * ``oci jms uncorrelated-package-usage-summary``

    * Add new options to existing commands.
        * ``oci jms agent-installer-summary generate-agent-installer-configuration --agent-type``
        * ``oci jms export-setting update --export-data-filters, --force``
        * ``oci jms fleet-agent-configuration update --is-capturing-ip-address-and-fqdn-enabled, --is-libraries-scan-enabled``
        * ``oci jms jms-plugin create --agent-type``
        * ``oci jms library-usage scan --dynamic-scan-duration-in-minutes, --is-dynamic-scan``

3.66.1 - 2025-09-16
--------------------
Added
~~~~~

* Database Service

  * Support for creating refreshable metadata clones for an Autonomous Database Serverless

    * ``oci db autonomous-database create-refreshable-clone --clone-type``

  * Support for new parameter in the Database Management service

    * ``oci db system change-cloud-db-system-subscription --db-system-id``

  * Support for the Oracle BaseDB service for Multicloud Database Service

    * ``oci db system launch --db-system-id --cluster-placement-group-id --opc-dry-run --subscription-id``
    * ``oci db system launch-from-backup --cluster-placement-group-id --opc-dry-run --subscription-id``
    * ``oci db system launch-from-database --cluster-placement-group-id --opc-dry-run --subscription-id``
    * ``oci db system launch-from-db-system --cluster-placement-group-id --opc-dry-run --subscription-id``
    * ``oci db system update --opc-dry-run``

* AI Data Platform Service

  * Support for AI Data Platform Service

    * ``oci ai-data-platform ai-data-platform change-compartment``
    * ``oci ai-data-platform ai-data-platform create``
    * ``oci ai-data-platform ai-data-platform delete``
    * ``oci ai-data-platform ai-data-platform get``
    * ``oci ai-data-platform ai-data-platform update``
    * ``oci ai-data-platform ai-data-platform-collection list-ai-data-platforms``
    * ``oci ai-data-platform work-request cancel``
    * ``oci ai-data-platform work-request get``
    * ``oci ai-data-platform work-request list``
    * ``oci ai-data-platform work-request-error list``
    * ``oci ai-data-platform work-request-log-entry list-work-request-logs``

3.66.0 - 2025-09-09
--------------------
Added
~~~~~

* Database Service

  * Support for Undelete Autonomous Database on public cloud and cloud at customer

    * ``oci db autonomous-database create-autonomous-database-undelete-autonomous-database-details``

  * Support for setting backup retention policy after termination and lock retention for backup configuration while creating and updating Autonomous Container Database.

    * ``oci db autonomous-container-database create``
    * ``oci db autonomous-container-database update``

  * Support for Deleting associated Long Term Backups while deleting the Autonomous Database.

    * ``oci db autonomous-database delete --must-delete-associated-long-term-backups [boolean] [optional]``

  * Support for listing Autonomous Database Backups by backup destination id and infrastructure type when applicable.

    * ``oci db autonomous-database-backup list --backup-destination-id  [text] --infrastructure-type [text]``

  * Support for listing Autonomous Database Backups by key store id and infrastructure type as applicable.

    * ``oci db autonomous-database-backup list --key-store-id [text] --infrastructure-type [text]``

* Email Delivery Service

  * Support for Locking API in Email Delivery service

    * ``oci email-control emailDomains update``
    * ``oci email-control emailIpPools update``
    * ``oci email-control EmailPrivateEndpoints update``
    * ``oci email-control emailReturnPaths update``
    * ``oci email-control emailTrackConfigs update``
    * ``oci email-control senders update``

Modified
~~~~~~~~
* Database Service

  * [BREAKING] Changed enum value from ENTERPRISE_EDITION_EXTREME to ENTERPRISE_EDITION_EXTREME_PERFORMANCE for database-edition parameter

    * ``oci db system list-db-system-storage-performances --database-edition ENTERPRISE_EDITION_EXTREME_PERFORMANCE``

3.65.1 - 2025-09-02
--------------------
Added
~~~~~
* Database Service

  * Support for Autoscale DB Storage Vault in the Exadata Database Service on Exascale Infrastructure

    * ``oci db exascale-db-storage-vault create --is_autoscale_enabled, --autoscale_limit_in_gbs``
    * ``oci db exascale-db-storage-vault update --is_autoscale_enabled, --autoscale_limit_in_gbs``

  * DG creation with GCP, changing encryption key location to gcp, and two new apis to register/unregister pkcs

    * ``oci db data-guard-association create-data-guard-association-google-cloud-provider-encryption-key-details``
    * ``oci db database change-encryption-key-location-google-cloud-provider-encryption-key-details``
    * ``oci db cloud-vm-cluster register-cloud-vm-cluster-pkcs``
    * ``oci db cloud-vm-cluster unregister-cloud-vm-cluster-pkcs``

* Database Multicloud Service

  * Support for the gcp commands

    * ``oci dbmulticloud oracle-db-gcp-identity-connector``
    * ``oci dbmulticloud oracle-db-gcp-key``
    * ``oci dbmulticloud oracle-db-gcp-key-ring``

  * Support for new optional parameters in below commands

    * ``oci dbmulticloud oracle-db-azure-vault refresh --oracle-db-azure-connector-id``
    * ``oci dbmulticloud multi-cloud-resource-discovery list --resources-filter``
    * ``oci dbmulticloud multi-cloud-resource-discovery create --resources-filter``

* Cloud Guard Service

  * Support for new parameters for below commands

    * ``oci cloud-guard managed-list update --group``
    * ``oci cloud-guard managed-list create --group``

  * Support for new sub-parameters within the complex parameter for below commands

    * ``oci cloud-guard detector-recipe create --detector-rules [complex type]``
    * ``oci cloud-guard detector-recipe update --detector-rules [complex type]``
    * ``oci cloud-guard detector-recipe-detector-rule create create --detector-rules [complex type]``
    * ``oci cloud-guard detector-recipe-detector-rule create create --detector-rules [complex type]``

* Support for validating backup for backup in the MySql HeatWave Service

  * ``oci mysql backup validate --backup-id $backup_id --is-prepared-backup-required $prepare_backup``

* Support for new GenericChatRequest parameters in Generative AI inference service

  * ``oci generative-ai-inference chat-result chat-generic-chat-request --chat-request-web-search-options``

* Support for new list-endpoints parameters in the Generative AI Service Management

  * ``oci generative-ai endpoint-collection list-endpoints --generative-ai-private-endpoint-id``

3.65.0 - 2025-08-26
--------------------
Fixed
~~~~~
* `Github Issue #976 <https://github.com/oracle/oci-cli/issues/976>`_ for Cloud Incident Management Service

Removed
~~~~~~~
* [BREAKING] Removed deprecated services: Anomaly Detection, Data Transfer Service, OS Management Service, and Service Mesh.

  * ``oci dts``
  * ``oci service-mesh``
  * ``oci anomaly-detection``
  * ``oci os-management``

Added
~~~~~
* Support for OCI Streaming with Apache Kafka (OCI Managed Kafka) service

  * ``oci kafka``

* Support for new responses in ComputeGpuMemoryFabric in the Core Service

  * ``oci compute compute-gpu-memory-fabric get``
  * ``oci compute compute-gpu-memory-fabric list``

* Support for new sub-parameters within the complex parameter in Disaster Recovery Service

  * ``oci disaster-recovery dr-protection-group create --members [complex type]``
  * ``oci disaster-recovery dr-protection-group update --members [complex type]``

* Golden Gate Service

  * Added new parameters for creating/updating deployment: -byol-cpu-core-count-limit --is-byol-cpu-core-count-limit-enabled

    * ``oci goldengate deployment create --byol-cpu-core-count-limit --is-byol-cpu-core-count-limit-enabled``
    * ``oci goldengate deployment update --byol-cpu-core-count-limit --is-byol-cpu-core-count-limit-enabled``

* Database Service

  * Support for Oracle 19C Database in the Exadata Database Service on Exascale Infrastructure (ExaDB-XS)

    * ``oci db exadb-vm-cluster create --shape-attribute``
    * ``oci db database create --data-storage-size-in-gbs, --reco-storage-size-in-gbs``
    * ``oci db database create-from-backup --data-storage-size-in-gbs, --reco-storage-size-in-gbs``
    * ``oci db database create-standby-database --data-storage-size-in-gbs, --reco-storage-size-in-gbs``
    * ``oci db database update --storage-size-details``
    * ``oci db exascale-db-storage-vault list --attached-shape-attributes, --attached-shape-attributes-not-equal-to, --vm-cluster-count-greater-than-or-equal-to, --vm-cluster-count-less-than-or-equal-to``
    * ``oci db gi-version list --shape-attribute``
    * ``oci db system-shape list --shape-attribute``
    * ``oci db version list --shape-attribute``

  * Support for VM.Standard.x86 shape in BaseDB (DBaaS) Service.

    * ``oci db system launch --shape VM.Standard.x86``

3.64.1 - 2025-08-19
--------------------
Added
~~~~~
* Support for calling Oracle Cloud Infrastructure services in the eu-budapest-1 region

* Support for new optional parameter cidr-prefix-length for creating IPv6 Flexible CIDR in Virtual Cloud Network Service

  * ``oci network ipv6 create --cidr-prefix-length``
  * ``oci network vnic assign-ipv6 --cidr-prefix-length``

* Database Service

  * Support for new optional parameter source-pdb-snapshot-id for Pluggable Database resource

    * ``oci db pluggable-database create-local-clone --source-pdb-snapshot-id``
    * ``oci db pluggable-database create-remote-clone --source-pdb-snapshot-id``

  * Managing Pluggable database snapshot resources

    * ``oci db pluggable-database create-snapshot``
    * ``oci db pluggable-database delete-snapshot``
    * ``oci db pluggable-database get-snapshot``
    * ``oci db pluggable-database list-snapshots``

* Generative AI Interface Service

  * Support for new GenericChatRequest parameters in Generative AI inference service

    * ``oci generative-ai-inference chat-result chat-generic-chat-request``

3.64.0 - 2025-08-12
--------------------
Added
~~~~~
* Golden Gate service

  * Added new parameters for creating/updating Amazon Kinesis connection: --connection-endpoint --connection-region

    * ``oci goldengate connection create-amazon-kinesis-connection --connection-endpoint --connection-region``
    * ``oci goldengate connection update-amazon-kinesis-connection --connection-endpoint --connection-region``

  * Added new parameter for creating/updating Azure Data Lake Storage connection: --azure-authority-host

    * ``oci goldengate connection create-azure-data-lake-storage-connection --azure-authority-host``
    * ``oci goldengate connection update-azure-data-lake-storage-connection --azure-authority-host``

* CIMS service

  * Support for adding additional contact to CMOS SR in Cloud Incident Management Service.

    * ``oci support incident update ----activity-type, --compartment-id | -c, --comments, --incident-key, --type,  --bearertoken, --bearertokentype, --csi, --domainid, --contact, -? | -h | --help, --homeregion, --idtoken, --ocid, --problemtype``

  * Support for Upload attachment API in Cloud Incident Management Service.

    * ``oci support incident put-attachment  --ocid, --is-restricted-flag, --file,  --compartment-id | -c, --incident-key,   --bearertoken, --bearertokentype, --csi, --domainid, -? | -h | --help, --homeregion, --idtoken, --problemtype``

* AI Vision service

  * Support of Stream Video Analysis in OCI Vision Service

    * ``oci ai-vision stream-source create``
    * ``oci ai-vision stream-source update``
    * ``oci ai-vision stream-source create-stream-source-rtsp-source-details``
    * ``oci ai-vision stream-source update-stream-source-rtsp-source-detail``
    * ``oci ai-vision stream-source delete``
    * ``oci ai-vision stream-source get``
    * ``oci ai-vision stream-source change-compartment``
    * ``oci ai-vision stream-source-collection list-stream-sources``
    * ``oci ai-vision stream-job create``
    * ``oci ai-vision stream-job update``
    * ``oci ai-vision stream-job delete``
    * ``oci ai-vision stream-job get``
    * ``oci ai-vision stream-job change-compartment``
    * ``oci ai-vision stream-job start``
    * ``oci ai-vision stream-job stop``
    * ``oci ai-vision stream-job create-stream-job-object-storage-output-location``
    * ``oci ai-vision stream-job update-stream-job-object-storage-output-location``
    * ``oci ai-vision stream-job-collection list-stream-jobs``
    * ``oci ai-vision stream-group create``
    * ``oci ai-vision stream-group update``
    * ``oci ai-vision stream-group delete``
    * ``oci ai-vision stream-group get``
    * ``oci ai-vision stream-group change-compartment``
    * ``oci ai-vision stream-group-collection list-stream-groups``
    * ``oci ai-vision vision-private-endpoint create``
    * ``oci ai-vision vision-private-endpoint update``
    * ``oci ai-vision vision-private-endpoint delete``
    * ``oci ai-vision vision-private-endpoint get``
    * ``oci ai-vision vision-private-endpoint change-compartment``
    * ``oci ai-vision vision-private-endpoint-collection list-vision-private-endpoints``

* Redis service

  * Support for the OCI Cache Config Sets

    * ``oci redis oci-cache-config-set``

* Devops service

  * Added commands for pull request reopen and resolve

    * ``oci devops pull-request reopen-pull-request-comment``
    * ``oci devops pull-request resolve-pull-request-comment``

* Datascience service

  * Support for Distributed Training V2 (DTv2) as a part of the Data Science Service

    * ``oci data-science pipeline-run create --infrastructure-configuration-override-details``
    * ``oci data-science job create --job-node-configuration-details``
    * ``oci data-science job-run create --job-node-configuration-override-details``
    * ``oci data-science job-run create --job-infrastructure-configuration-override-details``

* DataSafe service

  * Added multiple commands related to security assessment

    * ``oci data-safe security-assessment apply-security-assessment-template --security-assessment-id, -? | -h | --help, --template-assessment-id``
    * ``oci data-safe security-assessment compare-to-template-baseline --comparison-security-assessment-id, --security-assessment-id, -? | -h | --help``
    * ``oci data-safe security-assessment get-template-baseline-comparison --comparison-security-assessment-id, --security-assessment-id, -? | -h | --help``
    * ``oci data-safe security-assessment list-checks --security-assessment-id, --all, -? | -h | --help, --key, --scim-query``
    * ``oci data-safe security-assessment list-template-analytics --compartment-id | -c, --access-level, --all, --compartment-id-in-subtree, --group-by, -? | -h | --help, --is-group, --target-database-group-id, --target-id, --template-assessment-id, --template-baseline-assessment-id``
    * ``oci data-safe security-assessment patch-checks --security-assessment-id, -? | -h | --help, --items``
    * ``oci data-safe security-assessment patch-findings --security-assessment-id, -? | -h | --help, --items``
    * ``oci data-safe security-assessment remove --security-assessment-id, -? | -h | --help, --template-assessment-id``
    * ``oci data-safe target-database-group change-compartment --compartment-id | -c, --target-database-group-id, -? | -h | --help``
    * ``oci data-safe target-database-group create --compartment-id | -c, --display-name, --matching-criteria, --defined-tags, --description, --freeform-tags, -? | -h | --help``
    * ``oci data-safe target-database-group delete --target-database-group-id, --force, -? | -h | --help``
    * ``oci data-safe target-database-group get --target-database-group-id, -? | -h | --help``
    * ``oci data-safe target-database-group get-group-members --target-database-group-id, -? | -h | --help, --target-database-id``
    * ``oci data-safe target-database-group update --target-database-group-id, --defined-tags, --description, --display-name, --force, --freeform-tags, -? | -h | --help, --matching-criteria``
    * ``oci data-safe target-database-group-audit-profile calculate-target-database-group-audit-profile-deviations --target-database-group-audit-profile-id, -? | -h | --help``
    * ``oci data-safe target-database-group-audit-profile change-compartment --compartment-id | -c, --target-database-group-audit-profile-id, -? | -h | --help``
    * ``oci data-safe target-database-group-audit-profile create --compartment-id | -c, --target-database-group-id, --defined-tags, --description, --display-name, --freeform-tags, -? | -h | --help, --is-paid-usage-enabled, --offline-months, --online-months``
    * ``oci data-safe target-database-group-audit-profile delete --target-database-group-audit-profile-id, --force, -? | -h | --help``
    * ``oci data-safe target-database-group-audit-profile get --target-database-group-audit-profile-id, -? | -h | --help``
    * ``oci data-safe target-database-group-audit-profile list --compartment-id | -c, --access-level, --all, --compartment-id-in-subtree, --display-name, -? | -h | --help, --is-paid-usage-enabled, --target-database-group-audit-profile-id, --target-database-group-id``
    * ``oci data-safe target-database-group-audit-profile list-target-database-group-audit-profile-deviations --target-database-group-audit-profile-id, --work-request-id, --all, --display-name, -? | -h | --help``
    * ``oci data-safe target-database-group-audit-profile update --target-database-group-audit-profile-id, --defined-tags, --description, --display-name, --force, --freeform-tags, -? | -h | --help, --is-paid-usage-enabled, --offline-months, --online-months``
    * ``oci data-safe target-database-group-summary list-target-database-groups --compartment-id | -c, --access-level, --all, --compartment-id-in-subtree, --display-name, --filter, -? | -h | --help, --target-database-group-id, --time-created-greater-than-or-equal-to, --time-created-less-than``

Modified
~~~~~~~~
* DataSafe Service

  * Support for adding scim query support to finding analytics

    * ``oci data-safe security-assessment list-finding-analytics --scim-query``

  * [BREAKING] Moved one parameter from optional to required

    * ``oci data-safe security-assessment create --target-id``

* Core service

  * [BREAKING] Removed parameter compute-host-group-id from multiple launch instance commands.

    * ``oci compute instance launch``
    * ``oci compute instance launch-instance-compute-bare-metal-host-placement-constraint-details``
    * ``oci compute instance launch-instance-host-group-placement-constraint-details``

  * Changed static-routes required parameter to optional parameter from ip-sec-connection command

    * ``oci network ip-sec-connection create``

  * [BREAKING] Renamed command oci compute compute-gpu-memory-cluster-collection list-compute-gpu-memory-clusters to the below command

    * ``oci compute compute-gpu-memory-cluster list``

3.63.3 - 2025-08-05
--------------------
Added
~~~~~
* Support for Oracle Multicloud Hub service

  * ``oci multicloud``

* Support for SubmitRawEmail API in Email Delivery service

  * ``oci email-data-plane email-raw-submitted-response submit-raw-email``

3.63.2 - 2025-07-29
--------------------
Added
~~~~~
* PSQL service

    * Support for CPU architecture agnostic configurations

        * ``oci psql configuration create``
        * ``oci psql configuration update``
        * ``oci psql default-configuration-collection list-default-configurations``

* Apip Control Plane Service

    * Added support for API Platform Cloud Service

      * ``oci api-platform api-platform-instance create``
      * ``oci api-platform api-platform-instance update``

* Vault Service

    * Support for specifying replication configuration during secret creation and update operations

        * ``oci vault secret create-base64 --replication-config``
        * ``oci vault secret update --replication-config``

* Data Science Service

    * New OCI Data Science Resource, Model Group, to group the Data Science Model resource
    * New OCI Data Science Resource, Model Group Version History, to track the linage of Model Groups
    * Support for Model Group Create operation
    * Support for Model Group Clone operation
    * Support for GET, LIST, ACTIVATE, DEACTIVATE, Change Compartment operations for Model Group
    * Support for uploading the Model Group Artifact
    * Support to download the Model Group Artifact
    * Support for CREATE, GET, LIST, UPDATE and DELETE operations for Data Science Model Group Version History resource
    * Support for deploying the Model Group resource
    * Support for updating the Model Group Deployment
    * Support for listing the state of the deployed models which are associated with the Model Group resource
        * ``oci data-science model-group create-model-group-create-model-group-details --compartment-id  --project-id --member-model-entries --model-group-details --description --display-name``
        * ``oci data-science model-group create-model-group-clone-model-group-details --compartment-id  --project-id --model-group-clone-source-details ``
        * ``oci data-science model-group get --model-group-id``
        * ``oci data-science model-group list --compartment-id``
        * ``oci data-science model-group list-model-group-models --compartment-id --model-group-id``
        * ``oci data-science model-group update``
        * ``oci data-science model-group delete --model-group-id``
        * ``oci data-science model-group activate --model-group-id``
        * ``oci data-science model-group deactivate --model-group-id``
        * ``oci data-science model-group create-model-group-artifact --model-group-artifact --model-group-id --content-disposition``
        * ``oci data-science model-group head-model-group-artifact --model-group-id``
        * ``oci data-science model-group get --model-group-id``
        * ``oci data-science model-group change-compartment --model-group-id --compartment-id``
        * ``oci data-science model-group-version-history create --compartment-id --project-id``
        * ``oci data-science model-group-version-history get --model-group-version-history-id``
        * ``oci data-science model-group-version-history list --compartment-id``
        * ``oci data-science model-group-version-history update --model-group-version-history-id``
        * ``oci data-science model-group-version-history delete --model-group-version-history-id``
        * ``oci data-science model-group-version-history change-compartment --model-group-version-history-id --compartment-id``
        * ``oci data-science model-deployment-model-state list --compartment-id --model-deployment-id``
        * ``oci data-science model-deployment create-model-deployment-model-group-deployment-configuration-details --compartment-id --project-id --model-deployment-configuration-details-infrastructure-configuration-details --model-deployment-configuration-details-model-group-configuration-details --category-log-details --description --display-name``
        * ``oci data-science model-deployment update-model-deployment-update-model-group-deployment-configuration-details --model-deployment-id --category-log-details --display-name  --description  --model-deployment-configuration-details-environment-configuration-details --model-deployment-configuration-details-model-group-configuration-details --model-deployment-configuration-details-update-type``

  * API Gateway Service

    * Support for resource locking for all resources in Api Gateway service

        * ``oci api-gateway api add-lock``
        * ``oci api-gateway api remove-lock``
        * ``oci api-gateway certificate add-lock``
        * ``oci api-gateway certificate remove-lock``
        * ``oci api-gateway deployment add-lock``
        * ``oci api-gateway deployment remove-lock``
        * ``oci api-gateway gateway add-lock``
        * ``oci api-gateway gateway remove-lock``
        * ``oci api-gateway sdk add-lock``
        * ``oci api-gateway sdk remove-lock``
        * ``oci api-gateway subscriber add-lock``
        * ``oci api-gateway subscriber remove-lock``
        * ``oci api-gateway usage-plan add-lock``
        * ``oci api-gateway usage-plan remove-lock``

* APM Service

    * Support for new Agent Configuration in the APM service

        * ``oci apm-config config create-agent``
        * ``oci apm-config config update-agent``
        * ``oci apm-config match-agents-with-attribute-key get``
        * ``oci apm-config match-agents-with-attribute-key update``

    * Support for new MACS Extension configuration in the APM Service

        * ``oci apm-config config create-macs-extension``
        * ``oci apm-config config update-macs-extension``

* AI Speech Service

    * Added Multilingual support in Text to speech (TTS) for 8 more languages which includes below languages.

        * en-GB: English - Great Britain
        * es-ES: Spanish - Spain
        * pt-BR: Portuguese - Brazil
        * hi-IN: Hindi - India
        * fr-FR: French - France
        * it-IT: Italian - Italy
        * ja-JP: Japanese - Japan
        * cmn-CN: Mandarin - China

        * ``oci speech voice list  --language-code``

* Management Dashboard service

    * Enhance import and export features.

        * ``oci management-dashboard dashboard import``

3.63.0 - 2025-07-22
--------------------
Added
~~~~~
* Autoscaling service

    * Added support for custom metric based policies in Autoscaling service

        * ``oci autoscaling configuration create``

* Database service

    * Added optional parameter `--okv-end-point-group-name` to Autonomous Container Database commands:

        * ``oci db autonomous-container-database create --okv-end-point-group-name``
        * ``oci db autonomous-container-database create-autonomous-container-database-create-autonomous-container-database-details --okv-end-point-group-name``
        * ``oci db autonomous-container-database create-autonomous-container-database-create-autonomous-container-database-from-backup-details --okv-end-point-group-name``
        * ``oci db autonomous-container-database update --okv-end-point-group-name``

    * Added support for update autonomous database with schedule db version upgrade

        * ``oci db autonomous-database update --is-disable-db-version-upgrade-schedule --is-schedule-db-version-upgrade-to-earliest --time-scheduled-db-version-upgrade``

    * Support for new optional parameters in the Database service

      * ``oci db database create-standby-database --freeform-tags --defined-tags``
      * ``oci db database create-from-backup --freeform-tags --defined-tags``
      * ``oci db database create-database-from-backup --database``
      * ``oci db database create-database-create-stand-by-database-details --database``

* Marketplace service

    * Support for Stack, Image, Lead-gen and Service listings in Marketplace Service

        * ``oci marketplace-publisher artifact create-artifact-create-machine-image-artifact-details``
        * ``oci marketplace-publisher artifact create-artifact-create-stack-artifact-details``
        * ``oci marketplace-publisher artifact update-artifact-update-machine-image-artifact-details``
        * ``oci marketplace-publisher artifact update-artifact-update-stack-artifact-details``
        * ``oci marketplace-publisher available-service-collection list-available-services``
        * ``oci marketplace-publisher customer-instance-report-record-collection list-customer-instance-report-records``
        * ``oci marketplace-publisher disbursement-report-record-collection list-disbursement-report-records``
        * ``oci marketplace-publisher lead get``
        * ``oci marketplace-publisher lead-collection list-leads``
        * ``oci marketplace-publisher listing-revision create-listing-revision-create-lead-gen-listing-revision-details``
        * ``oci marketplace-publisher listing-revision create-listing-revision-create-oci-listing-revision-details``
        * ``oci marketplace-publisher listing-revision create-listing-revision-create-service-listing-revision-details``
        * ``oci marketplace-publisher listing-revision get-listing-revision-icon-content``
        * ``oci marketplace-publisher listing-revision update-listing-revision-update-lead-gen-listing-revision-details``
        * ``oci marketplace-publisher listing-revision update-listing-revision-update-oci-listing-revision-details``
        * ``oci marketplace-publisher listing-revision update-listing-revision-update-service-listing-revision-details``
        * ``oci marketplace-publisher listing-revision-attachment create-listing-revision-attachment-create-customer-success-attachment``
        * ``oci marketplace-publisher listing-revision-attachment create-listing-revision-attachment-create-review-support-document-attachment``
        * ``oci marketplace-publisher listing-revision-attachment create-listing-revision-attachment-create-supported-service-attachment``
        * ``oci marketplace-publisher listing-revision-attachment get-listing-revision-attachment-content``
        * ``oci marketplace-publisher listing-revision-attachment update-listing-revision-attachment-update-customer-success-attachment``
        * ``oci marketplace-publisher listing-revision-attachment update-listing-revision-attachment-update-review-support-document-attachment``
        * ``oci marketplace-publisher listing-revision-attachment update-listing-revision-attachment-update-supported-service-attachment``
        * ``oci marketplace-publisher listing-revision-note update``
        * ``oci marketplace-publisher support-doc get``
        * ``oci marketplace-publisher support-doc get-support-doc-content``
        * ``oci marketplace-publisher support-doc-collection list-support-docs``
        * ``oci marketplace-publisher supported-currency-collection list-supported-currencies``
        * ``oci marketplace-publisher supported-shape-collection list-supported-shapes``

    * Added new optional parameters in the following commands:

        * ``oci marketplace-publisher listing-collection list-listings --listing-type``
        * ``oci marketplace-publisher listing-revision submit-listing-revision-for-review --should-auto-publish-on-approval``
        * ``oci marketplace-publisher market-collection list-markets --listing-id``
        * ``oci marketplace-publisher product-collection list-products --product-group``

    * [BREAKING] Added new required parameter `listing-type` to few commands

        * ``oci marketplace-publisher listing-revision create --listing-type``
        * ``oci marketplace-publisher listing-revision update --listing-type``

* Generative AI Agent service

   * Added new commands for creating and updating tool configuration

        * ``oci generative-ai-agent tool create-tool-agent-tool-config``
        * ``oci generative-ai-agent tool update-tool-agent-tool-config``

* Generative AI Agent Runtime service

    * Added new optional parameter `tool-inputs` to a command

        * ``oci generative-ai-agent-runtime agent-endpoint chat --tool-inputs``

* OCI Cache service

    * Support for IAM in OCI cache service

        * ``oci cache``

* Management Agent Cloud service

    * Support for Named Credentials in Management Agent Cloud Service

        * ``oci management-agent named-credential create``
        * ``oci management-agent agent update-named-credential``
        * ``oci management-agent agent delete-named-credential``
        * ``oci management-agent agent get-named-credential``
        * ``oci management-agent named-credential get-named-cred-metadata``
        * ``oci management-agent named-credential list``

* Database Management service

    * Support for cloud database system in the Database Management service

        * ``oci database-management cloud-asm``
        * ``oci database-management cloud-asm-instance``
        * ``oci database-management cloud-cluster``
        * ``oci database-management cloud-cluster-instance``
        * ``oci database-management cloud-db-home``
        * ``oci database-management cloud-db-node``
        * ``oci database-management cloud-listener``
        * ``oci database-management cloud-db-system``
        * ``oci database-management cloud-db-system-connector``
        * ``oci database-management cloud-db-system-discovery ``

Changed
~~~~~~~
* Marketplace service

    * [BREAKING] Removed some commands

        * ``oci marketplace-publisher attachment attachment create``
        * ``oci marketplace-publisher attachment attachment delete``
        * ``oci marketplace-publisher attachment attachment get``
        * ``oci marketplace-publisher attachment attachment get-attachment-content``
        * ``oci marketplace-publisher attachment attachment-collection list-attachments``
        * ``oci marketplace-publisher offer offer create``
        * ``oci marketplace-publisher offer offer delete``
        * ``oci marketplace-publisher offer offer get``
        * ``oci marketplace-publisher offer offer get-offer-internal-detail``
        * ``oci marketplace-publisher offer offer update``
        * ``oci marketplace-publisher offer offer-collection list-offers``

    * [BREAKING] Removed some parameters from a few commands

        * ``oci marketplace-publisher listing-revision create --categories --pricing-type --markets --system-requirements --version-details``
        * ``oci marketplace-publisher listing-revision update --categories --pricing-type --markets --system-requirements --version-details``

* Generative AI Agent service

    * Changed the parameter `--tool-config-database-schema` from a required to an optional parameter in two commands

        * ``oci generative-ai-agent tool create-tool-sql-tool-config``
        * ``oci generative-ai-agent tool update-tool-sql-tool-config``

3.62.2 - 2025-07-15
--------------------
Added
~~~~~
* Support for calling Oracle Cloud Infrastructure services in the ap-delhi-1 region

Changed
~~~~~~~
* Fixed `region` parameter not working when using --auth workload_identity

    * ``oci os ns get --auth workload_identity``

* Container Engine Service

    * Fixed warning caused by duplicate parameters named `--token-version`. Removed one of the parameters.

        * ``oci ce cluster create-kubeconfig --cluster-id --file --region --token-version --kube-endpoint``

3.62.1 - 2025-07-08
--------------------
Added
~~~~~
* Support file parameter for uploading otlp logs in the Logging Analytics service

  * ``oci log-analytics upload upload-otlp-logs --from-json <path to the file>``

* Support for ADB@ExaCC in the Ops Insights service

  * ``oci opsi database-insights create-macs-managed-autonomous-database-insight``
  * ``oci opsi database-insights enable-macs-managed-autonomous-database-insight``
  * ``oci opsi database-insights update-macs-managed-autonomous-database-insight``

* Support for Personal to Corporate conversation check in the OSP Gateway service

  *  ``oci osp-gateway subscription-service subscription authorize-subscription-payment``
  *  ``oci osp-gateway subscription-service subscription pay``
  *  ``oci osp-gateway subscription-service subscription update``

* Document Understanding Service

  * Support of page selection in analyze and processorJob commands

    *  ``oci ai-document processor-job create-processor-job-inline-document-content --input-location-page-range``
    *  ``oci ai-document analyze-document-result analyze-document-inline-document-details --document-page-range``
    *  ``oci ai-document analyze-document-result analyze-document-object-storage-document-details --document-page-range``

  * Support for new commands

    *  ``oci ai-document processor-job create-processor-job-invoice-processor-config``
    *  ``oci ai-document model-type-info get-model-type``

  * Support for new optional parameter in the following commands

    *  ``oci ai-document model update --inference-units``
    *  ``oci ai-document model create --inference-units --language --model-sub-type``

3.62.0 - 2025-07-01
--------------------
Added
~~~~~
* Database multicloud service

  * Support for Multicloud Integration

    * ``oci dbmulticloud multi-cloud-resource-discovery change-compartment``
    * ``oci dbmulticloud multi-cloud-resource-discovery create``
    * ``oci dbmulticloud multi-cloud-resource-discovery delete``
    * ``oci dbmulticloud multi-cloud-resource-discovery get``
    * ``oci dbmulticloud multi-cloud-resource-discovery list``
    * ``oci dbmulticloud multi-cloud-resource-discovery update``
    * ``oci dbmulticloud oracle-db-azure-blob-container change-compartment``
    * ``oci dbmulticloud oracle-db-azure-blob-container create``
    * ``oci dbmulticloud oracle-db-azure-blob-container delete``
    * ``oci dbmulticloud oracle-db-azure-blob-container get``
    * ``oci dbmulticloud oracle-db-azure-blob-container list``
    * ``oci dbmulticloud oracle-db-azure-blob-container update``
    * ``oci dbmulticloud oracle-db-azure-blob-mount change-compartment``
    * ``oci dbmulticloud oracle-db-azure-blob-mount create``
    * ``oci dbmulticloud oracle-db-azure-blob-mount delete``
    * ``oci dbmulticloud oracle-db-azure-blob-mount get``
    * ``oci dbmulticloud oracle-db-azure-blob-mount list``
    * ``oci dbmulticloud oracle-db-azure-blob-mount update``
    * ``oci dbmulticloud oracle-db-azure-connector change-compartment``
    * ``oci dbmulticloud oracle-db-azure-connector create``
    * ``oci dbmulticloud oracle-db-azure-connector delete``
    * ``oci dbmulticloud oracle-db-azure-connector get``
    * ``oci dbmulticloud oracle-db-azure-connector list``
    * ``oci dbmulticloud oracle-db-azure-connector patch``
    * ``oci dbmulticloud oracle-db-azure-connector update``
    * ``oci dbmulticloud oracle-db-azure-key get``
    * ``oci dbmulticloud oracle-db-azure-key list``
    * ``oci dbmulticloud oracle-db-azure-vault change-compartment``
    * ``oci dbmulticloud oracle-db-azure-vault create``
    * ``oci dbmulticloud oracle-db-azure-vault delete``
    * ``oci dbmulticloud oracle-db-azure-vault get``
    * ``oci dbmulticloud oracle-db-azure-vault list``
    * ``oci dbmulticloud oracle-db-azure-vault refresh``
    * ``oci dbmulticloud oracle-db-azure-vault update``
    * ``oci dbmulticloud oracle-db-azure-vault-association cascading-delete``
    * ``oci dbmulticloud oracle-db-azure-vault-association change-compartment``
    * ``oci dbmulticloud oracle-db-azure-vault-association create``
    * ``oci dbmulticloud oracle-db-azure-vault-association delete``
    * ``oci dbmulticloud oracle-db-azure-vault-association get``
    * ``oci dbmulticloud oracle-db-azure-vault-association list``
    * ``oci dbmulticloud oracle-db-azure-vault-association update``
    * ``oci dbmulticloud work-request cancel``
    * ``oci dbmulticloud work-request get``
    * ``oci dbmulticloud work-request list``
    * ``oci dbmulticloud work-request work-request-error list``
    * ``oci dbmulticloud work-request work-request-log-entry list-work-request-logs``

* APM traces service

  * Support for managing scheduled queries

    * ``oci apm-traces scheduled-query create --apmdomainid``
    * ``oci apm-traces scheduled-query delete --apmdomainid``
    * ``oci apm-traces scheduled-query update --apmdomainid``
    * ``oci apm-traces scheduled-query get --apmdomainid  --id``
    * ``oci apm-traces scheduled-query list --apmdomainid``
    * ``oci apm-traces trace log get --apmdomainid --log-key, --start-time-lt, --start-time-gte``

* Database service

  * DG creation with azure, changing encryption key location to azure, and two new apis to register/unregister pkcs

    * ``oci db data-guard-association create-data-guard-association-azure-encryption-key-details``
    * ``oci db database change-encryption-key-location-azure-encryption-key-details``
    * ``oci db cloud-vm-cluster register-cloud-vm-cluster-pkcs``
    * ``oci db cloud-vm-cluster unregister-cloud-vm-cluster-pkcs``

  * Support for Support for new optional parameters in the Database service

    * ``oci db cloud-autonomous-vm-cluster create --opc-dry-run --subscription-id``
    * ``oci db cloud-autonomous-vm-cluster update --opc-dry-run --subscription-id``

  * Support for changing subscription Id in the Database service
    * ``oci db change-cloud-autonomous-vm-cluster-subscription``

* Database Migration service

  * Support for customer-initiated collection of diagnostic information

    * ``oci database-migration job collect-traces``

* MySQL HeatWave service

  * Support for Bring Your Own Key (BYOK)

    * ``oci mysql backup copy --encrypt-data``
    * ``oci mysql db-system clone --encrypt-data``
    * ``oci mysql db-system create --encrypt-data``
    * ``oci mysql db-system import --encrypt-data``
    * ``oci mysql db-system update --encrypt-data``

* Fixed "SyntaxWarnings" occurring when running the `oci` command

Changed
~~~~~~~
* [BREAKING] Man page packaging is now removed from the PyPI source and wheel artifacts. It continues to be included as part of the GitHub and YUM artifacts.

3.61.0 - 2025-06-25
--------------------
Added
~~~~~
* Database Service

   * Support for AWS_S3 as backup destination type

     * ``oci db backup get``
     * ``oci db backup list``

   * Support for AWS_S3 for cloud-vm-cluster

      * ``oci db cloud-vm-cluster create``
      * ``oci db cloud-vm-cluster get``
      * ``oci db cloud-vm-cluster list``
      * ``oci db cloud-vm-cluster update``

* NoSql Service

  * Support for customer managed encryption keys in hosted environments in the NoSQL Database Cloud service

      * ``oci nosql configuration get --compartment-id | -c ``
      * ``oci nosql update-hosted --compartment-id | -c, --kms-key, --force ``
      * ``oci nosql configuration unassign-kms-key --compartment-id | -c``

* Exadata Fleet Update Service

  * Support for 23ai fleet upgrade of GI/DB (ExaDB-D/ExaC@C) collections in FPPCS

    * ``oci fleet-software-update fsu-cycle update-fsu-cycle-update-upgrade-fsu-cycle``
    * ``oci fleet-software-update fsu-cycle create-fsu-cycle-create-upgrade-fsu-cycle``

* OCI Network Load Balancer Service

    * BYoIPv6 support on LBaaS

      * ``oci lb load-balancer create --ipv6-subnet-cidr``
      * ``oci lb load-balancer update --ip-mode``

Changed
~~~~~~~
* Database Service

  * [BREAKING] Home id added as required parameter for below commands

    * ``oci db database create-database-create-stand-by-database-details --db-home-id``
    * ``oci db database create-database-from-backup --db-home-id``

3.59.0 - 2025-06-17
--------------------
Added
~~~~~
* Support for OCI API ACCESS CONTROL service

  * ``oci apiaccesscontrol``

* Support for command String in Complex param --content

  * ``oci instance-agent command create --content``

* Support for WebLogic Management service

  * ``oci wlms``

* Support for oci cache user in redis service

  * ``oci redis oci-cache-user``

Changed
~~~~~~~
* Redis Service

  * [BREAKING] All previously-existing command in redis service are now grouped under redis-cluster

    * ``oci redis redis-cluster``

3.58.1 - 2025-06-10
--------------------
Added
~~~~~
* Database Service

  * Support for new optional parameter in the Database service

    * ``oci db database create-standby-database --opc-dry-run``

3.58.0 - 2025-06-03
--------------------
Added
~~~~~
* Database Service

  * Enable Autonomous Container Database backup in a remote region

    * ``oci db autonomous-container-database create-autonomous-container-database-create-autonomous-container-database-details``
    * ``oci db autonomous-container-database create-autonomous-container-database-create-autonomous-container-database-from-backup-details``
    * ``oci db autonomous-container-database-backup list``

  * Support for new optional parameter in below command

    * ``oci db autonomous-container-database create --source``

* Database Management Service

  * Support for MySQL Replication and SQL Query Detail APIs

      * ``oci database-management managed-my-sql-databases managed-my-sql-database change-mysql-database-management-type``
      * ``oci database-management managed-my-sql-databases managed-my-sql-database get-binary-log-information``
      * ``oci database-management managed-my-sql-databases managed-my-sql-database get-general-replication-information``
      * ``oci database-management managed-my-sql-databases managed-my-sql-database get-my-sql-query-details``
      * ``oci database-management managed-my-sql-databases managed-my-sql-database list-high-availability-members``
      * ``oci database-management managed-my-sql-databases managed-my-sql-database list-inbound-replications``
      * ``oci database-management managed-my-sql-databases managed-my-sql-database list-my-sql-digest-errors``
      * ``oci database-management managed-my-sql-databases managed-my-sql-database list-outbound-replications``

* Database Migration Service

  * Support for standby connection in DMS migration, --source-standby-database-connection-id

    * ``oci database-migration migration clone-oracle-migration --source-standby-database-connection-id``
    * ``oci database-migration migration create-oracle-migration --source-standby-database-connection-id``
    * ``oci database-migration migration update-oracle-migration --source-standby-database-connection-id``

* Golden Gate Service

  * Add support for creating/updating new connection types

    * ``oci goldengate connection create-connection-create-iceberg-connection-details``
    * ``oci goldengate connection update-connection-update-iceberg-connection-details``

  * Added new optional parameters to the following commands

    * ``oci goldengate connection create-amazon-s3-connection --endpoint-parameterconflict --region-parameterconflict``
    * ``oci goldengate connection update-amazon-s3-connection --endpoint-parameterconflict --region-parameterconflict``
    * ``oci goldengate connection get --view``

* MySQL Service

  * Support for Soft Delete Backup in Heatwave Service by adding new optional parameter --soft-delete

    * ``oci mysql backup create --soft-delete``
    * ``oci mysql backup list --soft-delete``
    * ``oci mysql backup update --soft-delete``
    * ``oci mysql db-system create --backup-policy '{ "isEnabled": true, "softDelete": "DISABLED" }'``

  * Added support to cancel backup deletion

    * ``oci mysql backup cancel-backup-deletion``

Changed
~~~~~~~
* Golden Gate Service

  * [BREAKING] Changed --username parameter to be a required parameter

    * ``oci goldengate connection create-databricks-connection --username``

Security
~~~~~~~
- updated virtualenv dependency to >=20.26.6; python_version > '3.7' , 20.13.0 for <= '3.7' per: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-53899
- updated PyYAML dependency to 6.0.2 to support py3.13 build

Fixed
~~~~~
* `Github Issue #943 <https://github.com/oracle/oci-cli/issues/943>`_ for OCI Database Service

3.57.0 - 2025-05-27
--------------------
Added
~~~~~
* Big Data Service

  * Support for new command

    * ``oci bds bds-capacity-report create``
    * ``oci bds instance get-software-update``
    * ``oci bds instance install-software-updates``
    * ``oci bds instance list-software-updates``

  * Support for new optional parameter for below commands

    * ``oci bds instance install-os-patch --is-dry-run``
    * ``oci bds instance install-os-patch-batching-based-patching-configs --is-dry-run``
    * ``oci bds instance install-os-patch-domain-based-patching-configs --is-dry-run``
    * ``oci bds instance install-os-patch-downtime-based-patching-configs --is-dry-run``

* Network Firewall Service

  * Support for NAT Rule APIs

    * ``oci network-firewall nat-rule``

  * Support for new optional parameters in the network-firewall create and update commands

    * ``oci network-firewall network-firewall create --nat-configuration``
    * ``oci network-firewall network-firewall update --nat-configuration``

* Core Service

  * Support for Compute HostGroups APIs

    * ``oci compute compute-host-group``

  * Support for new commands

    * ``oci compute compute-host detach``
    * ``oci compute compute-host attach``
    * ``oci compute dedicated-vm-host create-dedicated-vm-host-compute-bare-metal-host-placement-constraint-details``
    * ``oci compute dedicated-vm-host create-dedicated-vm-host-host-group-placement-constraint-details``
    * ``oci compute instance launch-instance-compute-bare-metal-host-placement-constraint-details``
    * ``oci compute instance launch-instance-host-group-placement-constraint-details``

  * Support for new optional parameter for below commands

    * ``oci compute compute-host list --compute-host-group-id``
    * ``oci compute instance launch --compute-host-group-id --placement-constraint-details``
    * ``oci compute dedicated-vm-host create --placement-constraint-details``
    * ``oci network local-peering-gateway create --security-attributes``
    * ``oci network local-peering-gateway update --security-attributes``
    * ``oci network vcn create --is-zpr-only``
    * ``oci network vcn update --is-zpr-only``

* Capacity Management Service

  * Support for the Demand signal feature CRUD operations

    * ``oci capacity-management demand-signal occm-demand-signal``
    * ``oci capacity-management demand-signal occm-demand-signal-catalog-resource``
    * ``oci capacity-management demand-signal occm-demand-signal-delivery-collection``
    * ``oci capacity-management demand-signal occm-demand-signal-item``

  * Support for Internal Demand signal feature CRUD operations

    * ``oci capacity-management internal-demand-signal internal-occm-demand-signal``
    * ``oci capacity-management internal-demand-signal internal-occm-demand-signal-catalog-resource``
    * ``oci capacity-management internal-demand-signal internal-occm-demand-signal-delivery``
    * ``oci capacity-management internal-demand-signal internal-occm-demand-signal-item-collection``
    * ``oci capacity-management internal-demand-signal occm-demand-signal-catalog``

* Support for new commands in the Management Dashboard Service

  * ``oci management-dashboard dashboard get-oob``
  * ``oci management-dashboard dashboard list-oob``
  * ``oci management-dashboard saved-search get-oob``
  * ``oci management-dashboard saved-search list-oob``

* Support for REST in HeatWave MySQL Service

  * ``oci mysql db-system clone --rest``
  * ``oci mysql db-system create --rest``
  * ``oci mysql db-system import --rest``
  * ``oci mysql db-system update --rest``

* Support for new optional parameters for below command in the Database Service

  * ``oci db system list-db-system-storage-performances --database-edition``

* Support for new optional parameters for below command in the Usage Service

  * ``oci usage-api usage-carbon-emission-summary request-usage-carbon-emissions --emission-calculation-method --emission-type --granularity``

Changed
~~~~~~~
* Database Service

  * [BREAKING] Command to get cloud-exadata-infrastructure unallocated resources has been renamed in the Database Service

    * ``oci db cloud-exadata-infrastructure-unallocated-resources get`` renamed to ``oci db cloud-exa-infra get-cloud-exadata-infrastructure-unallocated-resources``

  * Required parameter --db-home-id is now a optional parameter for the below commands

    * ``oci db database create-database-create-stand-by-database-details``
    * ``oci db database create-database-from-backup``

Fixed
~~~~~
* `Github Issue #949 <https://github.com/oracle/oci-cli/issues/949>`_ for OCI Database Service

3.56.1 - 2025-05-20
--------------------
Added
~~~~~

* Support for the Globally Distributed Database service

  * ``oci distributed-database``

* Support for Network Security Groups in MySQL HeatWave service

  * ``oci mysql db-system clone --nsg-ids``
  * ``oci mysql db-system create --nsg-ids``
  * ``oci mysql db-system import --nsg-ids``
  * ``oci mysql db-system update --nsg-ids``

* Database Service

  * Support for listing the available upgrades (OS & GI) for VM DB systems

      * ``oci db db-system-upgrade-summary list-db-system-upgrades``

  * Support for running dry-run operations

      * ``oci db autonomous-database change-autonomous-database-subscription --opc-dry-run``
      * ``oci db autonomous-database change-compartment --opc-dry-run``
      * ``oci db autonomous-database change-disaster-recovery-configuration --opc-dry-run``
      * ``oci db autonomous-database configure-key --opc-dry-run``
      * ``oci db autonomous-database configure-saas-admin-user --opc-dry-run``
      * ``oci db autonomous-database create --opc-dry-run``
      * ``oci db autonomous-database create-adb-cross-region-data-guard-details --opc-dry-run``
      * ``oci db autonomous-database create-autonomous-database-create-cross-region-disaster-recovery-details --opc-dry-run``
      * ``oci db autonomous-database create-autonomous-database-register-as-customer-owned-container-details --opc-dry-run``
      * ``oci db autonomous-database create-autonomous-database-undelete-autonomous-database-details --opc-dry-run``
      * ``oci db autonomous-database create-cross-tenancy-disaster-recovery-details --opc-dry-run``
      * ``oci db autonomous-database create-from-backup-id --opc-dry-run``
      * ``oci db autonomous-database create-from-backup-timestamp --opc-dry-run``
      * ``oci db autonomous-database create-from-clone --opc-dry-run``
      * ``oci db autonomous-database create-refreshable-clone --opc-dry-run``
      * ``oci db autonomous-database create-virtual-clone --opc-dry-run``
      * ``oci db autonomous-database data-safe deregister --opc-dry-run``
      * ``oci db autonomous-database data-safe register --opc-dry-run``
      * ``oci db autonomous-database delete --opc-dry-run``
      * ``oci db autonomous-database disable-autonomous-database-management --opc-dry-run``
      * ``oci db autonomous-database disable-operations-insights --opc-dry-run``
      * ``oci db autonomous-database enable-autonomous-database-management --opc-dry-run``
      * ``oci db autonomous-database enable-operations-insights --opc-dry-run``
      * ``oci db autonomous-database fail-over --opc-dry-run``
      * ``oci db autonomous-database generate-wallet --opc-dry-run``
      * ``oci db autonomous-database manual-refresh --opc-dry-run``
      * ``oci db autonomous-database restart --opc-dry-run``
      * ``oci db autonomous-database restore --opc-dry-run``
      * ``oci db autonomous-database shrink --opc-dry-run``
      * ``oci db autonomous-database start --opc-dry-run``
      * ``oci db autonomous-database stop --opc-dry-run``
      * ``oci db autonomous-database switchover --opc-dry-run``
      * ``oci db autonomous-database update --opc-dry-run``
      * ``oci db autonomous-database-backup create --opc-dry-run``
      * ``oci db autonomous-database-backup delete --opc-dry-run``
      * ``oci db autonomous-database-backup update --opc-dry-run``
      * ``oci db autonomous-database-wallet rotate --opc-dry-run``
      * ``oci db autonomous-database-wallet rotate-regional-wallet --opc-dry-run``

3.56.0 - 2025-05-13
--------------------
Added
~~~~~
* Database Management Service

  * Support for new operations for managed database

    * ``oci database-management managed-database modify-external-container-database-management-feature``
    * ``oci database-management managed-database modify-external-container-database-management-feature-external-database-diagnostics-and-management-feature-details``
    * ``oci database-management managed-database modify-external-container-database-management-feature-external-database-lifecycle-management-feature-details``
    * ``oci database-management managed-database modify-external-container-database-management-feature-external-database-sql-watch-feature-details``

  * Support for bulk PDB enablement using optional parameter --can-disable-all-pdbs

    * ``oci database-management managed-database enable-database-management-feature --can-disable-all-pdbs``
    * ``oci database-management managed-database disable-database-management-feature --can-disable-all-pdbs``
    * ``oci database-management managed-database enable-database-management-feature-database-diagnostics-and-management-feature-details --feature-details-is-auto-enable-pluggable-database feature-details-can-enable-all-current-pdbs``
    * ``oci database-management managed-database enable-pluggable-database-management-feature-database-diagnostics-and-management-feature-details --feature-details-can-enable-all-current-pdbs``

* Model Deployment Data Plane Service

  * Support for the Model Deployment Inference calls

    * ``oci model-deployment inference-result predict``
    * ``oci model-deployment inference-result predict-with-response-stream``

* Opensearch Service

  * Adding Node Shape details to create and update vertical for cluster and pipeline and Search Node details to create and update for cluster

    * ``oci opensearch pipeline create --node-shape``
    * ``oci opensearch pipeline update --node-shape``
    * ``oci opensearch cluster create --data-node-host-shape, --master-node-host-shape, --opendashboard-node-host-shape --search-node-count, --search-node-host-memory-gb, --search-node-host-ocpu-count, --search-node-host-shape, --search-node-host-type, --search-node-storage-gb``
    * ``oci opensearch cluster resizevertical --data-node-host-shape, --master-node-host-shape, --opendashboard-node-host-shape --search-node-host-memory-gb, --search-node-host-ocpu-count, --search-node-host-shape, --search-node-storage-gb``
    * ``oci opensearch cluster resizehorizontal --search-node-count``
    * ``oci opensearch cluster shapes-details list``

Changed
~~~~~~~
* Database Management Service

  * [BREAKING] Following commands have been removed

    * ``oci database-management managed-my-sql-databases external-my-sql-database disable-external-mysql-associated-service``
    * ``oci database-management managed-my-sql-databases external-my-sql-database enable-external-mysql-associated-service``

3.55.0 - 2025-05-06
--------------------
Added
~~~~~
* Database Service

   * Support for new parameters to get latest versions.

      * ``oci db system-version list --shape --is-latest --resource-id``

   * Support for the dry run feature in creating Cloud Exadata Infrastructure / Cloud Exadata VM Cluster in Database service

       * ``oci db cloud-exa-infra create --opc-dry-run``
       * ``oci db cloud-vm-cluster create --opc-dry-run``

* Log Analytics Service

   * Support for Lookup Resources

     * ``oci log-analytics lookup change-compartment``

   * Support for additional recall and release attributes

     * ``oci log-analytics storage list-recalled-info``

   * Support for get templates

     * ``oci log-analytics template list``
     * ``oci log-analytics template get``

   * Support for uploading otlp logs

     * ``oci log-analytics upload upload-otlp-logs``

* Database Migration

  * Support for new ODMS phase: ODMS_METADATA_TRANSFER

    * ``oci database-migration migration start --wait-after``

* Fleet Application Management Service

  * Support for change compartment in Fleet Application Management service

    * ``oci fleet-apps-management fleet change-compartment``
    * ``oci fleet-apps-management fleet-apps-management-admin platform-configuration change-compartment``
    * ``oci fleet-apps-management fleet-apps-management-admin property change-compartment``
    * ``oci fleet-apps-management fleet-apps-management-operations patch change-compartment``
    * ``oci fleet-apps-management fleet-apps-management-runbooks runbook change-compartment``
    * ``oci fleet-apps-management fleet-apps-management-runbooks task-record change-compartment``

  * Support for platform configuration in the Fleet Application Management service

    * ``oci fleet-apps-management fleet-apps-management-admin platform-configuration create-platform-configuration-lifecycle-operation-config-category-details``
    * ``oci fleet-apps-management fleet-apps-management-admin platform-configuration create-platform-configuration-self-hosted-instance-config-category-details``

  * Support for managing a runbook version in the Fleet Application Management service

    * ``oci fleet-apps-management fleet-apps-management-runbooks runbook-version``

  * Support for resource inventory in the Fleet Application Management service

    * ``oci fleet-apps-management fleet-apps-management-operations inventory-record-collection list-inventory-records``

  * Support for new optional parameters in the Fleet Application Management service

    * ``oci fleet-apps-management fleet create --parent-fleet-id``

Changed
~~~~~~~
* Fleet Application Management Service

  * [BREAKING] --display-name and --resource-selection are now a required parameter in the Fleet Application Management service

    * ``oci fleet-apps-management fleet create --compartment-id --display-name --resource-selection``

  * [BREAKING] --fleet-type, --application-type, --group-type removed from fleet creation in the Fleet Application Management service

    * ``oci fleet-apps-management fleet create --fleet-type --application-type --group-type``

  * [BREAKING] --resource-selection-type, --rule-selection-criteria usage replaced with --resource-selection in fleet creation in the Fleet Application Management service

    * ``oci fleet-apps-management fleet create --resource-selection``

  * [BREAKING] oci fleet-apps-management work-request replaced with oci fleet-apps-management fleet-apps-management-work-request work-request in the Fleet Application Management service

    * ``oci fleet-apps-management fleet-apps-management-work-request work-request``

* Log Analytics Service

  * Support for filtering log sources based on pattern and listing property

    * ``oci log-analytics source list-sources --pattern-text``
    * ``oci log-analytics field upsert-field --is-keep-duplicates``
    * ``oci log-analytics category list-resource-category --compartment-id``
    * ``oci log-analytics property list-effective-properties --pattern-id-long``

  * Support for additional attributes in entity

    * ``oci log-analytics entity list --defined-tag-equals, --defined-tag-exists, --freeform-tag-equals, --freeform-tag-exists, --is-show-assoc-src-count``
    * ``oci log-analytics entity get --is-show-assoc-src-count``
    * ``oci log-analytics entity delete --is-force-delete``
    * ``oci log-analytics entity-topology list --context``

  * Support for filtering on lookup Resources

    * ``oci log-analytics lookup get-summary --compartment-id``
    * ``oci log-analytics lookup list --compartment-id``
    * ``oci log-analytics lookup register-lookup --compartment-id``
    * ``oci log-analytics lookup update --defined-tags, --freeform-tags``

  * Object Collection Rule

    * ``oci log-analytics object-collection-rule create --log-source-name, --stream-cursor-time, --stream-cursor-type, --stream-id``
    * ``oci log-analytics object-collection-rule update --stream-cursor-time, --stream-cursor-type, --stream-id``

  * Support for additional recall attributes

    * ``oci log-analytics storage recall-archived-data --collection-id``

  * Support for filtering scheduled tasks based on template-id

    * ``oci log-analytics scheduled-task list --template-id``
    * ``oci log-analytics scheduled-task create-standard-task --schedules``

* Network Service

  * Add optional field lifetime to support reserve private ip feature

    ``oci network vnic assign-private-ip --lifetime``

Fixed
~~~~~
* `Github Issue #927 <https://github.com/oracle/oci-cli/issues/927>`_ for OCI Network Service

* `Github Issue #914 <https://github.com/oracle/oci-cli/issues/914>`_ for OCI Network Service

3.54.5 - 2025-04-29
--------------------
Added
~~~~~
* Resource Scheduler Service

  * Support for updating compartment of a schedule

    * ``oci resource-scheduler schedule change-compartment``

  * Support for listing schedules by resource ID

    * ``oci resource-scheduler schedule list --resource-id``

* Support for new optional parameter chat-request-stream-options for cohere Chat in Generative Ai Inference Service

  * ``oci generative-ai-inference chat-result chat-cohere-chat-request --chat-request-stream-options``

3.54.4 - 2025-04-22
--------------------
Added
~~~~~
*  Core Services

  * Support iSCSI-3 Persistant Reservation for Block Volume

    * ``oci bv volume create ----is-reservations-enabled``
    * ``oci bv volume create-volume-source-from-volume-backup-delta --is-reservations-enabled``
    * ``oci bv volume create-volume-volume-source-from-block-volume-replica-details``

* Visual Builder Service

  * Support for restricting public network access to a VB service instance in Visual builder

    * ``oci visual-builder vb-instance update-vb-instance-update-public-endpoint-details --network-endpoint-details-allowlisted-http-ips --network-endpoint-details-allowlisted-http-vcns``
    * ``oci visual-builder vb-instance update-vb-instance-public-endpoint-details --network-endpoint-details-allowlisted-http-ips --network-endpoint-details-allowlisted-http-vcns``

* Database service

  * Support for Database Lifecycle Management Patch Management

    * ``oci dblm dblm-patch-management get-patch-management``
    * ``oci dblm patch-databases-collection list-databases``

3.54.3 - 2025-04-15
--------------------
Added
~~~~~
* Generative Ai Service Inference

  * Support for the ApplyGuardrails API, enabling capabilities for Content Moderation, Prompt Injection and PII detection

    * ``oci generative-ai-inference apply-guardrails-result apply-guardrails``
    * ``oci generative-ai-inference apply-guardrails-result apply-guardrails-guardrails-text-input``

  * Added optional parameter chat-request-safety-mode in chat-cohere-chat-request command

    * ``oci generative-ai-inference chat-result chat-cohere-chat-request  --chat-request-safety-mode``

* Database service

  * Added optional parameter customer contact for Operational Notifications (EXACCADBCC/EXACSADBD)

    * ``oci db autonomous-container-database create ----customer-contacts``
    * ``oci db autonomous-container-database update ----customer-contacts``

3.54.2 - 2025-04-08
--------------------
Added
~~~~~
* GoldenGate Service

  * Support for new optional parameters to create and update deployment operation

    * ``oci goldengate deployment create  --availability-domain, --fault-domain, --placements, --source-deployment-id``
    * ``oci goldengate deployment update --placements``

  * Support for new operations to goldengate deployment operation

    * ``oci goldengate deployment add-deployment-local-peer``
    * ``oci goldengate deployment remove-deployment-local-peer``
    * ``oci goldengate deployment switchover-deployment-peer``

  * Support for deploymentPeerSummary operation

    * ``oci goldengate deployment-peer-summary list-deployment-peers``

  * Support for collecting diagnostics for ZeroETL pipelines

    * ``oci goldengate pipeline collect-diagnostic``

* Support for new optional parameters for below command in the Key Management Service

  * ``oci kms management vault create-vault-replica --replica-vault-metadata``

* Support for Dry Run of Function Invocation in the Functions service

  * ``oci fn function invoke  --is-dry-run``

3.54.1 - 2025-04-01
--------------------
Added
~~~~~
* File Storage service

    * Support for the Lustre File service

      * ``oci lfs lustre-file-system change-compartment``
      * ``oci lfs lustre-file-system create``
      * ``oci lfs lustre-file-system delete``
      * ``oci lfs lustre-file-system get``
      * ``oci lfs lustre-file-system update``
      * ``oci lfs lustre-file-system-collection list-lustre-file-systems``
      * ``oci lfs work-request cancel``
      * ``oci lfs work-request get``
      * ``oci lfs work-request list``
      * ``oci lfs work-request-error list``
      * ``oci lfs work-request-log-entry list-work-request-logs``

* Data Science Service

    * Support for ML Applications in the Data Science service

      * ``oci data-science ml-app``
      * ``oci data-science ml-app-implementation``
      * ``oci data-science ml-app-implementation-version``
      * ``oci data-science ml-app-instance``
      * ``oci data-science ml-app-instance-view``

* Application Performance Monitoring Configuration Service

    * Support for new Action end points to export and import configurations

      * ``oci apm-config export-configuration copy``
      * ``oci apm-config export-configuration export``
      * ``oci apm-config export-configuration import``

Changed
~~~~~~~
* Ops Insights Service

    * Support for ECPU compute model based Ops Insights Warehouses by adding new compute-model field.

      * ``oci opsi operations-insights-warehouses update --compute-model``
      * ``oci opsi operations-insights-warehouses create --compute-model``


Security
~~~~~~~
- updated requests dependency to `>= 2.32.0` for python version `>3.7`, `2.31.0` for `3.7` and `2.27.0` for `3.6` per: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-32681.
- updated Jinja2 dependency to `>=3.1.5` for python version `>=3.7` and `<3.0.0` for `3.6` per: CVE-2024-56201 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-56201 and https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-56326.
- updated certifi dependency to `2025.1.31` per: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-39689.

3.54.0 - 2025-03-25
--------------------
Added
~~~~~
* Compute Service

  * Support for Host API feature in Compute service

    * ``oci compute compute-host change-compartment``
    * ``oci compute compute-host get``
    * ``oci compute compute-host list``
    * ``oci compute compute-host update``

* Stack Monitoring Service

  * Support for a new Stack Monitoring configuration, enabling the automatic activation of the Management Agent on Compute instance launch

    * ``oci stack-monitoring config create-compute-auto-activate-plugin-config``
    * ``oci stack-monitoring config update-compute-auto-activate-plugin-config``

  * Support for importing telegraf/collectd resources

    * ``oci stack-monitoring resource-task update-agent-receiver --handler-type, --is-enable, --agent-id, --compartment-id, --receiver-properties``

  * Support for updating the handler configuration for telegraf/collectd resources

    * ``oci stack-monitoring resource-task update-resource-type-configs --handler-type, --compartment-id, --resource-types-config``

  * Support search monitored resource types based on source type and resource category

    * ``oci stack-monitoring resource-type list --resource-category, --source-type``

  * Support for adding Tags in Stack Monitoring Maintenance Window resource

    * ``oci stack-monitoring maintenance-window create --defined-tags, --freeform-tags``
    * ``oci stack-monitoring maintenance-window update --defined-tags, --freeform-tags``

* Generative AI Agent service

  * Support for tools

    * ``oci generative-ai-agent tool create``
    * ``oci generative-ai-agent tool create-tool-function-calling-tool-config``
    * ``oci generative-ai-agent tool create-tool-http-endpoint-tool-config``
    * ``oci generative-ai-agent tool create-tool-rag-tool-config``
    * ``oci generative-ai-agent tool create-tool-sql-tool-config``
    * ``oci generative-ai-agent tool delete``
    * ``oci generative-ai-agent tool get``
    * ``oci generative-ai-agent tool list``
    * ``oci generative-ai-agent tool update``
    * ``oci generative-ai-agent tool update-tool-function-calling-tool-config``
    * ``oci generative-ai-agent tool update-tool-http-endpoint-tool-config``
    * ``oci generative-ai-agent tool update-tool-rag-tool-config``

  * Support for metadata in data-source

    * ``oci generative-ai-agent data-source update --metadata``
    * ``oci generative-ai-agent data-source update-object-storage-ds  --metadata``

* Generative AI Agent Runtime service

  * Support for knowledge-base-metadata-summary

    * ``oci generative-ai-agent-runtime knowledge-base-metadata-summary retrieve-metadata``

Changed
~~~~~~~
* Delegate Access Control service

  * [BREAKING] Command to create worklog request has been renamed

    * ``oci delegate-access-control work-request work-request-log-entry list-work-request-logs`` renamed to ``oci delegate-access-control work-request work-request-log list``


* Oracle Cloud VMware Solution service

  * [BREAKING] Parameter list-error has been renamed to list

    * ``oci ocvs work-request-error list-errors`` renamed to ``oci ocvs work-request-error list``

3.53.0 - 2025-03-18
--------------------
Added
~~~~~
* Managed Services for Mac Service

  * Support for the Oracle Cloud Infrastructure - Managed Services for Mac service

    * ``oci mngdmac``

* Compute Service

  * Support for the Compute GPU Memory Cluster and Compute GPU Memory Fabric services

        * ``oci compute compute-gpu-memory-cluster``
        * ``oci compute compute-gpu-memory-fabric``

Changed
~~~~~~~
* GoldenGate Service

  * Added new optional parameter --backup-schedule for scheduling customer-initiated backups in the GoldenGate Service

    * ``oci goldengate deployment create --backup-schedule``
    * ``oci goldengate deployment update --backup-schedule``

* Network Service

  * [BREAKING] Removed two optional parameters, monitor-ip and ip-anycast-id from the following commands

    * ``oci network byoip-range create``
    * ``oci network byoip-range update``

* Tenant Manager Control Plane Service

  * [BREAKING] Renamed the oci organizations work-request-error list-errors command

    * ``oci organizations work-request-error list``

  * [BREAKING] Renamed the oci organizations work-request-log list command

    * ``oci organizations work-request-log-entry list``

3.52.1 - 2025-03-11
--------------------
Added
~~~~~
* Data Safe Service

  * Support for Sensitive column Analytics in Data Safe service

    * ``oci data-safe sensitive-data-model list-sensitive-column-analytics``

  * Support for Sensitive type group in Data Safe service APIs

    * ``oci data-safe sensitive-type-group create``
    * ``oci data-safe sensitive-type-group patch-grouped-sensitive-types``
    * ``oci data-safe sensitive-data-model create --sensitive-type-group-ids-for-discovery``
    * ``oci data-safe sensitive-type-group list-grouped-sensitive-types``
    * ``oci data-safe sensitive-type-group update``
    * ``oci data-safe sensitive-type-group-summary list-sensitive-type-groups``
    * ``oci data-safe sensitive-data-model update --sensitive-type-group-ids-for-discovery``
    * ``oci data-safe discovery-job create --sensitive-type-group-ids-for-discovery``
    * ``oci data-safe sensitive-type-group get``
    * ``oci data-safe sensitive-type-group change-compartment``
    * ``oci data-safe sensitive-type-group delete``

  * Support for Masking rerun from specific step in Data Safe service

    * ``oci data-safe masking-policy mask-data --re-run-from-step``

  * Support for Masking report errors & delete in Data Safe service

    * ``oci data-safe masking-error-summary list-masking-errors``
    * ``oci data-safe masking-report delete``

  * Support for optional parameter in listing findings in security assessment

    * ``oci data-safe security-assessment list-findings --field --scim-query --sort-by``

* Database Service

  * Support for new optional parameter --vm-cluster-type in cloud vm cluster create

    * ``oci db cloud-vm-cluster create --vm-cluster-type``

  * Support for new optional parameter --vm-cluster-type in cloud vm cluster list

    * ``oci db cloud-vm-cluster list --vm-cluster-type``

  * Support for new optional parameter --db-system-id in database software image

    * ``oci db database-software-image list --db-system-id``

  * Support for new optional parameter --vm-cluster-type in vm cluster create

    * ``oci db vm-cluster create --vm-cluster-type``

  * Support for new optional parameter --vm-cluster-type in vm cluster list

    * ``oci db vm-cluster list --vm-cluster-type``

  * Support for new optional parameter in the Exadata Database Service on Dedicated Infrastructure service

    * ``oci db application-vip create --ipv6-address``

  * Support for new optional parameter ``--database-server-type`` and ``--storage-server-type``

    * ``oci db cloud-exa-infra create --database-server-type, --storage-server-type``
    * ``oci db exadata-infrastructure create --database-server-type, --storage-server-type``

  * Support for new optional parameter --shape in flex component list

    * ``oci db flex-component list --shape``

* Data Science Service

  * Support for optional parameter ``--category`` for following commands

    * ``oci data-science model list --category``
    * ``oci data-science model-version-set list --category``

  * Support for model by reference via native API

    * ``oci data-science model create-model-custom-metadatum-artifact``
    * ``oci data-science model create-model-defined-metadatum-artifact``
    * ``oci data-science model delete-model-custom-metadatum-artifact``
    * ``oci data-science model delete-model-defined-metadatum-artifact``
    * ``oci data-science model get-model-custom-metadatum-artifact-content``
    * ``oci data-science model get-model-defined-metadatum-artifact-content``
    * ``oci data-science model head-model-custom-metadatum-artifact``
    * ``oci data-science model head-model-defined-metadatum-artifact``
    * ``oci data-science model update-model-custom-metadatum-artifact``
    * ``oci data-science model update-model-defined-metadatum-artifact``
    * ``oci data-science register-model-artifact-reference-details register-model-artifact-reference``

* Mysql Database Service

  * Support for scheduling cross-region DB system backups in the HeatWave Service.

    * ``oci mysql db-system create --backup-policy='{"copypolicies": [{ "copytoregion": "$region_name", "backupcopyretentionindays": $retention_in_days }]}'``
    * ``oci mysql db-system update --backup-policy='{"copypolicies": [{ "copytoregion": "$region_name", "backupcopyretentionindays": $retention_in_days }]}'``

  * Support for new optional parameter in the HeatWave Service

    * ``oci mysql backup copy --backup-copy-retention-in-days``

* Support for Pipelines in the OpenSearch service

  * ``oci opensearch pipeline``

* Support for new Open Id Connect Multi Authentication command in the OKE Control Plane service

  * ``oci ce cluster create --oidc-configuration-file``

3.52.0 - 2025-03-04
--------------------
Added
~~~~~
* File Storage service

  * Support for User Quotas on FileSystem resource in the File Storage Service

    * ``oci fs file-system create-quota-rule``
    * ``oci fs file-system update-quota-rule``
    * ``oci fs file-system delete-quota-rule``
    * ``oci fs file-system get-quota-rule``
    * ``oci fs file-system list-quota-rules``
    * ``oci fs file-system toggle-quota-rules`

* Database service

  * Support for long term retention backup at Autonomous Recovery Service ("ZRCV").

    * ``oci db backup create --retention-days <Retention value in days> --retention-years <Retention value in years>``
    * ``oci db backup list --backup-destination-type <Backup destination type> --time-expiry-start <Start time of expiry> --time-expiry-end <End time of expiry> --type <Backup type> --db-version <Database version>``
    * ``oci db backup update --retention-days <Retention value in days> --retention-years <Retention value in years>``

  * Support for Subscription in the Exadata Database Service on Exascale Infrastructure

    * ``oci db exascale-db-storage-vault --subscription-id``
    * ``oci db exadb-vm-cluster create --subscription-id``
    * ``oci db exascale-db-storage-vault change-exascale-db-storage-vault-subscription --exascale-db-storage-vault-id --subscription-id``
    * ``oci db exadb-vm-cluster change-exadb-vm-cluster-subscription --exadb-vm-cluster-id --subscription-id``

  * Support for Cluster Placement Group in the Exadata Database Service on Exascale Infrastructure

    * ``oci db exascale-db-storage-vault create --cluster-placement-group-id``
    * ``oci db exascale-db-storage-vault list --cluster-placement-group-id``
    * ``oci db exadb-vm-cluster list --cluster-placement-group-id``

  * Support for multiple standby databases for Autonomous Dataguard Association on ADB-D and ADB-D C@C

    * ``oci db autonomous-container-database add --autonomous-container-database-id``
    * ``oci db autonomous-container-database convert-standby --autonomous-container-database-id``
    * ``oci db autonomous-container-database edit-autonomous-container-database-dataguard --autonomous-container-database-id``
    * ``oci db autonomous-container-database failover-autonomous-container-database-dataguard --autonomous-container-database-id``
    * ``oci db autonomous-container-database switchover-autonomous-container-database-dataguard --autonomous-container-database-id ``
    * ``oci db autonomous-container-database reinstate-autonomous-container-database-dataguard --autonomous-container-database-id ``
    * ``oci db autonomous-container-database-dataguard migrate --autonomous-container-database-id``

* Open Search service

  * Support for upgrade major version of cluster in OpenSearch

    * ``oci opensearch cluster upgrade --opensearch-cluster-id --desired-software-version --original-cluster-display-name --upgrade-type --is-clone --endpoint``

* PSQL service

  * Support for creating a backup copy

    * ``oci psql backup backup-copy --backup-id --compartment-id``

Changed
~~~~~~~
* Tenant Manager Control Plane service

  * [BREAKING] Changed the values accepted by the optional parameter --wait-for-state in the create command

    * ``oci organizations subscription-mapping create --wait-for-state <A value from [CREATING, ACTIVE, INACTIVE, UPDATING, DELETING, DELETED, FAILED]>``

* PSQL service

  * Added new optional parameter --config-type to list-configurations

    * ``oci psql configuration-collection list-configurations --config-type``

* Compute Engine service

  * Added new optional parameter --with-auth-context which reads the auth and profile attributes from the execution context and appends them to the oci command arguments in the kubeconfig file

    * ``oci ce cluster create-kubeconfig --with-auth-context``

3.51.9 - 2025-02-25
--------------------
Fixed
~~~~~
* Unsupported feature "COMMAND health check" feature for Container Instance Service has been removed, There is no specific CLI change since the option is passed in by json blob ( --containers [complex type])

Added
~~~~~
* Support for Database Lifecycle Management
  * ``oci dblm``

* Support for OCI cache service
  * ``oci cache``

* Support for Bring Your Own DKIM Keys in OCI Email Delivery Service

* Support for Dataflow Steps and Storage Mounts in Pipelines in Data Science service

  * ``oci data-science pipeline create --storage-mount-configuration-details-list``
  * ``oci data-science pipeline update --storage-mount-configuration-details-list``

* Support for new Open Id Connect Multi Authentication command in the OKE Control Plane service

  * ``oci ce cluster create --configuration-file``

* Support for the ZPR Security Attributes

  * ``oci load balancer``

* Support for Reserve Private IP for Private IP and IPv6

  * ``oci network ipv6 ipv6-vnic-detach <input-params>``
  * ``oci network private-ip private-ip-vnic-detach <input- params>``

* Support for new optional parameters in the Private IP and IPv6 for Reserve Private IP
  * ``oci network ipv6 create --lifetime``
  * ``oci network private-ip create --lifetime``
  * ``oci network ipv6 update --lifetime``
  * ``oci network private-ip update --lifetime``

* Support for extra user-editable configuration parameters in the MySQL Heatwave Database service

* OS Management Hub service

  * Support for rebooting of instances, groups and lifecycle stages

    * ``oci os-management-hub lifecycle-stage reboot``
    * ``oci os-management-hub managed-instance reboot``
    * ``oci os-management-hub managed-instance-group reboot``

  * Support for private and third party repositories
    * ``oci os-management-hub software-source create-private-swsrc``
    * ``oci os-management-hub software-source create-third-party-swsrc``
    * ``oci os-management-hub software-source update-private-swsrc``
    * ``oci os-management-hub software-source update-third-party-swsrc``

  * Support for re-running work requests
    * ``oci os-management-hub work-request rerun``

  * Support for new commands for custom software sources
    * ``oci os-management-hub software-source get-software-source-manifest``
    * ``oci os-management-hub software-source update-software-source-manifest``
    * ``oci os-management-hub software-source remove-packages``
    * ``oci os-management-hub software-source replace-packages``
    * ``oci os-management-hub software-source list-available-software-packages``
    * ``oci os-management-hub software-source generate-metadata``

  * Support for new commands for profiles
    * ``oci os-management-hub profile list-available-software-sources``
    * ``oci os-management-hub profile get-profile-version``
    * ``oci os-management-hub profile detach-software-sources``
    * ``oci os-management-hub profile attach-software-sources``
    * ``oci os-management-hub profile attach-management-station``
    * ``oci os-management-hub profile attach-managed-instance-group``
    * ``oci os-management-hub profile attach-lifecycle-stage``
    * ``oci os-management-hub profile create-windows-stand-alone-profile``

  * Support for new commands for manages instances
    * ``oci os-management-hub managed-instance associate-managed-instances-with-management-station``

  * Support for new optional parameter
    * ``oci os-management-hub managed-instance list --agent-version --management-station --is-reboot-required --management-station-ne
    * ``oci os-management-hub managed-instance-group install-packages --is-latest``
    * ``oci os-management-hub management-station create --is-auto-config-enabled``
    * ``oci os-management-hub management-station update --is-auto-config-enabled``
    * ``oci os-management-hub management-station list --location --location-ne
    * ``oci os-management-hub profile list --management-station --management-station-ne --profile-version``
    * ``oci os-management-hub scheduled-job create --work-request-id``
    * ``oci os-management-hub software-source add-packages --is-continue-on-missing-packages``
    * ``oci os-management-hub software-source create-custom-swsrc --software-source-sub-type``
    * ``oci os-management-hub software-source create-versioned-custom-swsrc --software-source-sub-type``
    * ``oci os-management-hub software-source list ----is-mirror-sync-allowed``
    * ``oci os-management-hub work-request list --rerun-of-id``

3.51.8 - 2025-02-18
--------------------
Added
~~~~~~~
* Java Management Service

  * Support for Customer Onboarding Success in the Java Management Service

    * ``oci jms fleet-error-summary list-fleet-errors``
    * ``oci jms plugin-error-summary list-plugin-errors``
    * ``oci jms fleet-error-aggregation summarize-fleet-errors``
    * ``oci jms plugin-error-aggregation summarize-plugin-errors``

Changed
~~~~~~~
* Database Service

  * Added new optional parameter is-local-adg to maintenance-run

    * ``oci db maintenance-run list --is-local-adg <boolean>``

* Java Management Service

  * Added new options to existing commands

    * ``oci jms fleet summarize-resource-inventory --compartment-id-in-subtree``
    * ``oci jms jms-plugin list --agent-type``
    * ``oci jms performance-tuning-analysis-result list --application-name``

3.51.7 - 2025-02-11
--------------------
Added
~~~~~
* Database Service

  * Support for new backup recovery parameters during autonomous-database creation in the Database Service

    * ``oci db autonomous-database create-from-backup-id --clone-table-space-list``
    * ``oci db autonomous-database create-from-backup-timestamp --clone-table-space-list``

  * Support for IPv6 address in BaseDB service

    * ``oci db system launch --private-ip-v6``
    * ``oci db system launch-from-backup --private-ip-v6``
    * ``oci db system launch-from-database --private-ip-v6``
    * ``oci db system launch-from-db-system --private-ip-v6``

* Stack Monitoring Service

  * Support for Monitoring Templates

    * ``oci stack-monitoring monitoring-template``

  * Support for Alarm Condition

    * ``oci stack-monitoring alarm-condition``

  * Support for new optional parameters in below commands

    * ``oci stack-monitoring resource-type create-system-format-resource-type``
    * ``oci stack-monitoring resource-type update-system-format-resource-type``

* OKE Control Plane Service

  * Support for ipv6 cluster creation

    * ``oci ce cluster create --ip-families``

* GoldenGate Service

  * Support for creating/updating new connection types

    * ``oci goldengate connection create-databricks-connection``
    * ``oci goldengate connection update-databricks-connection``
    * ``oci goldengate connection create-google-pub-sub-connection``
    * ``oci goldengate connection update-google-pub-sub-connection``
    * ``oci goldengate connection create-microsoft-fabric-connection``
    * ``oci goldengate connection update-microsoft-fabric-connection``

Fixed
~~~~~
* `Github Issue #905 <https://github.com/oracle/oci-cli/issues/905>`_ for OCI_API_KEY

* `Github Issue #902 <https://github.com/oracle/oci-cli/issues/902>`_ for OCI_API_KEY

* `Github Issue #900 <https://github.com/oracle/oci-cli/issues/900>`_ for SUPPRESS_LABEL_WARNING

3.51.6 - 2025-02-04
--------------------
Added
~~~~~
* Data Science Service

  * Support for Data Science Schedule

    * ``oci data-science schedule``

  * Support for OCI Data Science List Service Managed Container Endpoint

    * ``oci data-science list``

* Generative AI inference service

  * Support for VLLM tool use

    * ``oci generative-ai-inference chat-result chat-cohere-chat-request``
    * ``oci generative-ai-inference chat-result chat-generic-chat-request``
    * ``oci generative-ai-inference rerank-text-result rerank-text``
    * ``oci generative-ai-inference rerank-text-result rerank-text-dedicated-serving-mode``
    * ``oci generative-ai-inference rerank-text-result rerank-text-on-demand-serving-mode``

   * Support for Cohere Embed V3 with image

    *  ``oci generative-ai-inference embed-text-result embed-text``

* Data Safe service

  * Support for new Referential Relation APIs

    * ``oci data-safe referential-relation create``
    * ``oci data-safe referential-relation delete``
    * ``oci data-safe referential-relation get``
    * ``oci data-safe referential-relation list``
    * ``oci data-safe masking-policy-referential-relation-summary list-masking-policy-referential-relations``

  * Support for Export Sensitive Types

    * ``oci data-safe sensitive-type bulk-create``
    * ``oci data-safe sensitive-types-export change-compartment``
    * ``oci data-safe sensitive-types-export create``
    * ``oci data-safe sensitive-types-export delete``
    * ``oci data-safe sensitive-types-export download``
    * ``oci data-safe sensitive-types-export get``
    * ``oci data-safe sensitive-types-export update``
    * ``oci data-safe sensitive-types-export-collection list-sensitive-types-exports``

  * Support for ListPasswordExpiryDateAnalytics

    * ``oci data-safe user-assessment list-password-expiry-date-analytics``

* MySQL Database Service

  * Support for new optional DB system parameters (database mode, access mode, read endpoint) in the Heatwave sevice

    * ``oci mysql db-system create --database-mode --access-mode --read-endpoint``
    * ``oci mysql db-system update --database-mode --access-mode --read-endpoint``
    * ``oci mysql db-system clone --database-mode --access-mode --read-endpoint``
    * ``oci mysql db-system import --database-mode --access-mode --read-endpoint``

* Security Enhancement: Improved security for API key management by showing warning to encourage addition of label on Private-Key.

Changed
~~~~~~~
* Data Safe service

  * Modified User Assessment List users / userAnalytics

    * ``oci data-safe user-assessment list-user-analytics``
    * ``oci data-safe user-assessment list-users``

3.51.5 - 2025-01-28
--------------------
Added
~~~~~
* Ops Insights Service

  * Support to add tag filters for news reports

    * ``oci opsi news-reports create --match-rule, --tag-filters``

  * Support to update more parameters for news reports

    * ``oci opsi news-reports update --match-rule, --tag-filters``

  * Support for MySQL Heatwave database systems

    * ``oci opsi database-insights change-external-mysql``
    * ``oci opsi database-insights create-external-mysql-database-insight``
    * ``oci opsi database-insights enable-external-mysql-database-insight``
    * ``oci opsi database-insights update-external-mysql-database-insight``

* Database Management Service

  * Support for external MySQL database management

    * ``oci database-management external-my-sql-database create``
    * ``oci database-management external-my-sql-database delete``
    * ``oci database-management external-my-sql-database disable-external-my-sql-database-management``
    * ``oci database-management external-my-sql-database enable-external-my-sql-database-management``
    * ``oci database-management external-my-sql-database get-external-my-sql-database-connector``
    * ``oci database-management external-my-sql-database get``
    * ``oci database-management external-my-sql-database update-external-mysql-database``
    * ``oci database-management external-my-sql-database-collection list-external-my-sql-databases``
    * ``oci database-management external-my-sql-database-connector check-external-my-sql-database-connector-connection-status``
    * ``oci database-management external-my-sql-database-connector create``
    * ``oci database-management external-my-sql-database-connector delete``
    * ``oci database-management external-my-sql-database-connector update-external-mysql-database-connector``
    * ``oci database-management my-sql-connector-collection list-my-sql-database-connectors``

  * Support for fetching HA metric for managed databases in Database Management

    * ``oci database-management database-fleet-ha-overview-metrics get``
    * ``oci database-management database-fleet-dataguard-metrics get``
    * ``oci database-management database-fleet-backup-metrics get``
    * ``oci database-management managed-database database-ha-backup-details get --managed-database-id``

Changed
~~~~~~~
* Database Management Service

  * Optional parameter filter-by-my-sql-database-type-param added in the list-managed-my-sql-databases and  my-sql-fleet-metrics commands

    * ``oci database-management managed-my-sql-databases managed-my-sql-database-collection list-managed-my-sql-databases``
    * ``oci database-management managed-my-sql-databases my-sql-fleet-metrics get``

* Organizations Service

  * Support for optional parameter subscriptionId to the existing createChildTenancy API

    * ``oci organizations child-tenancy create --subscription-id``

3.51.4 - 2025-01-21
--------------------
Added
~~~~~
* Network Load Balancer Service

  * Support for Active/Standby Purist Mode

  * Support for Configurable TCP Reset

    * ``oci nlb backend-set create --is-instant-failover-tcp-reset-enabled, --are-operationally-active-backends-preferred``
    * ``oci nlb backend-set update --is-instant-failover-tcp-reset-enabled, --are-operationally-active-backends-preferred``

* Database Service

  * Support for Data Guard Transaction Processing

    * ``oci db database create-standby-database``
    * ``oci db database update-data-guard``
    * ``oci db database switch-over-data-guard``
    * ``oci db database failover-data-guard``
    * ``oci db database reinstate-data-guard``

  * Support for permanently disconnecting a peer Autonomous Database from its Primary

    * ``oci db autonomous-database update --is-disconnect-peer``

  * Support for External HSM for TDE key management in ExaDB-C@C and ExaDB-D

    * ``oci db database change-to-external-hsm-key-location --database-id --hsm-password``
    * ``oci db database create --hsm-password``
    * ``oci db data-guard-association create from-existing-vm-cluster --hsm-password``

* Support for Bring Your Own ASN (BYOASN) in Core Service

  * ``oci network byoasn``

3.51.2 - 2025-01-14
--------------------
Added
~~~~~
* Open Search Service

  * Support for a new command for an opensearch cluster

    * ``oci opensearch cluster configureoutboundcluster``

  * Support for Cross Cluster Search(CCS) functionality for an opensearch cluster

    * ``oci opensearch cluster create --backup-policy --inbound-cluster-ids  --maintenance-details --outbound-cluster-config --reverse-connection-endpoint-customer-ips --security-saml-config``
    * ``oci opensearch cluster update --backup-policy --maintenance-details --outbound-cluster-config --reverse-connection-endpoint-customer-ips --security-saml-config``

* Support for new optional parameter in update autonomous database patch level post provisioning in Database Service

  * ``oci db autonomous-database update --autonomous-maintenance-schedule-type``

* Support for new optional parameter ``route-table-id`` in Network Service

   * ``oci network vnic assign-private-ip --route-table-id``
   * ``oci network private-ip update --route-table-id``
   * ``oci network vnic assign-ipv6 --route-table-id``
   * ``oci network ipv6 create --route-table-id``
   * ``oci network ipv6 update --route-table-id``
   * ``oci network vnic update --route-table-id``

3.51.1 - 2024-12-20
--------------------
Fixed
~~~~~
* `Github Issue #728 <https://github.com/oracle/oci-python-sdk/issues/728>`_ for RPv1.1

3.51.0 - 2024-12-17
--------------------
Added
~~~~~
* Cloud Bridge Service

  * Support of creating/updating Amazon Web Services asset-sources

    * ``oci cloud-bridge discovery asset-source create``
    * ``oci cloud-bridge discovery asset-source update``

  * Support of creating/updating Amazon Web Services EC2 and EBS assets

    * ``oci cloud-bridge inventory asset create``
    * ``oci cloud-bridge inventory asset update``

  * Support of listing the Amazon Web Services regions which are available for Discovery and Migration

    * ``oci cloud-bridge discovery supported-cloud-regions list``

* AI Vision service

  * Support of Stored Video Analysis

    * ``oci ai-vision video-job cancel``
    * ``oci ai-vision video-job create``
    * ``oci ai-vision video-job get``

* Stack Monitoring service

  * Support for HTTP type of Metric Extensions

    * ``oci stack-monitoring metric-extension create-http-metric-ext``
    * ``oci stack-monitoring metric-extension update-http-metric-ext``

  * Support for new optional parameter in List Metric Extensions

    * ``oci stack-monitoring metric-extension list --metric-ext-id``

* Big Data Service

  * Support for OCI identity domain integration

    * ``oci bds identity-configuration``

  * Support for Historical Cluster Versions and Natgateway update

    * ``oci bds instance create --bds-cluster-version-summary``
    * ``oci bds instance update``
    * ``oci bds instance install-patch-domain-based-odh-patching-config``
    * ``oci bds instance install-patch-batching-based-odh-patching-config``

  * Support for Start API with heterogenous shape supports

    * ``oci bds instance start``

* Generative AI Agent service

  * Support multi modality flag in Data source resource

    * ``oci generative-ai-agent data-source update-object-storage-ds --data-source-config-object-storage-prefixes, --data-source-config-should-enable-multi-modality``
    * ``oci generative-ai-agent data-source create-object-storage-ds --data-source-config-object-storage-prefixes, --data-source-config-should-enable-multi-modality``

* Support for create and update autonomous database with backup retention lock in the Database Service

  * ``oci db autonomous-database create --is-backup-retention-locked``
  * ``oci db autonomous-database update --is-backup-retention-locked``

* Support for ZeroETL pipelines in the GoldenGate service

  * ``oci goldengate pipeline``
  * ``oci goldengate pipeline-recipe-collection``

Changed
~~~~~~~
* [BREAKING] session chat command is changed to agent-endpoint chat in Generative AI Agent Client service

  * ``oci generative-ai-agent-runtime agent-endpoint chat``

* data-source-config-object-storage-prefixes is now an optional parameter for below command in the Generative AI Agent service

  * ``oci generative-ai-agent data-source update-object-storage-ds``
  * ``oci generative-ai-agent data-source create-object-storage-ds``

Fixed
~~~~~
*  Bug in below command in the Source Control Management Service

  * ``oci devops protected-branch create-or-update``

3.50.3 - 2024-12-10
--------------------
Added
~~~~~

* Database Service

  * Support for BYOK(bring your own key)

    * ``oci db autonomous-container-database rotate-key --key-version-id``
    * ``oci db autonomous-database rotate-key --key-version-id``

* Disaster Recovery Service

  * Support for Refreshing DrPlans

    * ``oci disaster-recovery dr-plan refresh``
    * ``oci disaster-recovery dr-plan refresh-dr-plan-refresh-dr-plan-default-details``
    * ``oci disaster-recovery dr-plan verify``
    * ``oci disaster-recovery dr-plan verify-dr-plan-verify-dr-plan-default-details``

* Visual Builder Service

  * Add support for Private Access to a VB instance

    * ``oci visual-builder vb-instance create-vb-instance-private-endpoint-details --compartment-id | -c, --display-name, --network-endpoint-details-subnet-id, --node-count, --alternate-custom-endpoints, --consumption-model, --custom-endpoint, --defined-tags, --freeform-tags, -? | -h | --help, --idcs-open-id, --is-visual-builder-enabled, --network-endpoint-details-network-security-group-ids, --network-endpoint-details-private-endpoint-ip``
    * ``oci visual-builder vb-instance reconfigure-private-endpoint --vb-instance-id, -? | -h | --help``
    * ``oci visual-builder vb-instance update-vb-instance-update-private-endpoint-details --vb-instance-id, --alternate-custom-endpoints, --custom-endpoint, --defined-tags, --display-name, --force, --freeform-tags, -? | -h | --help, --idcs-open-id, --is-visual-builder-enabled, --network-endpoint-details-network-security-group-ids, --network-endpoint-details-subnet-id, --node-count``

* Fleet Software Update Service

  * Support for Exadata Fleet Update DB and GI Rollback Maintenance Cycle Feature

    * ``oci fleet-software-update fsu-action create-fsu-action-create-rollback-cycle-apply-action-details``

* AI Language Service

  * Support for new optional parameter alias

    * ``oci ai language batch-detect-entities --alias``
    * ``oci ai language batch-detect-health-entities --alias``
    * ``oci ai language batch-detect-key-phrases --alias``
    * ``oci ai language batch-detect-language --alias``
    * ``oci ai language batch-detect-pii-entities --alias``
    * ``oci ai language batch-detect-sentiments --alias``
    * ``oci ai language batch-detect-text-classification --alias``
    * ``oci ai language batch-language-translation --alias, --endpoint-id, --no-translate``
    * ``oci ai language endpoint create --alias, --compute-type``
    * ``oci ai language endpoint update --alias``

* Data Flow Service

  * Support for cascading deletion of Applications and Runs

    * ``oci data-flow application cascading-delete --application-id``

3.50.2 - 2024-11-19
--------------------
Added
~~~~~
* Database Service

  * Command to list Oracle Grid Infrastructure minor versions for the given major version. If --is-gi-version-for-provisioning argument is provided, then the command lists the versions that can be used for provisioning a cluster.

     * ``oci db database gi-minor-version-summary list``

  * Support to create and list exascale db vault

    * ``oci db exascale-db-storage-vault create --exadata-infrastructure-id``
    * ``oci db exascale-db-storage-vault list --exadata-infrastructure-id``

  * Support to create vm cluster with db vault

    * ``oci db vm-cluster create --exascale-db-storage-vault-id``

  * Support to configure exascale

    * ``oci db exadata-infrastructure configure-exascale --exadata-infrastructure-id, --total-storage-in-gbs``

  * Support for new optional parameter for Unified Auditing in the Database service

    * ``oci db system launch --is-unified-auditing-enabled``
    * ``oci db system launch-from-backup --is-unified-auditing-enabled``

* Oracle Database PostgreSQL service

   * Support Single Read Only (RO) endpoint for the Read Replica

    * ``oci psql db-system create``

* Customer Incident Management Service

  * Introduced UserGroupId for creating Tech SR

     * ``oci support incident create --user-group-id``

* Object Storage Service

  * Support for additional checksum parameters in the Object Storage service.
    * opc-checksum-algorithm`` - Specifies the checksum algorithm to be used (options: SHA256, SHA384, CRC32C).
    * opc-content-sha256`` - Specifies the SHA256 checksum value.
    * opc-content-sha384`` - Specifies the SHA384 checksum value.
    * opc-content-crc32c`` - Specifies the CRC32C checksum value.

    * ``oci os object put``

* Support for python 3.12

3.50.1 - 2024-11-12
--------------------
Added
~~~~~
* Generative AI Service Management

  * Support for the new DAC unit shape of Large Generic V2, Llama 3.2 11b model and Llama 3.2 90b model

    * ``oci generative-ai dedicated-ai-cluster create --unit-shape``

* Generative AI Service Inference

  * Support for the response format in Cohere CommandR CommandR Plus v1.6 models

    * ``oci generative-ai-inference chat-result chat-cohere-chat-request --chat-request-response-format``

* GoldenGate Service

  * Support new operations for connection entity

    * ``oci goldengate connection refresh``

  * Support for new optional parameters in below commands

    * ``oci goldengate deployment export-wallet --secret-compartment-id``
    * ``oci goldengate deployment import-wallet --wallet-backup-secret-compartment-id``
    * ``oci goldengate deployment-backup create --is-metadata-only``
    * ``oci goldengate connection create-amazon-kinesis-connection --secret-access-key, --does-use-secret-ids, --secret-access-key-secret-id``
    * ``oci goldengate connection create-amazon-redshift-connection --password, --does-use-secret-ids, --password-secret-id``
    * ``oci goldengate connection create-amazon-s3-connection --secret-access-key, --does-use-secret-ids, --secret-access-key-secret-id``
    * ``oci goldengate connection create-azure-data-lake-storage-connection --account-key-secret-id, --client-secret-secret-id, --does-use-secret-ids, --sas-token-secret-id``
    * ``oci goldengate connection create-azure-synapse-connection --password, --does-use-secret-ids, --password-secret-id``
    * ``oci goldengate connection create-db2-connection --password, --does-use-secret-ids, --password-secret-id, --ssl-client-keystash-secret-id, --ssl-client-keystoredb-secret-id``
    * ``oci goldengate connection create-elasticsearch-connection --does-use-secret-ids, --password-secret-id``
    * ``oci goldengate connection create-generic-connection --does-use-secret-ids``
    * ``oci goldengate connection create-goldengate-connection --does-use-secret-ids, --password-secret-id``
    * ``oci goldengate connection create-google-big-query-connection --service-account-key-file, --does-use-secret-ids, --service-account-key-file-secret-id``
    * ``oci goldengate connection create-google-cloud-storage-connection --service-account-key-file, --does-use-secret-ids, --service-account-key-file-secret-id``
    * ``oci goldengate connection create-hdfs-connection --does-use-secret-ids``
    * ``oci goldengate connection create-jms-connection --does-use-secret-ids, --jndi-security-credentials-secret-id, --key-store-password-secret-id, --key-store-secret-id, --password-secret-id, --ssl-key-password-secret-id, --trust-store-password-secret-id, --trust-store-secret-id``
    * ``oci goldengate connection create-kafka-connection --does-use-secret-ids, --key-store-password-secret-id, --key-store-secret-id, --password-secret-id, --ssl-key-password-secret-id, --trust-store-password-secret-id, --trust-store-secret-id``
    * ``oci goldengate connection create-kafka-schema-registry-connection --does-use-secret-ids, --key-store-password-secret-id, --key-store-secret-id, --password-secret-id, --ssl-key-password-secret-id, --trust-store-password-secret-id, --trust-store-secret-id``
    * ``oci goldengate connection create-microsoft-sqlserver-connection --password, --does-use-secret-ids, --password-secret-id``
    * ``oci goldengate connection create-mongo-db-connection --does-use-secret-ids, --password-secret-id``
    * ``oci goldengate connection create-mysql-connection --password, --does-use-secret-ids, --password-secret-id, --ssl-key-secret-id``
    * ``oci goldengate connection create-object-storage-connection --private-key-file, --does-use-secret-ids, --private-key-file-secret-id, --private-key-passphrase-secret-id``
    * ``oci goldengate connection create-oracle-connection --password, --does-use-secret-ids, --password-secret-id, --wallet-secret-id``
    * ``oci goldengate connection create-oracle-nosql-connection --private-key-file, --does-use-secret-ids, --private-key-file-secret-id, --private-key-passphrase-secret-id``
    * ``oci goldengate connection create-postgresql-connection --password, --does-use-secret-ids, --password-secret-id, --ssl-key-secret-id``
    * ``oci goldengate connection create-redis-connection --does-use-secret-ids, --key-store-password-secret-id, --key-store-secret-id, --password-secret-id, --trust-store-password-secret-id, --trust-store-secret-id``
    * ``oci goldengate connection create-snowflake-connection --does-use-secret-ids, --password-secret-id, --private-key-file-secret-id, --private-key-passphrase-secret-id``
    * ``oci goldengate connection update-amazon-kinesis-connection --does-use-secret-ids, --secret-access-key-secret-id``
    * ``oci goldengate connection update-amazon-redshift-connection --does-use-secret-ids, --password-secret-id``
    * ``oci goldengate connection update-amazon-s3-connection --does-use-secret-ids, --secret-access-key-secret-id``
    * ``oci goldengate connection update-azure-data-lake-storage-connection --account-key-secret-id, --client-secret-secret-id, --does-use-secret-ids, --sas-token-secret-id``
    * ``oci goldengate connection update-azure-synapse-connection --does-use-secret-ids, --password-secret-id``
    * ``oci goldengate connection update-db2-connection --does-use-secret-ids, --password-secret-id, --ssl-client-keystash-secret-id, --ssl-client-keystoredb-secret-id``
    * ``oci goldengate connection update-elasticsearch-connection --does-use-secret-ids, --password-secret-id``
    * ``oci goldengate connection update-generic-connection --does-use-secret-ids``
    * ``oci goldengate connection update-goldengate-connection --does-use-secret-ids, --password-secret-id``
    * ``oci goldengate connection update-google-big-query-connection --does-use-secret-ids, --service-account-key-file-secret-id``
    * ``oci goldengate connection update-google-cloud-storage-connection --does-use-secret-ids, --service-account-key-file-secret-id``
    * ``oci goldengate connection update-hdfs-connection --does-use-secret-ids``
    * ``oci goldengate connection update-jms-connection --does-use-secret-ids, --jndi-security-credentials-secret-id, --key-store-password-secret-id, --key-store-secret-id, --password-secret-id, --ssl-key-password-secret-id, --trust-store-password-secret-id, --trust-store-secret-id``
    * ``oci goldengate connection update-kafka-connection --does-use-secret-ids, --key-store-password-secret-id, --key-store-secret-id, --password-secret-id, --ssl-key-password-secret-id, --trust-store-password-secret-id, --trust-store-secret-id``
    * ``oci goldengate connection update-kafka-schema-registry-connection --does-use-secret-ids, --key-store-password-secret-id, --key-store-secret-id, --password-secret-id, --ssl-key-password-secret-id, --trust-store-password-secret-id, --trust-store-secret-id``
    * ``oci goldengate connection update-microsoft-sqlserver-connection --does-use-secret-ids, --password-secret-id``
    * ``oci goldengate connection update-mongo-db-connection --does-use-secret-ids, --password-secret-id``
    * ``oci goldengate connection update-mysql-connection --does-use-secret-ids, --password-secret-id, --ssl-key-secret-id``
    * ``oci goldengate connection update-object-storage-connection --does-use-secret-ids, --private-key-file-secret-id, --private-key-passphrase-secret-id``
    * ``oci goldengate connection update-oracle-connection --does-use-secret-ids, --password-secret-id, --wallet-secret-id``
    * ``oci goldengate connection update-oracle-nosql-connection --does-use-secret-ids, --private-key-file-secret-id, --private-key-passphrase-secret-id``
    * ``oci goldengate connection update-postgresql-connection --does-use-secret-ids, --password-secret-id, --ssl-key-secret-id``
    * ``oci goldengate connection update-redis-connection --does-use-secret-ids, --key-store-password-secret-id, --key-store-secret-id, --password-secret-id, --trust-store-password-secret-id, --trust-store-secret-id``
    * ``oci goldengate connection update-snowflake-connection --does-use-secret-ids, --password-secret-id, --private-key-file-secret-id, --private-key-passphrase-secret-id``

3.50.0 - 2024-11-05
--------------------
Changed
~~~~~~~
* [BREAKING] Cloud Incident Management Service

  * Optional parameter --compartment-id is now a required parameter for the below commands

    * ``oci support incident get``
    * ``oci support incident update``

Added
~~~~~
* Support for calling Oracle Cloud Infrastructure services in the ap-seoul-2 region

* Support for calling Oracle Cloud Infrastructure services in the ap-suwon-1 region

* Support for calling Oracle Cloud Infrastructure services in the ap-chuncheon-2 region

* Identity Domains Service

  * Support for MFA Enablement v2 to prevent customers from opting out of MFA Policy in IDCS SSO Service.

    * ``oci identity-domains oci-console-sign-on-policy-consent list``
    * ``oci identity-domains oci-console-sign-on-policy-consent get``
    * ``oci identity-domains oci-console-sign-on-policy-consent search``
    * ``oci identity-domains restore-oci-console-policy create``

* Data Flow Service

  * Support to start/stop Dataflow SQL Endpoint

    * ``oci data-flow sql-endpoint start``
    * ``oci data-flow sql-endpoint stop``

  * Support to update min, max executor nodes and spark advanced configuration in Dataflow SQL Endpoint

    * ``oci data-flow sql-endpoint update``

Fixed
~~~~~
* Support for STANDARDX and ENTERPRISEX types of create and update instance subcommands in the Integration service

  * ``oci integration integration-instance create --type STANDARDX | ENTERPRISEX``
  * ``oci integration integration-instance update --type STANDARDX | ENTERPRISEX``

3.49.4 - 2024-10-29
--------------------
Added
~~~~~
* OKE Control Plane service

  * Support for overriding an existing addon installation

    * ``oci ce cluster install-addon --is-override-existing``

* Network load balancer service

  * Support for L3IP listener feature

    * ``oci nlb listener create --l3-ip-idle-timeout --protocol l3ip``
    * ``oci nlb listener update --l3-ip-idle-timeout --protocol l3ip``

Fixed
~~~~~
* OKE Control Plane service

  * Support for new Open Id Connect Authentication and Open Id Connect Discovery feature

    * ``oci ce cluster create --oidc-ca-certificate``
    * ``oci ce cluster create --oidc-client-id``
    * ``oci ce cluster create --oidc-groups-claim``
    * ``oci ce cluster create --oidc-groups-prefix``
    * ``oci ce cluster create --oidc-issuer-url``
    * ``oci ce cluster create --oidc-required-claims``
    * ``oci ce cluster create --oidc-signing-algorithms``
    * ``oci ce cluster create --oidc-username-claim``
    * ``oci ce cluster create --oidc-username-prefix``
    * ``oci ce cluster create --open-id-connect-auth-enabled``
    * ``oci ce cluster create --open-id-connect-discovery-enabled``

3.49.3 - 2024-10-22
--------------------
Added
~~~~~
* Support for add and remove lock operations added to the following File Storage resources: [export, file-system, filesystem-snapshot, mount-target, outbound-connector, replication]

  * ``oci fs export add --export-id <id> --lock [full|delete]``
  * ``oci fs file-system add --file-system-id <id> --lock [full|delete]``
  * ``oci fs filesystem-snapshot-policy add ----filesystem-snapshot-policy-id <id> --lock [full|delete]``
  * ``oci fs filesystem-snapshot-policy add ----filesystem-snapshot-policy-id <id> --lock [full|delete]``
  * ``oci fs mount-target add --mount-target-id <id> --lock [full|delete]``
  * ``oci fs outbound-connector add --outbound-connector-id <id> --lock [full|delete]``
  * ``oci fs replication add --replication-id <id> --lock [full|delete]``
  * ``oci fs export remove --export-id <id> --lock [full|delete]``
  * ``oci fs file-system remove --file-system-id <id> --lock [full|delete]``
  * ``oci fs filesystem-snapshot-policy remove ----filesystem-snapshot-policy-id <id> --lock [full|delete]``
  * ``oci fs filesystem-snapshot-policy remove ----filesystem-snapshot-policy-id <id> --lock [full|delete]``
  * ``oci fs mount-target remove --mount-target-id <id> --lock [full|delete]``
  * ``oci fs outbound-connector remove --outbound-connector-id <id> --lock [full|delete]``
  * ``oci fs replication remove --replication-id <id> --lock [full|delete]``

* Support for new optional parameters in the Database Service

  * ``oci db autonomous-database create --encryption-key``
  * ``oci db autonomous-database update --encryption-key``

* Support for returning generated token as part of response in Identity Domains Service

  * ``oci identity-domains``

* Support for model backup retention and restore in Data Science Service

  * ``oci data-science model create --backup-setting, --retention-setting``
  * ``oci data-science model update --backup-setting, --retention-setting``
  * ``oci data-science model restore-archived-model-artifact --model-id --restore-model-for-hours-specified``

* Support of Host Capacity Planning for Host IO metrics in Ops Insights Service

  * ``oci opsi host-insights summarize-io-usage-trend --compartment-id --id --analysis-time-interval``

* Cloud Bridge Service

  * Support of creating/updating Amazon Web Services asset-sources

    * ``oci cloud-bridge discovery asset-source create --are-historical-metrics-collected --are-realtime-metrics-collected --is-cost-information-collected --aws-region``
    * ``oci cloud-bridge discovery asset-source update --is-cost-information-collected``

  * Support of creating/updating Amazon Web Services EC2 and EBS assets

    * ``oci cloud-bridge inventory asset create --aws-ec2 --aws-ec2-cost --attached-ebs-volumes-cost``
    * ``oci cloud-bridge inventory asset update --aws-ec2 --aws-ec2-cost --attached-ebs-volumes-cost``
    * ``oci cloud-bridge inventory asset create --aws-ebs``
    * ``oci cloud-bridge inventory asset update --aws-ebs``

  * Support of listing the Amazon Web Services regions which are available for Discovery and Migration

    * ``oci cloud-bridge discovery supported-cloud-regions list``

* Fleet Application Management Service

  * Support for managing onboarding

    * ``oci fleet-apps-management fleet-apps-management-admin onboarding get``
    * ``oci fleet-apps-management fleet-apps-management-admin onboarding enable-latest-policy``
    * ``oci fleet-apps-management fleet-apps-management-admin onboarding manage-settings``
    * ``oci fleet-apps-management fleet-apps-management-admin onboarding update``
    * ``oci fleet-apps-management fleet-apps-management-admin onboarding delete``

  * Support for managing a runbook

    * ``oci fleet-apps-management fleet-apps-management-runbooks runbook create``
    * ``oci fleet-apps-management fleet-apps-management-runbooks runbook publish``
    * ``oci fleet-apps-management fleet-apps-management-runbooks runbook set-default``
    * ``oci fleet-apps-management fleet-apps-management-runbooks runbook update``
    * ``oci fleet-apps-management fleet-apps-management-runbooks runbook delete``
    * ``oci fleet-apps-management fleet-apps-management-runbooks task-record create``
    * ``oci fleet-apps-management fleet-apps-management-runbooks task-record update``
    * ``oci fleet-apps-management fleet-apps-management-runbooks task-record delete``

  * Support for detailed job activity and managing a scheduled job

    * ``oci fleet-apps-management fleet-apps-management-operations resource-collection list-resources``
    * ``oci fleet-apps-management fleet-apps-management-operations step-collection list-steps``
    * ``oci fleet-apps-management fleet-apps-management-operations scheduler-job manage-job-execution``
    * ``oci fleet-apps-management fleet-apps-management-operations scheduler-job manage-job-execution-action-group-based-user-action-details``
    * ``oci fleet-apps-management fleet-apps-management-operations scheduler-job manage-job-execution-step-based-user-action-details``
    * ``oci fleet-apps-management fleet-apps-management-operations managed-entity-aggregation-collection summarize-managed-entity-counts``

  * Support for new optional parameters

    * ``oci fleet-apps-management fleet-apps-management-operations scheduler-job-collection list-scheduler-jobs --sub-state``
    * ``oci fleet-apps-management fleet-apps-management-operations scheduler-definition-collection list-scheduler-definitions --runbook-id``
    * ``oci fleet-apps-management fleet-apps-management-maintenance-window maintenance-window-collection list-maintenance-windows --time-schedule-start-greater-than-or-equal-to``
    * ``oci fleet-apps-management fleet-credential-collection list-fleet-credentials --target``

3.49.2 - 2024-10-15
--------------------
Added
~~~~~
* Container Engine For Kubernetes

  * Support for new Open Id Connect Discovery feature in the OKE Control Plane service

    * ``oci ce cluster create --open-id-connect-discovery-enabled``

  * Support for new Open Id Connect Authentication commands in the OKE Control Plane service

    * ``oci ce cluster create --oidc-ca-certificate``
    * ``oci ce cluster create --oidc-client-id``
    * ``oci ce cluster create --oidc-groups-claim``
    * ``oci ce cluster create --oidc-groups-prefix``
    * ``oci ce cluster create --oidc-issuer-url``
    * ``oci ce cluster create --oidc-required-claims``
    * ``oci ce cluster create --oidc-signing-algorithms``
    * ``oci ce cluster create --oidc-username-claim``
    * ``oci ce cluster create --oidc-username-prefix``
    * ``oci ce cluster create --open-id-connect-auth-enabled``

* DNS Service

  * Support for new DNS security extensions (DNSSEC) parameters in the DNS service.

    * ``oci dns zone create --dnssec-state``
    * ``oci dns zone update --dnssec-state``
    * ``oci dns zone list --dnssec-state``

  * Support for new DNS security extensions (DNSSEC) commands in the DNS service.

    * ``oci dns zone promote-zone-dnssec-key-version``
    * ``oci dns zone stage-zone-dnssec-key-version``

* BlockStorage service

  * Support for new xrc-kms-key-id parameter in Core Service

    * ``oci bv boot-volume create --xrc-kms-key-id``
    * ``oci bv boot-volume create-boot-volume-boot-volume-source-from-boot-volume-replica-details --xrc-kms-key-id``
    * ``oci bv volume create --xrc-kms-key-id``
    * ``oci bv volume create-volume-volume-source-from-block-volume-replica-details --xrc-kms-key-id``
    * ``oci bv volume-backup-policy-assignment create --xrc-kms-key-id``
    * ``oci bv volume-group creat --xrc-kms-key-id``

  * Support for Direct API feature in BlockStorage service

    * ``oci bv volume create-volume-source-from-volume-backup-delta``
    * ``oci bv boot-volume create-boot-volume-source-from-boot-volume-backup-delta``

* Goldengate Service

  * Add support for list deployment environments

    * ``oci goldengate deployment-environment list``

  * Support for defining environment type for deployments in GoldenGate service

    * ``oci goldengate deployment create --environment-type``
    * ``oci goldengate deployment update --environment-type``

3.49.1 - 2024-10-10
--------------------
Added
~~~~~
* Ops Insights service

  * Support for IAM credentials for ADBs

    * ``oci opsi database-insights change-autonomous-database-insight-advanced-features-credential-by-iam``
    * ``oci opsi database-insights change-macs-managed-cloud-database-insight-connection-credential-by-iam``
    * ``oci opsi database-insights enable-autonomous-database-insight-advanced-features-credential-by-iam``
    * ``oci opsi database-insights test-macs-managed-cloud-database-insight-connection-credential-by-iam``

  * Support for public facing enable/disable APIs for ADBs

    * ``oci opsi database-insights enable-autonomous-database``
    * ``oci opsi database-insights create-autonomous-database``

* Support for Maintenance Windows in Stack Monitoring Service

  * ``oci stack-monitoring maintenance-window``

Changed
~~~~~~~
* The password parameter is now optional for below command in the Fusion Application Service

  * ``oci fusion-apps fusion-environment create-fusion-environment-admin-user``

3.49.0 - 2024-10-08
--------------------
Added
~~~~~
* Support for cloud automation tooling update window preference on ExaCC and ExaCS VM Clusters in the Database Service.

  * ``oci db cloud-vm-cluster create``
  * ``oci db cloud-vm-cluster update``
  * ``oci db vm-cluster create``
  * ``oci db vm-cluster update``

* Support for proxy-protocol v2 on oci load balancers in Load Balancing Service

  * ``oci lb load-balancer create``

* Secure Desktops Service

  * Support to create desktop pools with private access to the desktops

    * ``oci desktops desktop-pool create --private-access-details``

  * Support for Shape Flexibility

    * ``oci desktops desktop-pool create --shape-config``

  * Support for using Dedicated VM Host

    * ``oci desktops desktop-pool create --use-dedicated-vm-host``

  * Support for extended control over the desktop lifecycle

     * ``oci desktops desktop-pool create --session-lifecycle-actions``

Changed
~~~~~~~
* [BREAKING] Kubernetes Engine Service

  * Command ``oci ce workload-mapping-summary list-workload-mappings`` has changed to ``oci ce workload-mapping list`` in the Kubernetes Engine Service

    * ``oci ce workload-mapping list``

  * The OKE service is renamed from "OCI Container Engine for Kubernetes" to "OCI Kubernetes Engine."

* Upgraded the cryptography version to (>=3.2.1,<46.0.0)

Fixed
~~~~~
* Github Issue #849(https://github.com/oracle/oci-cli/issues/849) for incorrect endpoint in Zero Trust Packet Routing Service is fixed now

  * ``oci zpr configuration create``
  * ``oci zpr configuration get``
  * ``oci zpr work-request get-zpr-configuration``
  * ``oci zpr work-request get-zpr-policy``
  * ``oci zpr work-request list-zpr-configuration``
  * ``oci zpr work-request list-zpr-configuration-errors``
  * ``oci zpr work-request list-zpr-configuration-logs``
  * ``oci zpr work-request list-zpr-policy``
  * ``oci zpr work-request list-zpr-policy-errors``
  * ``oci zpr work-request list-zpr-policy-logs``
  * ``oci zpr zpr-policy create``
  * ``oci zpr zpr-policy delete``
  * ``oci zpr zpr-policy get``
  * ``oci zpr zpr-policy list``
  * ``oci zpr zpr-policy update``

3.48.2 - 2024-10-01
--------------------
Added
~~~~~
* Support for Security Attribute Service

  * ``oci security-attribute security-attribute bulk-delete``
  * ``oci security-attribute security-attribute bulk-edit``
  * ``oci security-attribute security-attribute create``
  * ``oci security-attribute security-attribute delete``
  * ``oci security-attribute security-attribute get``
  * ``oci security-attribute security-attribute list``
  * ``oci security-attribute security-attribute update``
  * ``oci security-attribute security-attribute-namespace cascade-delete``
  * ``oci security-attribute security-attribute-namespace change-compartment``
  * ``oci security-attribute security-attribute-namespace create``
  * ``oci security-attribute security-attribute-namespace delete``
  * ``oci security-attribute security-attribute-namespace get``
  * ``oci security-attribute security-attribute-namespace list``
  * ``oci security-attribute security-attribute-namespace update``
  * ``oci security-attribute work-request get``
  * ``oci security-attribute work-request list``
  * ``oci security-attribute work-request list-errors``
  * ``oci security-attribute work-request list-logs``

* Support for Zero Trust Packet Routing Service

  * ``oci zpr configuration create``
  * ``oci zpr configuration get``
  * ``oci zpr work-request get-zpr-configuration``
  * ``oci zpr work-request get-zpr-policy``
  * ``oci zpr work-request list-zpr-configuration``
  * ``oci zpr work-request list-zpr-configuration-errors``
  * ``oci zpr work-request list-zpr-configuration-logs``
  * ``oci zpr work-request list-zpr-policy``
  * ``oci zpr work-request list-zpr-policy-errors``
  * ``oci zpr work-request list-zpr-policy-logs``
  * ``oci zpr zpr-policy create``
  * ``oci zpr zpr-policy delete``
  * ``oci zpr zpr-policy get``
  * ``oci zpr zpr-policy list``
  * ``oci zpr zpr-policy update``

* Support for securityAttributes feature for Network Load Balancer Service

  * ``oci nlb network-load-balancer create --security-attributes``
  * ``oci nlb network-load-balancer update --security-attributes``

* Support for OIC Gen3 Disaster Recovery for OIC Gen3 Disaster Recovery Service

  * ``oci integration integration-instance create --is-disaster-recovery-enabled``
  * ``oci integration integration-instance disaster-recovery-failover --integration-instance-id, -? | -h | --help``

* Support for Zero-Trust Packet Routing v1 securityAttributes for Core Service

  * ``oci network vcn update --security-attributes``
  * ``oci network vcn create --security-attributes``
  * ``oci network vnic update --security-attributes``

* Support for Zero-Trust Packet Routing v1 securityAttributes for Database Service

  * ``oci db autonomous-database create``
  * ``oci db autonomous-database create-adb-cross-region-data-guard-details``
  * ``oci db autonomous-database create-autonomous-database-create-cross-region-disaster-recovery-details``
  * ``oci db autonomous-database create-cross-tenancy-disaster-recovery-details``
  * ``oci db autonomous-database create-from-backup-id``
  * ``oci db autonomous-database create-from-backup-timestamp``
  * ``oci db autonomous-database create-from-clone``
  * ``oci db autonomous-database create-refreshable-clone``
  * ``oci db autonomous-database update``
  * ``oci db cloud-autonomous-vm-cluster create``
  * ``oci db cloud-autonomous-vm-cluster update``
  * ``oci db cloud-vm-cluster create``
  * ``oci db cloud-vm-cluster update``
  * ``oci db exadb-vm-cluster create``
  * ``oci db exadb-vm-cluster update``
  * ``oci db system launch``
  * ``oci db system launch-from-backup``
  * ``oci db system launch-from-database``
  * ``oci db system launch-from-db-system``
  * ``oci db system update``

* Support to read ssh-key from a file located on the local filesystem for database-migration create-oracle-connection command in the Database Migration Service

  * ``oci database-migration connection create-oracle-connection --sshkey-file``

3.48.1 - 2024-09-24
--------------------
Added
~~~~~
* Generative AI Agent service

  * Generative AI Agent Service Public Release in OCI CLI

    * ``oci generative-ai-agent agent change-compartment``
    * ``oci generative-ai-agent agent create``
    * ``oci generative-ai-agent agent delete``
    * ``oci generative-ai-agent agent get``
    * ``oci generative-ai-agent agent list``
    * ``oci generative-ai-agent agent update``
    * ``oci generative-ai-agent agent-endpoint change-compartment``
    * ``oci generative-ai-agent agent-endpoint create``
    * ``oci generative-ai-agent agent-endpoint delete``
    * ``oci generative-ai-agent agent-endpoint get``
    * ``oci generative-ai-agent agent-endpoint list``
    * ``oci generative-ai-agent agent-endpoint update``
    * ``oci generative-ai-agent data-ingestion-job create``
    * ``oci generative-ai-agent data-ingestion-job delete``
    * ``oci generative-ai-agent data-ingestion-job get``
    * ``oci generative-ai-agent data-ingestion-job get-data-ingestion-job-log-content``
    * ``oci generative-ai-agent data-ingestion-job list``
    * ``oci generative-ai-agent data-source create``
    * ``oci generative-ai-agent data-source create-data-source-oci-object-storage-data-source-config``
    * ``oci generative-ai-agent data-source delete``
    * ``oci generative-ai-agent data-source get``
    * ``oci generative-ai-agent data-source list``
    * ``oci generative-ai-agent data-source update``
    * ``oci generative-ai-agent data-source update-data-source-oci-object-storage-data-source-config``
    * ``oci generative-ai-agent knowledge-base change-compartment``
    * ``oci generative-ai-agent knowledge-base create``
    * ``oci generative-ai-agent knowledge-base create-knowledge-base-default-index-config``
    * ``oci generative-ai-agent knowledge-base create-knowledge-base-oci-database-config``
    * ``oci generative-ai-agent knowledge-base create-knowledge-base-oci-open-search-index-config``
    * ``oci generative-ai-agent knowledge-base delete``
    * ``oci generative-ai-agent knowledge-base get``
    * ``oci generative-ai-agent knowledge-base list``
    * ``oci generative-ai-agent knowledge-base update``
    * ``oci generative-ai-agent knowledge-base update-knowledge-base-default-index-config``
    * ``oci generative-ai-agent knowledge-base update-knowledge-base-oci-database-config``
    * ``oci generative-ai-agent knowledge-base update-knowledge-base-oci-open-search-index-config``
    * ``oci generative-ai-agent work-request cancel``
    * ``oci generative-ai-agent work-request get``
    * ``oci generative-ai-agent work-request list``
    * ``oci generative-ai-agent work-request-error list``
    * ``oci generative-ai-agent work-request-log-entry list-work-request-logs``

* Generative AI Agent Client service

  * Generative AI Agent Client Service Public Release in OCI CLI

    * ``oci generative-ai-agent-runtime session chat``
    * ``oci generative-ai-agent-runtime session create``
    * ``oci generative-ai-agent-runtime session delete``
    * ``oci generative-ai-agent-runtime session get``
    * ``oci generative-ai-agent-runtime session update``

* Monitoring service

  * Support for new optional parameters in the alarm-suppression and alarm-suppression-collection commands

    * ``oci monitoring alarm-suppression create --level --suppression-conditions``
    * ``oci monitoring alarm-suppression-collection list-alarm-suppressions --compartment-id --compartment-id-in-subtree --level --target-type --is-all-suppressions``

* Ops Insights service

  * Support for ExaCC via Management agent

    * ``oci opsi database-insights change-macs-managed-cloud-database-insight-connection-credential-by-vault``
    * ``oci opsi database-insights create-macs-managed-cloud-database-insight``
    * ``oci opsi database-insights enable-macs-managed-cloud-database-insight``
    * ``oci opsi database-insights test-macs-managed-cloud-database-insight-connection-credential-by-vault``
    * ``oci opsi database-insights update-macs-managed-cloud-database-insight``
    * ``oci opsi exadata-insights add-macs-managed-cloud-exadata-insight-members``
    * ``oci opsi exadata-insights create-macs-managed-cloud-exadata-insight``
    * ``oci opsi exadata-insights enable-macs-managed-cloud-exadata-insight``
    * ``oci opsi exadata-insights update-macs-managed-cloud-exadata-insight``
    * ``oci opsi host-insights update-macs-managed-database-host-insight``

* Fusion service

  * Support for optional parameter --is-data-masking-opted in create-refresh-activity

    * ``oci fusion-apps create-refresh-activity-details create-refresh-activity --is-data-masking-opted``

* Integration service

  * Support for OIC Gen3 configure custom endpoint

    * ``oci integration integration-instance --add-oracle-managed-custom-endpoint``
    * ``oci integration integration-instance remove``

* Database service

  * Support for assigning key versions for the database and pluggable database

    * ``oci db database set-oci-db-key-version --database-id --kms-key-version-id``
    * ``oci db pluggable-database set-oci-pdb-key-version --pluggable-database-id --kms-key-version-id``

  * Support for listing autonomous database with lifecyclestate

    * ``oci db autonomous-database list --lifecycle-state-not-equal-to``

  * Support for undelete autonomous database

    * ``oci db autonomous-database create-autonomous-database-undelete-autonomous-database-details``

* Analytics service

  * Support for opting for different update channel schedules, "regular" or "early"

    * ``oci analytics analytics-instance create --update-channel regular``
    * ``oci analytics analytics-instance update --update-channel early``

* Data Safe service

  * Support for appending and deleting allowed SQLs from SQL Firewall policy

    * ``oci data-safe sql-firewall-allowed-sql get--sql-firewall-allowed-sql-id``
    * ``oci data-safe sql-firewall-allowed-sql delete --sql-firewall-allowed-sql-id``
    * ``oci data-safe sql-firewall-allowed-sql bulk-create-sql-firewall-allowed-sqls-list-selection-mode--log-type``
    * ``oci data-safe sql-firewall-allowed-sql bulk-create --log-type --selection —sql-firewall-policy-id``
    * ``oci data-safe sql-firewall-allowed-sql bulk-create-sql-firewall-allowed-sqls-list-selection-mode --log-type, --selection-items, --sql-firewall-policy-id``
    * ``oci data-safe sql-firewall-allowed-sql bulk-create-sql-firewall-allowed-sqls-scim-query-selection-mode --log-type, --selection-scim-query, --sql-firewall-policy-id``

3.48.0 - 2024-09-17
--------------------
Added
~~~~~
* Support Dedicated AI Cluster Unit Shape LARGE_GENERIC_4 in the Generative AI Service Management

  * ``oci generative-ai dedicated-ai-cluster``

* Support for allowing the operator to provide a ticket number when creating access request in the Lockbox service

  * ``oci oma access-request create --ticket-number``

* Support for release 3.1 of Capacity Management Service

  * ``oci capacity-management occ-handover-resource-block-collection``
  * ``oci capacity-management occ-customer``
  * ``oci capacity-management occ-customer-group``

* Support for Text to Speech in Speech service

  * ``oci speech synthesize-speech``
  * ``oci speech voice list``

* Fleet Software Update service

  * Support to create DB and GI Collections major version 23.

    * ``oci fleet-software-update fsu-collection create-db --source-major-version DB_23``
    * ``oci fleet-software-update fsu-collection create-gi --source-major-version GI_23``

  * Support to create DB and GI Collections major version 23.

    * ``oci fleet-software-update fsu-cycle create-patch --goal-version-details { "version" : "23.4.0.0" }``

Changed
~~~~~~~
* Capacity Management Service

  * [BREAKING] Optional parameter ``--occ-customer-group-id`` has now been made required in the following commands

    * ``oci capacity-management occ-overview-collection list-internal-namespace-occ-overviews``
    * ``oci capacity-management occ-availability-catalog-collection list-internal``

3.47.0 - 2024-08-27
--------------------

Changed
~~~~~~~
* [BREAKING] Document Understanding Service

  * Support for the accepted value INSURANCE_CLAIM is removed and HEALTH_INSURANCE_ID is added in the documentType parameter

     * ``oci ai-document analyze-document-result analyze-document --document-type health_insurance_id``

   * The field tenancyId of a complex type parameter is removed in the following commands

     * ``oci ai-document analyze-document-result analyze-document``
     * ``oci ai-document analyze-document-result analyze-document-inline-document-details``
     * ``oci ai-document analyze-document-result analyze-document-object-storage-document-details``
     * ``oci ai-document processor-job create``
     * ``oci ai-document processor-job create-processor-job-general-processor-config``
     * ``oci ai-document processor-job create-processor-job-inline-document-content``
     * ``oci ai-document processor-job create-processor-job-object-storage-locations``

* Vault Key Management Service

  * Support for Cross-Region Replication for Virtual Vaults in Key Management Service

    * ``oci kms management vault get``

* Oracle Database Autonomous Recovery Service

  * Support for new optional parameter in ZRCV cloud service

    * ``oci recovery protected-database create --subscription-id``
    * ``oci recovery protection-policy create --must-enforce-cloud-locality``

* Oracle Cloud Vmware Solution Service

  * Support for VMware Major and Minor Version Upgrade in Oracle Cloud VMware Solution

    * ``oci ocvs sddc vmware-versions --version-to-upgrade ``

* Database Service

  * Support for provisioning Developer Autonomous Database.

    * ``oci db autonomous-database create --is-dev-tier <boolean>``

  * Support for specifying and upgrading a Developer Autonomous Database to Paid Autonomous Database

    * ``oci db autonomous-database update --is-dev-tier <boolean>``

* Load Balancing Service

  * Support for new optional parameter enabling inclusion of the Request Id of a request to the load balancer in a header attached to the request forwarded by the load balancer to one of its servers and in the response from the load balancer.

    * ``oci lb load-balancer create --is-request-id-enabled``
    * ``oci lb load-balancer update --is-request-id-enabled``

  * Support for new optional parameter specifying the name of the header used to contain the Request Id.

    * ``oci lb load-balancer create --request-id-header``
    * ``oci lb load-balancer update --request-id-header``

Added
~~~~~~~

* Delegate Access Control Service

  * Support for the Delegate Access Control service

    * ``oci delegate-access-control delegated-resource-access-request``
    * ``oci delegate-access-control delegation-control``
    * ``oci delegate-access-control delegation-subscription``
    * ``oci delegate-access-control service-provider``
    * ``oci delegate-access-control service-provider-action``
    * ``oci delegate-access-control work-request``

* Object Storage Service

  * Support for Object Storage Private Endpoints

    * ``oci os private-endpoint``

* Database Management Service

  * Support for SQL Watch

    * ``oci database-management managed-database enable-external-container-database-management-feature``
    * ``oci database-management managed-database enable-external-pluggable-database-management-feature``
    * ``oci database-management managed-database enable-external-non-container-database-management-feature``
    * ``oci database-management managed-database modify-database-management-feature``
    * ``oci database-management managed-database modify-pluggable-database-management-feature``

  * Support for advanced Database Management features for ADB

    * ``oci database-management managed-database enable-autonomous-database-management-feature-autonomous-database-diagnostics-and-management-feature-details``

* MySQL Database Service

  * Support for Customer Email Notification in HeatWave Service

    * ``oci mysql db-system clone --customer-contacts``
    * ``oci mysql db-system create --customer-contacts``
    * ``oci mysql db-system import --customer-contacts``
    * ``oci mysql db-system update --customer-contacts``

* File Storage Service

  * Support for upgrade and downgrade shapes of High Performance Mount Targets

    * ``oci fs mount-target upgrade-shape``
    * ``oci fs mount-target schedule-downgrade-shape``
    * ``oci fs mount-target cancel-downgrade-shape``

* Database Service

  * Support to change compartment of scheduling policy

    * ``oci db scheduling-policy change-compartment --compartment-id | -c, --scheduling-policy-id, -? | -h | --help``

  * Support to create a new scheduling policy

    * ``oci db scheduling-policy create --cadence, --compartment-id | -c, --display-name, --cadence-start-month, --defined-tags, --freeform-tags, -? | -h | --help ``

  * Support to delete a scheduling policy

    * ``oci db scheduling-policy delete --scheduling-policy-id, --force, -? | -h | --help``

  * Support to get a scheduling policy

    * ``oci db scheduling-policy get --scheduling-policy-id, -? | -h | --help``

  * Support to list scheduling policy

    * ``oci db scheduling-policy list --compartment-id | -c, --all, --display-name, -? | -h | --help``

  * Support to update a scheduling policy

    * ``oci db scheduling-policy update --scheduling-policy-id, --cadence, --cadence-start-month, --display-name, --defined-tags, --force, --freeform-tags, -? | -h | --help``

  * Support to create a scheduling window based on scheduling policy

    * ``oci db scheduling-window create --scheduling-policy-id, --window-preference, --compartment-id | -c, --defined-tags, --freeform-tags, -? | -h | --help``

  * Support to delete a scheduling window

    * ``oci db scheduling-window delete --scheduling-policy-id, --scheduling-window-id, --force, -? | -h | --help``

  * Support to get a scheduling window

    * ``oci db scheduling-window get --scheduling-policy-id, --scheduling-window-id, -? | -h | --help``

  * Support to list scheduling window

    * ``oci db scheduling-window list --scheduling-policy-id, --all, --compartment-id | -c, --display-name, -? | -h | --help``

  * Support to update a scheduling window

    * ``oci db scheduling-window update --scheduling-policy-id, --scheduling-window-id, --defined-tags, --force, --freeform-tags, -? | -h | --help, --window-preference``

  * Support for the Domain parameter in BaseDB Create DataGuard CLI

    * ``oci db data-guard-association create with-new-db-system``

  * Support for scheduling plan, scheduled action, execution window and execution action as part of granular maintenance scheduling support for Exadata Infrastructure Components

    * ``oci db action-param-values-summary list-params-for-action-type``
    * ``oci db execution-action create``
    * ``oci db execution-action delete``
    * ``oci db execution-action get``
    * ``oci db execution-action list``
    * ``oci db execution-action move-execution-action-member``
    * ``oci db execution-action update``
    * ``oci db execution-window create``
    * ``oci db execution-window delete``
    * ``oci db execution-window get``
    * ``oci db execution-window list``
    * ``oci db execution-window reorder-execution-actions``
    * ``oci db execution-window update``
    * ``oci db execution-window cancel``
    * ``oci db maintenance-run cancel``
    * ``oci db recommended-scheduled-action-summary list-recommended-scheduled-actions``
    * ``oci db scheduled-action create``
    * ``oci db scheduled-action delete``
    * ``oci db scheduled-action get``
    * ``oci db scheduled-action list``
    * ``oci db scheduled-action update``
    * ``oci db scheduled-action update``
    * ``oci db scheduling-plan change-compartment``
    * ``oci db scheduling-plan create``
    * ``oci db scheduling-plan delete``
    * ``oci db scheduling-plan cascading-delete``
    * ``oci db scheduling-plan get``
    * ``oci db scheduling-plan list``
    * ``oci db scheduling-plan reorder-scheduled-actions``

* Oracle Database Autonomous Recovery Service

  * Support for changing Protected Database Subscription in ZRCV cloud service

    * ``oci recovery protected-database change-protected-database-subscription --protected-database-id, -? | -h | --help, --is-default, --subscription-id``

* Web Application Firewall service

  * Support for the DYNAMIC body variant in a RETURN_HTTP_RESPONSE action.

    * ``oci waf web-app-firewall-policy create --actions [complex type]``
    * ``oci waf web-app-firewall-policy update --actions [complex type]``

* Announcements Service

  * Support for listing all active service summary in OCI

    * ``oci announce service list --compartment-id <root_compartment_id>``

3.46.0 - 2024-08-20
--------------------
Removed
~~~~~
* [BREAKING] Disaster Recovery service

  * Removed optional parameter --dr-plan-execution-type from list command

    * ``oci disaster-recovery dr-plan-execution list``

Added
~~~~~
* Database Service

  * Support for creating Maintenance Run Using Autonomous Database Software Image in the Database service

    * ``oci db maintenance-run create --database-software-image-id``

* Fleet Application Management Service

  * Support for the Fleet Application Management service

    * ``oci fleet-apps-management``

* Redis Service

  * Support for list cluster nodes command in the OCI Cache service

    * ``oci redis node-summary list-redis-cluster-nodes``

  * Support new parameters cluster-mode and shard-count for sharding

    * ``oci redis redis-cluster create --cluster-mode, --shard-count``
    * ``oci redis redis-cluster update --shard-count``

* Integration Service

  * Support for Extend Data Retention Period for OIC Instance

    * ``oci integration integration-instance extend-data-retention --data-retention-period, --integration-instance-id``

* Analytics Service

  * Support for Identity Domains

    * ``oci analytics analytics-instance create --domain-id ocid --admin-user user``

  * Support for feature set in analytics-instance

    * ``oci analytics analytics-instance create --feature-bundle feature_set``

* Database Management Service

  * Support for SQL Watch and DB Lifecycle Management

    * ``oci database-management managed-database enable-external-container-database-management-feature``
    * ``oci database-management managed-database enable-external-pluggable-database-management-feature``
    * ``oci database-management managed-database enable-external-non-container-database-management-feature``
    * ``oci database-management managed-database modify-database-management-feature``
    * ``oci database-management managed-database modify-pluggable-database-management-feature``

* Mysql Database Service

  * Support for automatically increasing storage in the MySQL Database service

    * ``oci mysql db-system clone --is-auto-expand-storage-enabled --max-storage-size-in-gbs``
    * ``oci mysql db-system create --is-auto-expand-storage-enabled --max-storage-size-in-gbs``
    * ``oci mysql db-system import --is-auto-expand-storage-enabled --max-storage-size-in-gbs``
    * ``oci mysql db-system update --is-auto-expand-storage-enabled --max-storage-size-in-gbs``

3.45.2 - 2024-08-13
--------------------
Added
~~~~~
* Support for idle timeout feature for Network Load Balancer Service

  * ``oci nlb listener create --tcp-idle-timeout, --udp-idle-timeout``
  * ``oci nlb listener update --tcp-idle-timeout, --udp-idle-timeout``

* Support for viewing subscription level limits in Limits Service

  * ``oci limits definition list --subscription-id``
  * ``oci limits resource-availability get --subscription-id``
  * ``oci limits service list --subscription-id``
  * ``oci limits value list --subscription-id``

* Support for OIC Instance Creation for Healthcare Feature in Oracle Integration Service

  * ``oci integration integration-instance create --integration-instance-type healthcare``

3.45.1 - 2024-08-06
--------------------
Added
~~~~~
* Java Management Service Fleets

  * Support for new commands

    * ``oci jms agent-installer-summary``
    * ``oci jms fleet request-deployed-application-migration-analyses``
    * ``oci jms jms-plugin``

  * Add new options to existing commands

    * ``oci jms crypto-analysis-result list --finding-count, --finding-count-greater-than, --host-name, --non-compliant-finding-count, --non-compliant-finding-count-greater-than``
    * ``oci jms fleet-agent-configuration update --is-collecting-managed-instance-metrics-enabled, --is-collecting-usernames-enabled``
    * ``oci jms java-migration-analysis-result list --application-name, --host-name``
    * ``oci jms library-usage summarize --cvss-score-greater-than, --cvss-score-less-than``
    * ``oci jms performance-tuning-analysis-result list --host-name``
    * ``oci jms work-request list --operation-type, --status``

* Support for a new optional parameter "compartmentId" in  Java Management Service Downloads

  * ``oci jms-java-downloads download-url generate-artifact --compartment-id``

* Big Data Service

  * Support for new commands

    * ``oci bds instance create-resource-principal-configuration``
    * ``oci bds instance force-refresh-resource-principal``
    * ``oci bds instance get-resource-principal-configuration``
    * ``oci bds instance list-resource-principal-configurations``
    * ``oci bds instance update-resource-principal-configuration``
    * ``oci bds resource-principal-configuration remove``
    * ``oci bds instance install-patch-downtime-based-odh-patching-config``

* Support for new optional parameters in the OS Management Hub service

  * ``oci os-management-hub software-source create-custom-swsrc --is-latest-content-only``
  * ``oci os-management-hub software-source create-versioned-custom-swsrc --is-latest-content-only``
  * ``oci os-management-hub software-source update-custom-swsrc --is-latest-content-only``

* Devops Service

  * Support for pull requests and merge in Source Control Management Service

    * ``oci devops pull-request-comment``
    * ``oci devops pull-request``
    * ``oci devops protected-branch``
    * ``oci devops project get-notification-preference``
    * ``oci devops project get-project-settings``
    * ``oci devops project update-project-settings``
    * ``oci devops project update-notification-preference``
    * ``oci devops project delete-project-settings``
    * ``oci devops project list-project-analytics-authors``
    * ``oci devops project summarize-project-analytics``
    * ``oci devops repository get-repository-notification-preference``
    * ``oci devops repository get-repository-settings``
    * ``oci devops repository update-repository-settings``
    * ``oci devops repository update-repository-notification-preference``
    * ``oci devops repository delete-repository-settings``
    * ``oci devops repository create-or-update-git-tag-details``
    * ``oci devops repository create-or-update-git-branch-details``
    * ``oci devops repository delete-git-ref``
    * ``oci devops repository list-pull-request-authors``
    * ``oci devops repository list-repository-analytics-authors``
    * ``oci devops repository summarize-repository-analytics``
    * ``oci devops repository sync``
    * ``oci devops repository list-fork-sync-statuses``
    * ``oci devops deployment service``

  * Support for new optional parameter/flag

    * ``oci devops repository create --parent-repository-id``
    * ``oci devops repository get-commit-diff --target-repository-id`
    * ``oci devops repository list-commit-diffs --target-repository-id``

* Support for new optional parameter --file-system-configuration-details in vm cluster in db service

  * ``oci db vm-cluster create --file-system-configuration-details``
  * ``oci db vm-cluster update --file-system-configuration-details``

3.45.0 - 2024-07-30
--------------------
Added
~~~~~
* Identity Domains Service

  * Support for new commands

    * ``oci identity-domains social-identity-provider create``
    * ``oci identity-domains social-identity-provider delete``
    * ``oci identity-domains social-identity-provider get``
    * ``oci identity-domains social-identity-provider patch``
    * ``oci identity-domains social-identity-provider put``
    * ``oci identity-domains social-identity-providers list``
    * ``oci identity-domains social-identity-providers search``

* Stack Monitoring

  * Support for baselineable metric for imported resources and metric extension

    * ``oci stack-monitoring baselineable-metric update``
    * ``oci stack-monitoring baselineable-metric list``
    * ``oci stack-monitoring baselineable-metric create``

* Database Migration

  * Support GoldenGate Suspend Phase / Parameter File Update

    * ``oci database-migration job create-parameter-file-version``
    * ``oci database-migration job delete-parameter-file-version``
    * ``oci database-migration job get-parameter-file-version``
    * ``oci database-migration job list-parameter-file-versions``
    * ``oci database-migration job make-current-parameter-file-version``
    * ``oci database-migration job suspend``

* Exadata Fleet Update Service

  * Support for Diagnostics collection preferences and VMCluster and CloudVMCluster custom GI images

    * ``oci fleet-software-update fsu-cycle create --diagnostics-collection``

* Speech Service

  * Support for Realtime Speech in the Speech Service

    * ``oci speech realtime-session-token create``

  * Support for Customization in the Speech Service

    * ``oci speech customization``

* Core Service

  * Support for obtaining compute instance maintenance events in Core services

    * ``oci compute instance-maintenance-event get``
    * ``oci compute instance-maintenance-event list``
    * ``oci compute instance-maintenance-event update``

* Data Safe Service

  * Support for creating custom alert policies

    * ``oci data-safe alert-policy change-compartment``
    * ``oci data-safe alert-policy create``
    * ``oci data-safe alert-policy delete``
    * ``oci data-safe alert-policy update``
    * ``oci data-safe alert-policy-rule create``
    * ``oci data-safe alert-policy-rule delete``
    * ``oci data-safe alert-policy-rule get``
    * ``oci data-safe alert-policy-rule update``

Changed
~~~~~~~
* [BREAKING] Network Firewall Service

  * The following commands from network-firewall service have been deprecated and unavailable to use

    * ``oci network-firewall application create-application-create-icmp-application-details``
    * ``oci network-firewall application create-application-create-icmp6-application-details``
    * ``oci network-firewall application create-service-create-udp-service-details``
    * ``oci network-firewall application create-service-create-tcp-service-details``
    * ``oci network-firewall mapped-secret create-mapped-secret-create-vault-mapped-secret-details``
    * ``oci network-firewall decryption-profile create-decryption-profile-create-ssl-inbound-inspection-profile-details``
    * ``oci network-firewall decryption-profile create-decryption-profile-create-ssl-forward-proxy-profile-details``
    * ``oci network-firewall application update-application-update-icmp-application-details``
    * ``oci network-firewall application update-application-update-icmp6-application-details``
    * ``oci network-firewall application update-service-update-udp-service-details``
    * ``oci network-firewall application update-service-update-tcp-service-details``
    * ``oci network-firewall mapped-secret update-mapped-secret-update-vault-mapped-secret-details``
    * ``oci network-firewall decryption-profile update-decryption-profile-update-ssl-inbound-inspection-profile-details``
    * ``oci network-firewall decryption-profile update-decryption-profile-update-ssl-forward-proxy-profile-details``

* Data Safe Service

  * Added additional attributes for existing APIs

    * ``oci data-safe masking-policy``
    * ``oci data-safe work-request list``
    * ``oci data-safe target-alert-policy-association-summary list-target-alert-policy-associations``

3.44.4 - 2024-07-23
--------------------
Added
~~~~~
* Database Service

  * Support for new optional parameters in the database APIs

    * ``oci db autonomous-database create --byol-compute-count-limit``
    * ``oci db autonomous-database update --byol-compute-count-limit``

  * Support for the subscription ID attribute in Cloud Exadata Infrastructure and Cloud VM Cluster in Database service

    * ``oci db cloud-exa-infra create --subscription-id``
    * ``oci db cloud-vm-cluster create --subscription-id``
    * ``oci db cloud-exa-infra change-cloud-exadata-infrastructure-subscription --cloud-exadata-infrastructure-id --is-default --subscription-id``
    * ``oci db cloud-vm-cluster change-cloud-vm-cluster-subscription --cloud-vm-cluster-id --is-default --subscription-id``

  * Support for ``subscriptionId`` in

    * ``oci db autonomous-database create --subscription-id``

  * Update action API

    * ``oci db autonomous-database change-autonomous-database-subscription --autonomous-database-id``

* Application Performance Monitoring Synthetic Service

  * Support for the sql monitor creation and updation

    * ``oci apm-synthetics monitor create-sql-monitor``
    * ``oci apm-synthetics monitor update-sql-monitor``

  * Support for the ftp monitor creation and updation

    * ``oci apm-synthetics monitor create-ftp-monitor``
    * ``oci apm-synthetics monitor update-ftp-monitor``

* Data Safe Service

  * Support for listing discovered sensitive types and discovered sensitive schemas in sensitive data model

    * ``oci data-safe sensitive-data-model-sensitive-type-collection list-sensitive-data-model-sensitive-types --sensitive-data-model-id``

  * Support for creating and updating sensitive data model with only table level scope

    * ``oci data-safe sensitive-data-model create --tables-for-discovery``
    * ``oci data-safe sensitive-data-model update --tables-for-discovery``

  * Support for creating discovery job with table level scope

    * ``oci data-safe discovery-job create --tables-for-discovery``

  * Support for filtering reports with the time of generation

    * ``oci data-safe report-summary list-reports --time-generated-greater-than-or-equal-to, --time-generated-less-than``

  * Support for creating and updating schedule for user assessment and security assessment

    * ``oci data-safe security-assessment create --is-assessment-scheduled``
    * ``oci data-safe security-assessment update --is-assessment-scheduled``
    * ``oci data-safe user-assessment create --is-assessment-scheduled``
    * ``oci data-safe user-assessment update --is-assessment-scheduled``

  * Support for listing findings in security assessment

    * ``oci data-safe security-assessment list-findings --target-id``

  * Support for unsetting security and user assessment baseline with target ids

    * ``oci data-safe security-assessment unset-security-assessment-baseline --target-ids``
    * ``oci data-safe user-assessment unset-user-assessment-baseline --target-ids``

* Support for MySQL Heatwave database systems within the Ops Insights service.

  * ``oci opsi database-insights create-mds-my-sql-database``
  * ``oci opsi database-insights enable-mds-my-sql-database``
  * ``oci opsi database-insights update-mds-my-sql-database``

3.44.3 - 2024-07-16
-------------------
Added
~~~~~
* Support for calling Oracle Cloud Infrastructure services in the me-abudhabi-2 region

3.44.2 - 2024-07-09
-------------------
Added
~~~~~
* Database Service

  * Support for create new DB with OKV

    * ``oci db database create --key-store-id``

  * Support for confirm key store details are correct

    * ``oci db key-store confirm-key-store-details-are-correct --key-store-id``

3.44.1 - 2024-07-02
-------------------
Added
~~~~~
* OCI Operations Insights Service

  * Support in OPSI Host Capacity Planning to analyze disabled/deleted resources

    * ``oci opsi host-insights list-host-configurations --status``
    * ``oci opsi host-insights list-hosted-entities --status``
    * ``oci opsi host-insights summarize-host-insight-disk-statistics --status``
    * ``oci opsi host-insights summarize-host-insight-network-usage-trend --status``
    * ``oci opsi host-insights summarize-host-insight-resource-capacity-trend --status``
    * ``oci opsi host-insights summarize-host-insight-resource-forecast-trend --status``
    * ``oci opsi host-insights summarize-host-insight-resource-statistics --status``
    * ``oci opsi host-insights summarize-host-insight-resource-usage --status``
    * ``oci opsi host-insights summarize-host-insight-resource-usage-trend --status``
    * ``oci opsi host-insights summarize-host-insight-resource-utilization-insight --status``
    * ``oci opsi host-insights summarize-host-insight-storage-usage-trend --status``
    * ``oci opsi host-insights summarize-host-insight-top-processes-usage --status``
    * ``oci opsi host-insights summarize-host-insight-top-processes-usage-trend --status``

* OCI File Storage Service

  * Support for deleting file system by first detaching child file system

    * ``oci fs file-system delete --can-detach-child-file-system``

  * Support for determining whether the file system is attached to its parent file system

    * ``oci fs file-system create --clone-attach-status``

  * Support for detaching a file sys from parent file system

    * ``oci fs file-system detach --file-system-id``

* OCI Database Migration Service

  * Support for dynamic list of ZDM parameters for Oracle<>Oracle migrations

    * ``oci database-migration migration-parameter-summary list-migration-parameters``

* OCI Exadata Database Service

  * Support for managing Exascale Database Storage Vault resources

    * ``oci db exascale-db-storage-vault``

  * Support for managing VM Cluster resources on Exascale Infrastructure

    * ``oci db exadb-vm-cluster``

  * Support for getting available updates and updating histories for a Exadb VM cluster

    * ``oci db exadb-vm-cluster get-update``
    * ``oci db exadb-vm-cluster list-updates``
    * ``oci db exadb-vm-cluster get-update-history``
    * ``oci db exadb-vm-cluster list-update-histories``

  * Support for getting a list of supported minor GI versions for VM Cluster

    * ``oci db gi-minor-version-summary list-gi-version-minor-versions``

  * Support for getting a list of supported GI versions for VM Cluster

    * ``oci db gi-version list``

  * Support for getting a list of backups based on shape-family

    * ``oci db backup list``

  * Support for new optional parameter is-thin-clone for Pluggable Database resource

    * ``oci db pluggable-database create-local-clone``
    * ``oci db pluggable-database create-remote-clone``


3.44.0 - 2024-06-25
--------------------
Changed
~~~~~~~
* [BREAKING] OCI Database Migration Service

  * Deprecation of Agent resource for `database-migration`. Following commands have changed:

    * ``oci database-migration agent``
    * ``oci database-migration agent-image-summary``
    * ``oci database-migration agent-summary``
    * ``oci database-migration migration create-migration-aws-s3-data-transfer-medium-details``
    * ``oci database-migration migration create-migration-db-link-data-transfer-medium-details``
    * ``oci database-migration migration create-migration-nfs-data-transfer-medium-details``
    * ``oci database-migration migration create-migration-object-storage-data-transfer-medium-details``
    * ``oci database-migration migration update-migration-aws-s3-data-transfer-medium-details``
    * ``oci database-migration migration update-migration-db-link-data-transfer-medium-details``
    * ``oci database-migration migration update-migration-nfs-data-transfer-medium-details``
    * ``oci database-migration migration update-migration-object-storage-data-transfer-medium-details``
    * ``oci database-migration connection create``
    * ``oci database-migration connection update``
    * ``oci database-migration migration add``
    * ``oci database-migration migration clone``
    * ``oci database-migration migration create``
    * ``oci database-migration migration remove``
    * ``oci database-migration migration update``
    * ``oci database-migration migration-object-type-summary list``

Added
~~~~~
* OCI Database Migration Service

  * Support for MySQL to MySQL homogeneous migration

    * ``oci database-migration connection create-mysql-connection``
    * ``oci database-migration connection create-oracle-connection``
    * ``oci database-migration connection update-mysql-connection``
    * ``oci database-migration connection update-oracle-connection``
    * ``oci database-migration migration add-mysql-objects``
    * ``oci database-migration migration add-oracle-objects``
    * ``oci database-migration migration clone-mysql-migration``
    * ``oci database-migration migration clone-oracle-migration``
    * ``oci database-migration migration create-mysql-migration``
    * ``oci database-migration migration create-oracle-migration``
    * ``oci database-migration migration remove-mysql-objects``
    * ``oci database-migration migration remove-oracle-objects``
    * ``oci database-migration migration update-mysql-migration``
    * ``oci database-migration migration update-oracle-migration``

* Support for manual cross-region backup copy in the HeatWave MySQL Service

  * ``oci mysql backup copy``

3.43.2 - 2024-06-18
--------------------
Added
~~~~~
* OCI AI Document Service

  * Support for new document type ``INSURANCE_CLAIM`` as shown:

    * ``oci ai-document analyze-document-result analyze-document --document-type INSURANCE_CLAIM``
    * ``oci ai-document analyze-document-result analyze-document-inline-document-details --document-type INSURANCE_CLAIM``
    * ``oci ai-document analyze-document-result analyze-document-object-storage-document-details --document-type INSURANCE_CLAIM``
    * ``oci ai-document processor-job create-processor-job-general-processor-config --processor-config-document-type INSURANCE_CLAIM``

* OCI Database Service

  * Support for adding whitelisted ips for private endpoint enabled databases.

    * ``oci db autonomous-database create --whitelisted-ips``
    * ``oci db autonomous-database update --whitelisted-ips``

* OCI Stack Monitoring Service

  * Support for Microsoft IIS resource type when declaring discovery details.

    * ``oci stack-monitoring discovery-job create --discovery-details``

* Security Enhancement: Improved security for API key management.

3.43.1 - 2024-06-11
--------------------
Added
~~~~~
* Globally Distributed Database Service

  * Support for new command

    * ``oci gdd private-endpoint reinstate-proxy-instance``

  * Support for new optional parameter

    * ``oci gdd private-endpoint get --if-none-match``
    * ``oci gdd sharded-database create-sharded-database-create-dedicated-sharded-database --replication-factor, --replication-method, --replication-unit``
    * ``oci gdd sharded-database generate-gsm-certificate-signing-request --ca-bundle-id``
    * ``oci gdd sharded-database get --if-none-match``

* Fusion Applications Environment Management Service

  * Support for data dump initiation and extract in the Fusion Application Service

    * ``oci fusion-apps fusion-environment initiate-extract``
    * ``oci fusion-apps fusion-environment generate-extract-details``

* Support for new Action end point in the Application Performance Monitoring Configuration Service

  * ``oci apm-config test span-enrichment-group``

* Support for new optional parameters in the Create/Update Alarms API in OCI Monitoring Service.

  * ``oci monitoring alarm create --alarm-summary, --evaluation-slack-duration, --notification-title``
  * ``oci monitoring alarm update --alarm-summary, --evaluation-slack-duration, --notification-title``

* Support for addition of create date timestamp in Oracle Queue Service

  * ``oci queue messages get-messages``

3.43.0 - 2024-06-04
--------------------
Changed
~~~~~~~
* Generative AI Service Inference

  * [BREAKING] Optional parameter ``--chat-request`` has now been made required in the following commands

    * ``oci generative-ai-inference chat-result chat``
    * ``oci generative-ai-inference chat-result chat-dedicated-serving-mode``
    * ``oci generative-ai-inference chat-result chat-on-demand-serving-mode``

  * Complex parameters --chat-request, --chat-request-chat-history has been updated in the following command

    * ``oci generative-ai-inference chat-result chat-cohere-chat-request``

* Generative AI Service Management

  * Added support of dedicated AI cluster unit shape SMALL_COHERE_V2, LARGE_COHERE_V2, LARGE_COHERE_V2_2 and LARGE_GENERIC in the following command

     * ``oci generative-ai dedicated-ai-cluster create``

Added
~~~~~
* Database Service

  * Support for creating cross tenancy autonomous data guard

    ``oci db autonomous-database create-cross-tenancy-disaster-recovery-details``

  * Support for listing autonomous database peers

    ``oci db autonomous-database list-autonomous-database-peers``

* GoldenGate Service

  * Support for add/remove lock for resources

    ``oci goldengate connection add-lock``
    ``oci goldengate connection remove-lock``
    ``oci goldengate deployment add-lock``
    ``oci goldengate deployment remove-lock``
    ``oci goldengate deployment-backup add-lock``
    ``oci goldengate deployment-backup remove-lock``

  * Support for creating/updating new connection types

    ``oci goldengate connection create-db2-connection``
    ``oci goldengate connection update-db2-connection``
    ``oci goldengate deployment generate-log-reader-component-library-url``

3.42.0 - 2024-05-28
--------------------
Changed
~~~~~
* [BREAKING] Capacity Management Service

  * Optional parameter --resource-type accepts only 2 values CAPACITY_CONSTRAINT, SERVER_HW
  * Optional parameter --workload-type accepts only 3 values GENERIC, ROW, US_PROD

    * ``oci capacity-management occ-availability-collection list``
    * ``oci capacity-management occ-availability-catalog-collection list-internal``

Added
~~~~~~~
* Control Center service

  * Support for Demand Signal features

    * ``oci demand-signal occ-demand-signal-collection list-occ-demand-signals``
    * ``oci demand-signal occ-demand-signal change-compartment``
    * ``oci demand-signal occ-demand-signal create``
    * ``oci demand-signal occ-demand-signal delete``
    * ``oci demand-signal occ-demand-signal get``
    * ``oci demand-signal occ-demand-signal update``
    * ``oci demand-signal occ-demand-signal patch``

  * Support for Capacity Management features

    * ``oci capacity-management occ-capacity-request patch-internal``
    * ``oci capacity-management occ-overview-collection list-internal-namespace-occ-overviews``
    * ``oci capacity-management occ-overview-collection list``

* Database Management service

  * Support for Standby Database Monitoring

    * ``oci database-management peer-database-metrics get``
    * ``oci database-management dataguard-performance-metrics get``

* Database service

  * Support for External Database Connector

    * ``oci db external-db-connector create-macs-connector --connection-credentials``
    * ``oci db external-db-connector update-macs-connector --connection-credentials``

* Java Management Service

  * Support for tagging related optional parameters in Downloads API

    * ``oci jms-java-downloads java-download-report create --defined-tags, --freeform-tags``
    * ``oci jms-java-downloads java-license-acceptance-record create --defined-tags, --freeform-tags``
    * ``oci jms-java-downloads java-license-acceptance-record update --defined-tags, --freeform-tags``

3.41.0 - 2024-05-21
--------------------
Added
~~~~~
* Data Science Service

  * Support for Nested Resource Principal

    * ``oci data-science job-run create --opc-parent-rpt-url``
    * ``oci data-science model-deployment create --opc-parent-rpt-url``
    * ``oci data-science pipeline-run create --opc-parent-rpt-url``

  * Support for ML Pipelines v2

    * ``oci data-science pipeline update --infrastructure-configuration-details``
    * ``oci data-science pipeline-run cancel --terminate-gracefully``

* Support for managing Schedules in new Resource Scheduler Service

  * ``oci resource-scheduler``

* Support for backup and replacement of MASTER, UTILITY and EDGE NODES in Big Data Service

  * ``oci bds instance backup-node``
  * ``oci bds instance create-node-backup-configuration``
  * ``oci bds instance create-node-replace-configuration``
  * ``oci bds instance get-node-backup``
  * ``oci bds instance get-node-backup-configuration``
  * ``oci bds instance get-node-replace-configuration``
  * ``oci bds instance list-node-backup-configurations``
  * ``oci bds instance list-node-backups``
  * ``oci bds instance list-node-replace-configurations``
  * ``oci bds instance replace-node``
  * ``oci bds instance update-node-backup-configuration``
  * ``oci bds instance update-node-replace-configuration``
  * ``oci bds node-backup delete``
  * ``oci bds node-backup-configuration delete``
  * ``oci bds node-replace-configuration remove``

3.40.3 - 2024-05-14
--------------------
Added
~~~~~
* Support for new optional parameter --file-system-configuration-details in vm cluster for Database Service

  * ``oci db vm-cluster create --file-system-configuration-details``
  * ``oci db vm-cluster update --file-system-configuration-details``

* Support for PPv2 ( Proxy protocol version 2) feature for Network Load Balancer

  * ``oci nlb listener create --is-ppv2-enabled``
  * ``oci nlb listener update --is-ppv2-enabled``

* Support for the Marketplace Private Offer Service

  * ``oci marketplace-private-offer``

* Support for new commands in Marketplace Publisher Service

  * ``oci marketplace-publisher attachment``
  * ``oci marketplace-publisher offer``

* OCI Email Service

  * Support for Custom Return Path for Sent Emails in Email Delivery Service

    * ``oci email email-return-path``

  * Support for new optional parameter --domain-verification-id in email domain

    * ``oci email domain create --domain-verification-id``
    * ``oci email domain update --domain-verification-id``

* Support for Session Resumption in Load Balancing service

  * ``oci lb listener create --ssl-session-resumption``
  * ``oci lb listener update --ssl-session-resumption``

3.40.2 - 2024-05-07
--------------------
Added
~~~~~
* OCI Virtual Cloud Network Service

  * Support for new ip inventory and notification feature

    * ``oci network ipam list-ip-inventory``
    * ``oci network ipam get-resource-ip-inventory``
    * ``oci network ipam get-subnet-cidr-utilization``
    * ``oci network ipam get-subnet-ip-inventory``
    * ``oci network ipam get-vcn-overlap``

* OCI Load Balancer Service

  * Support for accidental delete protection preventing deletion of a load-balancer and its listeners or backends if they are configured to accept traffic

    * ``oci lb load-balancer create --is-delete-protection-enabled``
    * ``oci lb load-balancer update --is-delete-protection-enabled``

  * Support for new optional parameter limiting the number of simultaneous connections a load-balancer can make to its backends or listeners

    * ``oci lb backend create --max-connections``
    * ``oci lb backend update --max-connections``
    * ``oci lb backend-set create --backend-max-connections``
    * ``oci lb backend-set update --backend-max-connections``

* OCI Big Data Service

  * Support for new optional parameter for os patching configs

    * ``oci bds instance install-os-patch --patching-configs``

  * Support for new commands for os patching configs

    * ``oci bds instance install-os-patch-batching-based-patching-configs``
    * ``oci bds instance install-os-patch-downtime-based-patching-configs``

* OCI Disaster Recovery Cloud Service

  * Support for user-defined pause group in disaster recovery plan

    * ``oci disaster-recovery dr-plan update``

* OCI Database Service

  * Support for new optional parameter when creating/updating cloud vm clusters

    * ``oci db cloud-vm-cluster create --file-system-configuration-details``
    * ``oci db cloud-vm-cluster update --file-system-configuration-details``

Changed
~~~~~~~

* Upgraded the prompt-toolkit version to (>=3.0.38, <=3.0.43) for Python 3.7 and above

3.40.1 - 2024-04-30
--------------------
Added
~~~~~
* Database Service

  * Support for enabling unified auditing for DBHome

    * ``oci db db-home``

  * Support to create Grid Infrastructure type of custom software images

    * ``oci db database-software-image create --display-name, --compartment-id, --image-type "grid_image"``

  * Support to list custom software images greater than a given patchSet version, to find the images available for use in patching.

    * ``oci db database-software-image list --compartment-id, --image-type, --image-shape-family, --patch-set-greater-than-or-equal-to``

  * Support Cloud VM cluster in-place patching using custom Grid Infrastructure image

    * ``oci db cloud-vm-cluster update --cloud-vm-cluster-id, --gi-image-id, --update-action``

  * Support VM cluster in-place patching using custom Grid Infrastructure image

    * ``oci db vm-cluster update --vm-cluster-id, --gi-image-id, --update-action``

* Oracle Database Autonomous Recovery Service

  * Support for  Cancel Protected Database

    * ``oci recovery protected-database cancel-protected-database-deletion [options]``

  * Support for  Schedule Protected Database

    * ``oci recovery protected-database schedule-protected-database-deletion [options]``

  * Support for Network Security Group for RSS

    * ``oci recovery recovery-subnet create --nsg-ids  [options]``
    * ``oci recovery recovery-subnet update --nsg-ids  [options]``

* Data Catalog

  * Support for lineage metadata import

    * ``oci data-catalog data-asset import-lineage``

* Database Management Service

  * Support for monitoring ExaCC databases

    * ``oci database-management managed-database enable-database-management-feature-database-diagnostics-and-management-feature-details``
    * ``oci database-management managed-database enable-external-container-database-management-feature-external-database-diagnostics-and-management-feature-details``
    * ``oci database-management managed-database enable-external-non-container-database-management-feature-external-database-diagnostics-and-management-feature-details``

* Data Safe Service

  * Support for generate, list, get, delete and change compartment for pre-masking check before actual masking

    * ``oci data-safe masking-policy-health-report change-compartment --compartment-id | -c, --masking-policy-health-report-id, -? | -h | --help``
    * ``oci data-safe masking-policy-health-report delete --masking-policy-health-report-id, --force, -? | -h | --help``
    * ``oci data-safe masking-policy-health-report generate-health-report --masking-policy-id, --check-type, --compartment-id | -c, --defined-tags, --freeform-tags, -? | -h | --help, --tablespace, --target-id``
    * ``oci data-safe masking-policy-health-report get --masking-policy-health-report-id, -? | -h | --help``
    * ``oci data-safe masking-policy-health-report list --compartment-id | -c, --access-level, --all, --compartment-id-in-subtree, --display-name, -? | -h | --help, --masking-policy-health-report-id, --masking-policy-id, --target-id``
    * ``oci data-safe masking-policy-health-report list-masking-policy-health-report-logs --masking-policy-health-report-id, --all, -? | -h | --help, --message-type``

* Data Integration Service

  * Support for workspace properties in create/update workspace

    * ``oci data-integration workspace create``
    * ``oci data-integration workspace update``

3.40.0 - 2024-04-23
--------------------
Added
~~~~~
* Support for the new Cluster Placement Groups service

  * ``oci cpg``

* Support for new optional parameter domainId in ApproverInfo while managing ApprovalTemplate in Managed Access Service

    * ``oci oma approval-template create --approver-levels``
    * ``oci oma approval-template update --approver-levels``

* Cloud Guard And Security Zones Service

  * New resource adhocquery

    * ``oci cloud-guard adhoc-query create``
    * ``oci cloud-guard adhoc-query delete``
    * ``oci cloud-guard adhoc-query get``
    * ``oci cloud-guard adhoc-query list``
    * ``oci cloud-guard adhoc-query-result-collection get-adhoc-query-result-content``
    * ``oci cloud-guard adhoc-query-result-collection list-adhoc-query-results``

  * New resource savedQuery

    * ``oci cloud-guard saved-query change-compartment``
    * ``oci cloud-guard saved-query create``
    * ``oci cloud-guard saved-query delete``
    * ``oci cloud-guard saved-query get``
    * ``oci cloud-guard saved-query list``
    * ``oci cloud-guard saved-query update``

  * Support for the new enum scheduledQuery for parameter feedprovider in data source resource

    * ``oci cloud-guard data-source create-data-source-scheduled-query-data-source-obj-details``
    * ``oci cloud-guard data-source update-data-source-scheduled-query-data-source-obj-details``

* Core Services

  * Support for new optional parameters in the instance launch APIs

    * ``oci compute instance launch --cluster-placement-group-id``
    * ``oci compute instance launch-instance-generic-bm-launch-instance-platform-config --cluster-placement-group-id``

  * Support for assigning cluster placement group to boot volume creation in block storage.

    * ``oci bv boot-volume create --cluster-placement-group-id``

  * Support for assigning cluster placement group to boot volume creation from boot volume replica in block storage.

    * ``oci bv boot-volume create-boot-volume-boot-volume-source-from-boot-volume-replica-details --cluster-placement-group-id``

  * Support for assigning cluster placement group to block volume creation in block storage.

    * ``oci bv volume create --cluster-placement-group-id``

  * Support for assigning cluster placement group to block volume creation from block volume replica in block storage.

    * ``oci bv volume create-volume-volume-source-from-block-volume-replica-details --cluster-placement-group-id``

  * Support for listing volumes by cluster placement group in block storage.

    * ``oci bv volume list --cluster-placement-group-id``

  * Support for assigning cluster placement group to volumes after restoring from a volume group clone, backup, or replica in block storage.

    * ``oci bv volume-group create --cluster-placement-group-id``

* OS Management Hub Service

  * Support for events

    * ``oci os-management-hub event``

  * Support for installing windows updates for all instances in a compartment

    * ``oci os-management-hub install-all-windows-updates-in-compartment``

  * Support for moving resources to different compartments

    * ``oci os-management-hub lifecycle-environment change-compartment``
    * ``oci os-management-hub managed-instance-group change-compartment``
    * ``oci os-management-hub management-station change-compartment``
    * ``oci os-management-hub profile change-compartment``
    * ``oci os-management-hub scheduled-job change-compartment``
    * ``oci os-management-hub software-source change-compartment``

  * Support for new commands for managed instances

    * ``oci os-management-hub managed-instance attach-profile``
    * ``oci os-management-hub managed-instance detach-profile``
    * ``oci os-management-hub managed-instance delete``
    * ``oci os-management-hub managed-instance install-windows-updates``
    * ``oci os-management-hub managed-instance list-available-windows-updates``
    * ``oci os-management-hub managed-instance list-installed-windows-updates``

  * Support for new commands for managed instance groups

    * ``oci os-management-hub managed-instance-group install-windows-updates``
    * ``oci os-management-hub managed-instance-group switch-module-stream``

  * Support for new commands for management station

    * ``oci os-management-hub management-station refresh-management-station-config``

  * Support for new commands for software sources

    * ``oci os-management-hub software-source add-packages``
    * ``oci os-management-hub software-source get-software-package-by-name``
    * ``oci os-management-hub software-source list-all-software-packages``
    * ``oci os-management-hub software-source list-software-sources-with-package``
    * ``oci os-management-hub software-source replicate-vendor-swsrc``
    * ``oci os-management-hub software-source update-versioned-custom-swsrc``

  * Support for new commands for windows updates

    * ``oci os-management-hub windows-update get``
    * ``oci os-management-hub windows-update list-windows-updates``

Changed
~~~~~~~
* [BREAKING] OS Management Hub Service

  * Optional parameter ``--vulnerability-type`` has now been made required in the following command

    * ``oci os-management-hub managed-instance get-content``

  * Optional parameter ``--managed-instances`` has now been made required in the following commands

    * ``oci os-management-hub managed-instance-group attach-managed-instances``
    * ``oci os-management-hub managed-instance-group detach-managed-instances``

  * Optional parameter ``--software-sources`` has now been made required in the following commands

    * ``oci os-management-hub managed-instance-group attach-software-sources``
    * ``oci os-management-hub managed-instance-group detach-software-sources``

  * Optional parameter ``--module-name`` has now been made required in the following commands

    * ``oci os-management-hub managed-instance-group disable-module-stream``
    * ``oci os-management-hub managed-instance-group enable-module-stream``
    * ``oci os-management-hub managed-instance-group install-module-profile``

  * Optional parameter ``--package-names`` has now been made required in the following commands

    * ``oci os-management-hub managed-instance-group install-packages``
    * ``oci os-management-hub managed-instance-group remove-packages``

3.39.1 - 2024-04-16
--------------------
Added
~~~~~
* Database Service

  * New Autonomous Database Software Image Introduced

    * ``oci db autonomous-database-software-image``

  * Support for Autonomous Database Software Image

    * ``oci db autonomous-database-software-image change-compartment --autonomous-database-software-image-id``
    * ``oci db autonomous-database-software-image create``
    * ``oci db autonomous-database-software-image delete``
    * ``oci db autonomous-database-software-image get --autonomous-database-software-image-id``
    * ``oci db autonomous-database-software-image list``
    * ``oci db autonomous-database-software-image update --autonomous-database-software-image-id``

  * Support for optional parameter --database-software-image-id

    * ``oci db autonomous-container-database create --database-software-image-id``

* Database Migration Service

  * Support for AWS_S3 with object_storage_bucket migrations

    * ``oci database-migration migration create-migration-aws-s3-data-transfer-medium-details``
    * ``oci database-migration migration update-migration-aws-s3-data-transfer-medium-details``

* Generative AI Interface Service

  * Support for Chat Results

    * ``oci generative-ai-inference chat-result chat``
    * ``oci generative-ai-inference chat-result chat-cohere-chat-request``
    * ``oci generative-ai-inference chat-result chat-dedicated-serving-mode``
    * ``oci generative-ai-inference chat-result chat-generic-chat-request``
    * ``oci generative-ai-inference chat-result chat-on-demand-serving-mode``

* Network Load Balancer Service

  * Addition of optional parameter --is-fail-open in backend-set and health-checker update commands

    * ``oci nlb backend-set update``
    * ``oci nlb health-checker update``

* Redis Service

  * Support for new optional parameters --nsg-ids in redis cluster commands

    * ``oci redis redis-cluster create --nsg-ids``
    * ``oci redis redis-cluster update --nsg-ids``

* Generative AI Service

  * Support Dedicated AI Cluster Unit Shape LARGE_COHERE_V2 in the Generative AI Service Management

    * ``oci generative-ai dedicated-ai-cluster``

* Usage Service

  * Support for Usage Statements in email recipient groups

    * ``oci usage-api email-recipients-group create``
    * ``oci usage-api email-recipients-group delete``
    * ``oci usage-api email-recipients-group get``
    * ``oci usage-api email-recipients-group list``
    * ``oci usage-api email-recipients-group update``

* AI Language Service

  * Support for extracting entities from healthcare records

    * ``oci ai language batch-detect-health-entities --documents --endpoint-id --is-detect-assertions --is-detect-relationships``
    * ``oci ai language batch-detect-pii-entities``

* Process Automation Service

  * Support for the Oracle Process Automation instance start and stop operation

    * ``oci opa opa-instance start --opa-instance-id``
    * ``oci opa opa-instance stop --opa-instance-id``

3.39.0 - 2024-04-09
--------------------
Removed
~~~~~

* [BREAKING] Application Migration Service removed

  * ``oci application-migration``

Added
~~~~~
* Support for oke workload resource principal signer auth using --auth oke_workload_identity option

* OCI Network Load Balancer Service

  * Support for the Domain Name System based backend health check

    * ``oci nlb health-checker update --dns``

  * Support for Fail Open in Network Load Balancer service

    * ``oci nlb backend-set create --is-fail-open``
    * ``oci nlb backend-set update --is-fail-open``

  * New NLB feature with Instant FailOver

    * ``oci nlb backend-set create  --is-instant-failover-enabled'``
    * ``oci nlb backend-set update  --is-instant-failover-enabled'``

* Stack Monitoring Service

  * Support for adding/updating source type and resource category for resource types in the Stack Monitoring Service

    * ``oci stack-monitoring resource-type create --resource-category, --source-type``
    * ``oci stack-monitoring resource-type create-system-format-resource-type --resource-category, --source-type``
    * ``oci stack-monitoring resource-type update --resource-category, --source-type``
    * ``oci stack-monitoring resource-type update-system-format-resource-type --resource-category, --source-type``

  * Support for searching resources based on resource category,  sourceType, multiple compartments, multiple lifecycle states in the Stack Monitoring Service

    * ``oci stack-monitoring resource search --compartment-ids, --lifecycle-states, --resource-category, --source-type``

  * Support for filtering listed resources based on lifecycle status in the Stack Monitoring Service

    * ``oci stack-monitoring resource list --status``

  * Support for creating tasks with new config parameters in the Stack Monitoring Service

    * ``oci stack-monitoring resource-task import-telemetry-resources --console-path-prefix, --external-id-mapping, --up-status-mappings, --resource-name-filter, --resource-name-mapping, --resource-type-filter, --resource-type-mapping, --service-base-url, --use-metrics-for-status``

* Support for setting nested resource principal parent URL in the Oracle Cloud Infrastructure Data Flow service

  * ``oci data-flow run create --opc-parent-rpt-url``
  * ``oci data-flow run submit --opc-parent-rpt-url``

3.38.1 - 2024-04-02
-------------------
Added
~~~~~

* OCI Network Load Balancer Service

  * Support for assigned private Ip by adding new optional parameters in the Network Load Balancer Service for creation and update
  * ``oci nlb network-load-balancer create --assigned-ipv6, --assigned-private-ipv4``
  * ``oci nlb network-load-balancer update --assigned-ipv6``

  * LBaaS Support for TLSv1.3

* OCI Email-Delivery Service

  * Support for Configuration API in Email-Delivery Service
  * Support for sending mails via Https for Email Delivery Service

* OCI Cloud Guard service

  * Support for the status field in creating data source resource of Cloud Guard Service
  * ``oci cloud-guard data-source create --status``
  * ``oci cloud-guard data-source create-data-source-logging-query-data-source-details --status``

Removed ~~~~~

* [BREAKING] Commands removed

  * ``oci devops code-search list-results``
  * ``oci devops project delete-project-settings``
  * ``oci devops project get-notification-preference``
  * ``oci devops project get-project-settings``
  * ``oci devops project list-project-analytics-authors``
  * ``oci devops project summarize-project-analytics``
  * ``oci devops project update-notification-preference``
  * ``oci devops project update-project-settings``
  * ``oci devops protected-branch create-or-update``
  * ``oci devops protected-branch delete``
  * ``oci devops protected-branch list-protected-branches``
  * ``oci devops pull-request create``
  * ``oci devops pull-request create-pull-request-attachment``
  * ``oci devops pull-request decline``
  * ``oci devops pull-request delete``
  * ``oci devops pull-request delete-pull-request-attachment``
  * ``oci devops pull-request execute-merge-pull-request``
  * ``oci devops pull-request get``
  * ``oci devops pull-request get-pull-request-attachment``
  * ``oci devops pull-request get-pull-request-attachment-content``
  * ``oci devops pull-request get-pull-request-change-summary-metrics``
  * ``oci devops pull-request get-pull-request-notification-preference``
  * ``oci devops pull-request list-build-run-snapshots``
  * ``oci devops pull-request list-pull-request-activities``
  * ``oci devops pull-request list-pull-request-attachments``
  * ``oci devops pull-request list-pull-request-commits``
  * ``oci devops pull-request list-pull-request-file-changes``
  * ``oci devops pull-request list-pull-requests``
  * ``oci devops pull-request patch``
  * ``oci devops pull-request reopen``
  * ``oci devops pull-request review``
  * ``oci devops pull-request unsubscribe``
  * ``oci devops pull-request update``
  * ``oci devops pull-request update-pull-request-notification-preference``
  * ``oci devops pull-request validate-merge-pull-request``
  * ``oci devops pull-request-comment create-pull-request-comment``
  * ``oci devops pull-request-comment delete-pull-request-comment``
  * ``oci devops pull-request-comment get-pull-request-comment``
  * ``oci devops pull-request-comment like-pull-request-comment``
  * ``oci devops pull-request-comment list-pull-request-comments``
  * ``oci devops pull-request-comment unlike-pull-request-comment``
  * ``oci devops pull-request-comment update-pull-request-comment``
  * ``oci devops repository create-or-update-git-branch-details``
  * ``oci devops repository create-or-update-git-tag-details``
  * ``oci devops repository delete-git-ref``
  * ``oci devops repository delete-repository-settings``
  * ``oci devops repository get-repository-notification-preference``
  * ``oci devops repository get-repository-settings``
  * ``oci devops repository list-fork-sync-statuses``
  * ``oci devops repository list-pull-request-authors``
  * ``oci devops repository list-repository-analytics-authors``
  * ``oci devops repository list-repository-build-run-snapshots``
  * ``oci devops repository summarize-repository-analytics``
  * ``oci devops repository sync``
  * ``oci devops repository update-repository-notification-preference``
  * ``oci devops repository update-repository-settings``
  * ``oci devops repository-private-access change-compartment``
  * ``oci devops repository-private-access create``
  * ``oci devops repository-private-access delete``
  * ``oci devops repository-private-access get``
  * ``oci devops repository-private-access list``
  * ``oci devops repository-private-access list-private-projects``
  * ``oci devops repository-private-access recover``
  * ``oci devops repository-private-access update``


3.38.0 - 2024-03-26
-------------------
Added
~~~~~

* OCI Network Load Balancer Service

  * Support for symmetric hashing when creating or updating network load balancers.

    * ``oci nlb network-load-balancer create --is-symmetric-hash-enabled``
    * ``oci nlb network-load-balancer update --is-symmetric-hash-enabled``

* OCI Monitoring Service

  * Support for new optional parameters in the create or update alarms commands.

    * ``oci monitoring alarm create --overrides --rule-name --notification-version``
    * ``oci monitoring alarm update --overrides --rule-name --notification-version``

* OCI Database Management Service

  * Support for new command to retrieve fleet health metrics for MySQL HeatWave clusters.

    * ``oci database-management managed-my-sql-databases heat-wave-fleet-metrics``

  * Support for new optional parameter when retrieving MySQL fleet metrics.

    * ``oci database-management managed-my-sql-databases my-sql-fleet-metrics --is-heat-wave-enabled``

* OCI Database Service

  * Support for creating and updating a refreshable clone with auto-refresh for an autonomous database.

    * ``oci db autonomous-database create-refreshable-clone --auto-refresh-point-lag-in-seconds``
    * ``oci db autonomous-database update --auto-refresh-point-lag-in-seconds``

* OCI Logging Service

  * Support for new logging agent-configuration commands.

    * ``oci logging agent-configuration create-unified-agent-configuration-unified-agent-monitoring-configuration-details``
    * ``oci logging agent-configuration update-unified-agent-configuration-unified-agent-monitoring-configuration-details``

  * Support for new optional parameters in the following commands

    * ``oci logging agent-configuration create-log-configuration --service-configuration-filter``
    * ``oci logging agent-configuration update-log-configuration --service-configuration-filter``

* OCI Devops Deployment Service

  * Support for new groups of commands.

    * ``oci devops code-search``
    * ``oci devops protected-branch``
    * ``oci devops pull-request``
    * ``oci devops pull-request-comment``
    * ``oci devops repository-private-access``

  * Support for new commands in the ``deploy-artifact`` group.

    * ``oci devops deploy-artifact create-helm-command-spec``
    * ``oci devops deploy-artifact update-helm-command-spec``

  * Support for new commands in the ``project`` group.

    * ``oci devops project get-project-settings``
    * ``oci devops project update-project-settings``
    * ``oci devops project delete-project-settings``
    * ``oci devops project get-notification-preference``
    * ``oci devops project update-notification-preference``
    * ``oci devops project list-project-analytics-authors``
    * ``oci devops project summarize-project-analytics``

  * Support for new commands in the ``repository`` group.

    * ``oci devops repository create-or-update-git-branch-details``
    * ``oci devops repository create-or-update-git-tag-details``
    * ``oci devops repository delete-git-ref``
    * ``oci devops repository delete-repository-settings``
    * ``oci devops repository get-repository-settings``
    * ``oci devops repository get-repository-notification-preference``
    * ``oci devops repository list-fork-sync-statuses``
    * ``oci devops repository list-pull-request-authors``
    * ``oci devops repository list-repository-analytics-authors``
    * ``oci devops repository list-repository-build-run-snapshots``
    * ``oci devops repository summarize-repository-analytics``
    * ``oci devops repository sync``
    * ``oci devops repository update-repository-notification-preference``
    * ``oci devops repository update-repository-settings``

  * Support for new parameters in the following commands.

    * ``oci devops repository create --parent-repository-id``
    * ``oci devops repository get-commit-diff --target-repository-id``
    * ``oci devops repository list-commit-diffs --target-repository-id``
    * ``oci devops deploy-stage create-deploy-oke-stage --oke-environment-details``
    * ``oci devops deploy-stage update-deploy-oke-stage --oke-environment-details``
    * ``oci devops deploy-stage create-oke-helm-chart-stage --oke-environment-details --helm-command-artifact-ids --purpose --is-uninstall-on-stage-delete``
    * ``oci devops deploy-stage update-oke-helm-chart-stage --oke-environment-details --helm-command-artifact-ids --purpose --is-uninstall-on-stage-delete``


Changed
~~~~~~~

* [BREAKING] Optional parameters ``--description`` and ``--display-name`` have now been made required in the following commands in OCI Logging Service.

  * ``oci logging agent-configuration create``
  * ``oci logging agent-configuration create-log-configuration``


3.37.14 - 2024-03-19
--------------------
Added
~~~~~
* The AI Language service

  * Support for async jobs and document translation

    * ``oci ai language job create --compartment-id --input-location --model-metadata-details --output-location --description, --display-name --input-configuration``
    * ``oci ai language job update --job-id --description --display-name``
    * ``oci ai language job list --compartment-id  --all --display-name --id``
    * ``oci ai language job get --job-id``
    * ``oci ai language job delete --job-id``
    * ``oci ai language job cancel --job-id``
    * ``oci ai language job change-compartment --compartment-id --job-id``

* Application Performance Monitoring Trace service

  * Support for attribute management for trace and synthetic

    * ``oci apm-traces attributes activate ``
    * ``oci apm-traces attributes deactivate ``
    * ``oci apm-traces attributes auto-activate-status ``
    * ``oci apm-traces attributes pin ``
    * ``oci apm-traces attributes unpin ``
    * ``oci apm-traces attributes update-auto-activate ``
    * ``oci apm-traces attributes update-notes ``
    * ``oci apm-traces attributes update-attribute ``

  * Support for new optional parameters in the get trace and get span

    * ``oci apm-traces trace trace get --time-trace-started-gte --time-trace-started-lt --trace-namespace ``
    * ``oci apm-traces trace span get --time-trace-started-gte --time-trace-started-lt --trace-namespace ``

3.37.13 - 2024-03-12
--------------------
Added
~~~~~
* Database Service

  * Support for New Dev License Type in Oracle Autonomous Database (on Dedicated Infrastructure)

    * ``oci db autonomous-database create --is-dev-tier``
    * ``oci db autonomous-database create-adb-cross-region-data-guard-details --is-dev-tier``
    * ``oci db autonomous-database create-autonomous-database-create-cross-region-disaster-recovery-details --is-dev-tier``
    * ``oci db autonomous-database create-autonomous-database-create-cross-tenancy-disaster-recovery-details --is-dev-tier``
    * ``oci db autonomous-database create-from-backup-id --is-dev-tier``
    * ``oci db autonomous-database create-from-backup-timestamp --is-dev-tier``
    * ``oci db autonomous-database create-from-clone --is-dev-tier``
    * ``oci db autonomous-database create-refreshable-clone --is-dev-tier``
    * ``oci db autonomous-database create-virtual-clone --is-dev-tier``
    * ``oci db autonomous-database update --is-dev-tier``

  * Support for new optional parameters to create Autonomous Container Database

    * ``oci db autonomous-container-database create --db-split-threshold --distribution-affinity --net-services-architecture --vm-failover-reservation``

* Support for Autoscaling in the Data Science Model Deployment service

3.37.12 - 2024-03-05
--------------------
Added
~~~~~
* Support for server streaming events in the Generative AI Inference Service when `inference-request-is-stream` is set to true

  * ``oci generative-ai-inference generate-text-result generate-text-cohere-llm-inference-request --inference-request-is-stream``
  * ``oci generative-ai-inference generate-text-result generate-text-llama-llm-inference-request --inference-request-is-stream``

* Speech service

  * Support for Whisper Models in creation of transcription job

    * ``oci speech transcription-job create --model-details``

  * Support for Delete Job API in transcription job

    * ``oci speech transcription-job delete --transcription-job-id``

* Operations Insights service

  * Support for updating host-insights

    * ``oci opsi host-insights update-pe-comanaged-host``

  * Support to receive insights from resources in child compartments for news reports

    * ``oci opsi news-reports create --are-child-compartments-included, --day-of-week``

  * Support to update more parameters for news reports

    * ``oci opsi news-reports update --are-child-compartments-included, --day-of-week, --description, --name``

  * Support to choose the day of the week the report is received for news reports

    * ``oci opsi news-reports update --are-child-compartments-included, --day-of-week, --description, --name``

Changed
~~~~~~~
* Upgraded the cryptography version to (>=3.2.1,<43.0.0) and pyOpenSSL version to (>=17.5.0,<25.0.0)

3.37.11 - 2024-02-27
--------------------
Added
~~~~~
* Support for retrieving logs in Container Instance Service.

  * ``oci container-instances container retrieve-logs --is-previous``

* Support for queue source feature in Connector Hub Service.

  * ``oci och queue-source``

* Support for asynchronous data asset export in Data Catalog Service.

  * ``oci data-catalog data-asset asynchronous-export``

* Support for the secret auto-generation in Vault Secret Management Service.

  * ``oci vault secret create-base64 --enable-auto-generation --secret-generation-context``
  * ``oci vault secret update --enable-auto-generation --secret-generation-context``
  * ``oci vault secret update-base64 --enable-auto-generation --secret-generation-context``

* Support for new optional parameters in key commands to enable or modify automatic key rotation settings in Key Management Service.

  * ``oci kms management key create --is-auto-rotation-enabled``
  * ``oci kms management key create --is-auto-rotation-enabled --auto-key-rotation-details``
  * ``oci kms management key import --is-auto-rotation-enabled``
  * ``oci kms management key import --is-auto-rotation-enabled --is-auto-rotation-enabled``
  * ``oci kms management key update --is-auto-rotation-enabled``
  * ``oci kms management key update --is-auto-rotation-enabled --auto-key-rotation-details``

* Support for tagging for following commands in Database Management Service.

  * ``oci database-management managed-database``
  * ``oci database-management managed-database-group``
  * ``oci database-management external-db-system-discovery``
  * ``oci database-management external-db-system``
  * ``oci database-management external-cluster``
  * ``oci database-management external-cluster-instance``
  * ``oci database-management external-asm``
  * ``oci database-management external-asm-instance``
  * ``oci database-management external-listener``
  * ``oci database-management external-db-node``
  * ``oci database-management external-db-home``
  * ``oci database-management external-db-system-connector``
  * ``oci database-management external-exadata-infrastructure``
  * ``oci database-management external-exadata-storage-connector``
  * ``oci database-management external-exadata-storage-grid``
  * ``oci database-management external-exadata-storage-server``
  * ``oci database-management job``
  * ``oci database-management private-endpoint``

* Operator Access Control Service

  * Support for multiple approvals (two approvals).

    * ``oci opctl operator-control create --number-of-approvers``
    * ``oci opctl operator-control update --number-of-approvers``

  * Support for forwarding Hypervisor logs.

    * ``oci opctl operator-control-assignment create --is-hypervisor-log-forwarded``
    * ``oci opctl operator-control-assignment update --is-hypervisor-log-forwarded``

  * Support for Assignment health check.

    * ``oci opctl operator-control-assignment get-assignment-validation-status --operator-control-assignment-id``
    * ``oci opctl operator-control-assignment validate-operator-assignment --operator-control-assignment-id --action-name``

* Database Service

  * Support for the cluster placement group feature in Cloud Exadata Infrastructure.

    * ``oci db cloud-exa-infra create --cluster-placement-group-id``
    * ``oci db cloud-exa-infra list --cluster-placement-group-id``

  * Support for Create Autonomous Dataguard Association.

    * ``oci db autonomous-container-database-dataguard create --peer-autonomous-vm-cluster-id --peer-cloud-autonomous-vm-cluster-id --peer-db-unique-name``

* Digital Assistant Service

  * Support for specifying dialog version when creating skills.

    * ``oci oda management skill create --dialog-version``

  * Support for bulk creation of skill entities.

    * ``oci oda management skill bulk-create-skill-entities --items --oda-instance-id --skill-id``

  * Support for training skill query entities.

    * ``oci oda management skill train --items --oda-instance-id``

  * Support for cascading delete of skill custom entities.

    * ``oci oda management skill cascading-delete-skill-custom-entities --oda-instance-id --skill-id``

3.37.10 - 2024-02-20
--------------------
Added
~~~~~
* Support for Bring Your Own Container Jobs (v2) in the Data Science service

  * ``oci data-science job create --job-environment-configuration-details``
  * ``oci data-science job-run create --job-environment-configuration-override-details``

* Support for Secure Desktops Service

  * ``oci desktops``

* Support for new optional parameter in Language Service

  * ``oci ai language batch-detect-language --should-ignore-transliteration --chars-to-consider --endpoint-id``
  * ``oci ai language batch-detect-pii-entities --endpoint-id``
  * ``oci ai language batch-detect-key-phrases --endpoint-id``
  * ``oci ai language batch-detect-sentiments --endpoint-id``

* Core Service

  * Support for new optional parameter

    * ``oci compute instance update --platform-config``

  * Support for new commands

    * ``oci compute instance update-instance-amd-vm-update-instance-platform-config``
    * ``oci compute instance update-instance-intel-vm-update-instance-platform-config``

3.37.9 - 2024-02-13
-------------------
Added
~~~~~

* Support for new optional parameter isReplicateAutomaticBackups in the Database Service

  * ``oci db autonomous-database change-disaster-recovery-configuration --is-replicate-automatic-backups``
  * ``oci db autonomous-database create-autonomous-database-create-cross-region-disaster-recovery-details --is-replicate-automatic-backups``

Changed
~~~~~~~
* Loganalytics service

  * Support for additional attributes in entity and topology

    * ``oci log-analytics entity create --metadata, --time-last-discovered``
    * ``oci log-analytics entity list --metadata-equals``
    * ``oci log-analytics entity update --metadata, --time-last-discovered``
    * ``oci log-analytics entity upload-discovery-data --log-group-id``
    * ``oci log-analytics entity-topology list --metadata-equals``

  * Support for historic collection and log type while creating object collection rule

    * ``oci log-analytics object-collection-rule create --is-force-historic-collection, --log-type``

  * Support for position aware parsers

    * ``oci log-analytics parser extract-structured-log-field-paths --is-position-aware``
    * ``oci log-analytics parser extract-structured-log-header-paths --is-position-aware``
    * ``oci log-analytics parser test-parser --is-position-aware``
    * ``oci log-analytics parser upsert-parser --is-position-aware``

  * Support for filtering detection rules based on target service

    * ``oci log-analytics rule list --target-service``

  * Support for filtering scheduled tasks based on target service

    * ``oci log-analytics scheduled-task list --target-service``

  * Support for filtering log sources based on their type

    * ``oci log-analytics source list-sources --source-type``

  * Support for additional recall and release attributes

    * ``oci log-analytics storage recall-archived-data --is-use-recommended-data-set``
    * ``oci log-analytics storage release-recalled-data --collection-id``

  * Support for opc-meta-properties header while uploading log events

    * ``oci log-analytics upload upload-log-events-file --opc-meta-properties``

3.37.8 - 2024-02-06
--------------------
Added
~~~~~

* Support for the Globally Distributed Database Service

  * ``oci gdd``

* Support for Data Sources, including Prometheus Emitter, in the Management Agent Service

  * ``oci management-agent agent create-prometheus-emitter``

* Support for Bring Your Own Certificates in MySQL HeatWave Database Service

  * ``oci mysql db-system clone --secure-connections``
  * ``oci mysql db-system create --secure-connections``
  * ``oci mysql db-system import --secure-connections``
  * ``oci mysql db-system update --secure-connections``

* Support for resource locking operations in the Digital Media Services

  * ``oci media-services media-asset add --type full``

* Vault Secret Management Service

  * Support for the secret rotation

    * ``oci vault secret rotate``

  * Support for cancelling the ongoing rotation

    * ``oci vault secret cancelrotation``

* Vault Key Management Service

  * Support for Dedicated KMS

    * ``oci kms kms-hsm-cluster hsm-cluster cancel-hsm-cluster-deletion --hsm-cluster-id``
    * ``oci kms kms-hsm-cluster hsm-cluster change-compartment --compartment-id``
    * ``oci kms kms-hsm-cluster hsm-cluster create --compartment-id``
    * ``oci kms kms-hsm-cluster hsm-cluster download-certificate-signing-request --hsm-cluster-id``
    * ``oci kms kms-hsm-cluster hsm-cluster get --hsm-cluster-id``
    * ``oci kms kms-hsm-cluster hsm-cluster list --compartment-id``
    * ``oci kms kms-hsm-cluster hsm-cluster schedule-hsm-cluster-deletion --hsm-cluster-id, --time-of-deletion``
    * ``oci kms kms-hsm-cluster hsm-cluster update --hsm-cluster-id, --defined-tags, --display-name, --force, --freeform-tags``
    * ``oci kms kms-hsm-cluster hsm-cluster upload-partition-certificates --hsm-cluster-id, --partition-certificate, --partition-owner-certificate``
    * ``oci kms kms-hsm-cluster hsm-partition get --hsm-cluster-id, --hsm-partition-id``
    * ``oci kms kms-hsm-cluster hsm-partition get-pre-co-user-credentials --hsm-cluster-id``
    * ``oci kms kms-hsm-cluster hsm-partition list --hsm-cluster-id, --all``

3.37.7 - 2024-01-30
--------------------
Added
~~~~~
* Support for Capacity Management features in OCI Control Center service

  * ``oci capacity-management occ-availability-catalog-collection list``
  * ``oci capacity-management occ-availability-catalog list``
  * ``oci capacity-management occ-capacity-request create``
  * ``oci capacity-management occ-capacity-request delete``
  * ``oci capacity-management occ-capacity-request get``
  * ``oci capacity-management occ-capacity-request update``

* Support for Named Credential in the Database Management service

  * ``oci database-management named-credential create``
  * ``oci database-management named-credential get``
  * ``oci database-management named-credential list``
  * ``oci database-management named-credential update``
  * ``oci database-management named-credential change-compartment``
  * ``oci database-management named-credential delete``
  * ``oci database-management managed-database list-users --opc-named-credential-id --managed-database-id``

Modified
~~~~~~~~
* Data integration service
  * Support for REST connectivity with oath2
    * ``oci data-integration data-asset create``


3.37.6 - 2024-01-25
--------------------
Added
~~~~~
* Support for the new Generative AI Service Inference Service

  * ``oci generative-ai-inference``

3.37.5 - 2024-01-23
--------------------
Added
~~~~~

* Support for the new Generative AI Service Management

  * ``oci generative-ai``

* Support for Process Sets in Stack Monitoring service

  * ``oci stack-monitoring process-set``

3.37.4 - 2024-01-16
--------------------
Added
~~~~~

* Feature to add filtering support based on the Resource ID for CI service work requests.

  * ``oci container-instances work-request list --resource-id "$resourceid"``

* Support for new optional parameters in ADM service

  * ``oci adm vulnerability-audit create --build-type``
  * ``oci adm vulnerability-audit create-vulnerability-audit-external-resource-vulnerability-audit-source --build-type``
  * ``oci adm vulnerability-audit create-vulnerability-audit-oci-resource-vulnerability-audit-source --build-type``
  * ``oci adm vulnerability-audit create-vulnerability-audit-unknown-source-vulnerability-audit-source --build-type``
  * ``oci adm remediation-run list-application-dependency-recommendations --purl``
  * ``oci adm vulnerability-audit list-application-dependency-vulnerabilities --purl``
  * ``oci adm vulnerability-audit list-application-dependency-vulnerabilities --severity-greater-than-or-equal``
  * ``oci adm vulnerability-audit list --max-observed-severity-greater-than-or-equal-to``

* Data Safe Service

  * Support for updating risk level of the specified finding

    * ``oci data-safe finding update``

  * Support for listing all changes made by user to risk levels of findings of the specified assessment

    * ``oci data-safe security-assessment list-findings-change-audit-logs``

  * Support for security feature usage

    * ``oci data-safe security-assessment list-security-feature-analytics``
    * ``oci data-safe security-assessment list-security-features``

  * Support for viewing the top security findings in Data Safe Security Assessment

    * ``oci data-safe security-assessment list-finding-analytics``

  * Support for viewing the schemas that a user can access in Data Safe User Assessment.

    * ``oci data-safe database-table-access-entry get``
    * ``oci data-safe database-table-access-entry-collection list``
    * ``oci data-safe database-view-access-entry get``
    * ``oci data-safe database-view-access-entry-collection list``
    * ``oci data-safe role-grant-path-collection list``
    * ``oci data-safe security-policy-report get``
    * ``oci data-safe security-policy-report-collection list``
    * ``oci data-safe user-assessment list-user-access-analytics``

  * Support for new commands

    * ``oci data-safe peer-target-database``
    * ``oci data-safe report update``
    * ``oci data-safe target-database refresh``

  * Add new param peer-target-database-details

    * ``oci data-safe target-database create --peer-target-database-details``

* Support for new dimension-specific alarm suppression commands in Monitoring service

  * ``oci monitoring alarm-suppression``
  * ``oci monitoring alarm-suppression-collection list-alarm-suppressions``
  * ``oci monitoring alarm-suppression summarize-alarm-suppression-history``


Modified
~~~~~~~~

 * Changed trail-locations parameter as optional, added new optional parameters for Data Safe service

  * ``oci data-safe audit-profile calculate-audit-volume-available --trail-locations, --database-unique-name``
  * ``oci data-safe masking-policy apply-sdm-masking-policy-difference --sdm-masking-policy-difference-id``
  * ``oci data-safe work-request list --access-level, --compartment-id-in-subtree``

3.37.3 - 2024-01-10
--------------------
Fixed
~~~~~
* Reverted YubiKey authentication


3.37.2 - 2024-01-09
--------------------
Added
~~~~~
* Support for OCI CLI authentication using PKCS#11 compatible hardware devices like YubiKey

    * ``oci <command> --auth yubi_key``

* Support for summarizing disk Statistics and Host Recommendation in OPSI Host Capacity Service

  * ``oci opsi host-insights summarize-disk-statistics --compartment-id --id --analysis-time-interval``
  * ``oci opsi host-insights summarize-host-recommendation --compartment-id --id --analysis-time-interval --resource-metric``

* Support for new commands in the Apm Synthetic Service

  * ``oci apm-synthetics monitor create-dns-server-monitor  --apm-domain-id --display-name --monitor-type --vantage-points --repeat-interval-in-seconds  --target --name-server --protocol --record-type``
  * ``oci apm-synthetics monitor create-dns-sec-monitor  --apm-domain-id  --display-name --monitor-type --vantage-points --repeat-interval-in-seconds --target --name-server --protocol --record-type``
  * ``oci apm-synthetics monitor create-dns-trace-monitor  --apm-domain-id  --display-name --monitor-type --vantage-points --repeat-interval-in-seconds --target --name-server --protocol --record-type``
  * ``oci apm-synthetics monitor update-dns-server-monitor  --apm-domain-id --display-name --monitor-type --vantage-points --repeat-interval-in-seconds  --target --name-server --protocol --record-type``
  * ``oci apm-synthetics monitor update-dns-sec-monitor  --apm-domain-id  --display-name --monitor-type --vantage-points --repeat-interval-in-seconds --target --name-server --protocol --record-type``
  * ``oci apm-synthetics monitor update-dns-trace-monitor  --apm-domain-id  --display-name --monitor-type --vantage-points --repeat-interval-in-seconds --target --name-server --protocol --record-type``
  * ``oci apm-synthetics on-premise-vantage-point create --name --description --apm-domain-id``
  * ``oci apm-synthetics on-premise-vantage-point get  --on-premise-vantage-point-id --apm-domain-id``
  * ``oci apm-synthetics on-premise-vantage-point-collection list-on-premise-vantage-points  --apm-domain-id``

* Support for creation of up to 60 Containers per Container Instance instead of 10 in Container Instance Service

  * ``oci container-instances container-instance create --containers``

* Support for New Database Type "Golden Gate Stream Analytics (GGSA)" in the GoldenGate Service

  * ``oci goldengate connection list --assignable-deployment-type GGSA``
  * ``oci goldengate deployment create --deployment-type GGSA``
  * ``oci goldengate deployment-type-collection list-deployment-types --deployment-type GGSA``
  * ``oci goldengate deployment-version list --deployment-type GGSA``

* Support for "ORACLE_GOLDENGATE" resource type in Discovery and Monitoring in Stack Monitoring Service

  * ``oci stack-monitoring discovery-job``

* Support for response values "CREATE_BACKUP" and "DELETE_BACKUP" for Work Request Commands in Mysql Database Service

  * ``oci mysql work-request``


3.37.1 - 2023-12-12
--------------------
Added
~~~~~

* Support for carbon footprint reporting in the Usage Service

  * ``oci usage-api average-carbon-emission request``
  * ``oci usage-api clean-energy-usage request``
  * ``oci usage-api configuration request-usage-carbon-emission-config``
  * ``oci usage-api usage-carbon-emission-summary request-usage-carbon-emissions``
  * ``oci usage-api usage-carbon-emissions-query create``
  * ``oci usage-api usage-carbon-emissions-query delete``
  * ``oci usage-api usage-carbon-emissions-query get``
  * ``oci usage-api usage-carbon-emissions-query list``
  * ``oci usage-api usage-carbon-emissions-query update``

* Support for change compartment of configurations in the PostgreSQL service

  * ``oci psql configuration change-compartment``

* Support for Token Exchange in the IdentityDomains Service

  * ``oci identity-domains identity-propagation-trust``

* Support for resource locking in the Data Catalog Service

  * ``oci data-catalog catalog add``
  * ``oci data-catalog catalog remove``
  * ``oci data-catalog catalog-private-endpoint add``
  * ``oci data-catalog catalog-private-endpoint remove``
  * ``oci data-catalog metastore add``
  * ``oci data-catalog metastore remove``

* Support for new optional parameter --dedicated-vm-host-id in the Core Service

  * ``oci compute instance update --dedicated-vm-host-id``

* Support for additional attributes for existing APIs in the Data Safe Service

